-- $Id: race-class.lua 4287 2021-09-24 03:42:52Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright © 2012-2021 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbunnies.org

-- -----------------------------------------------------------------------
-- WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING
-- -----------------------------------------------------------------------
-- This file was generated automatically by the 'gen_plyr' Perl script.
-- DO NOT MODIFY THIS FILE DIRECTLY, as any changes will be lost the next
-- time the file is generated (with the possible exception of lines between
-- 'BEGIN VERBATIM' and 'END VERBATIM' markers, if supported by the script).
-- -----------------------------------------------------------------------
-- WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING
-- -----------------------------------------------------------------------

-- Player descriptors generated from T2's p_info.txt.

local DamageType = require 'engine.DamageType'

newBirthDescriptor {
  type = 'base',
  name = 'base',
  -- verbatim_hack = 'base/base',
  desc = [[]],
  copy = {
    xp_mult = 100,
    base_mana_mult = 1,
    birth_adj_luck = 0,
    base_flags = {},
    starting_quest = 'necromancer',
    ahw = {
      age = { base=0, mod=0 },
      height = {
	Male = { mean=0, std=0 },
	Female = { mean=0, std=0 },
	Neuter = { mean=0, std=0 },
      },
      weight = {
	Male = { mean=0, std=0 },
	Female = { mean=0, std=0 },
	Neuter = { mean=0, std=0 },
      },
    },
    resolvers.birth_ahw(),
    resolvers.birth_luck(),
    resolvers.birth_stat_apply(),
    resolvers.birth_hp_precalc(),
    resolvers.birth_equip {
      { name='RATION_OF_FOOD', qty={1,5,2} },
      { name='WOODEN_TORCH', qty={1,5,2}, no_auto_equip=true },
    },
    resolvers.birth_skill_adj {
      MONSTER_LORE = { mod_adj=500 },
      PRAYER = { mod_adj=500 },
      UDUN = { mod_adj=400 },
      MAGIC_DEVICE = { base_adj=1000, mod_adj=1000 },
    },
    resolvers.birth_skill_finalize(),
  },
}

newBirthDescriptor {
  type = 'class_group',
  name = 'Warrior',
  -- verbatim_hack = 'class_group/Warrior',
  desc = [[Simple fighters, they hack away with their trusty weapon.]],
  copy = {
    resolvers.birth_skill_adj {
      COMBAT = { base_adj=2000, mod_adj=800 },
      WEAPONMASTERY = { base_adj=1000, mod_adj=850 },
      SWORD_MASTERY = { mod_adj=400 },
      AXE_MASTERY = { mod_adj=400 },
      HAFTED_MASTERY = { mod_adj=400 },
      POLEARM_MASTERY = { mod_adj=400 },
      ARCHERY = { base_adj=1000, mod_adj=600 },
      SNEAKINESS = { base_adj=1000, mod_adj=900 },
      STEALTH = { mod_adj=400 },
      DISARMING = { base_adj=1000, mod_adj=900 },
      MAGIC = { base_adj=1000, mod_adj=300 },
      SPIRITUALITY = { base_adj=1000, mod_adj=400 },
      ANTIMAGIC = { mod_adj=550 },
      MAGIC_DEVICE = { mod_adj=150 },
    },
    weapon_blows = { base_wgt=3, wgt_mult=5 },
    pseudo_id = { weapon_heavy=true, magic_heavy=false },
    resolvers.birth_gain_at_lev {
      [1] = { abilities = { 'EXTRA_MAX_BLOW_1', 'EXTRA_MAX_BLOW_2' } },
      [25] = { abilities = { 'SPREAD_BLOWS' } },
      [30] = { convey_resist_dam = { [DamageType.FEAR]=true } },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='RING_FEAR_RESISTANCE' },
      { name='CHAIN_MAIL' },
    },
  },
  copy_add = {
    hit_die = 9,
    xp_mult = 0,
    adj_stat = { STR = 5, INT = -2, WIS = -2, DEX = 2, CON = 2, CHA = -1 },
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Warrior',
  -- verbatim_hack = 'class/Warrior',
  desc = [[Simple fighters, they hack away with their trusty weapon.

#GOLD#Stat modifiers:
#LIGHT_BLUE#+5 STR, -2 INT, -2 WIS
+2 DEX, +2 CON, -1 CHA#LAST#
HP per level:  #LIGHT_BLUE#+9#LAST#
Exp penalty:  #LIGHT_BLUE#+0%#LAST#]],
  group = 'Warrior',
  copy = {
    resolvers.birth_equip {
      full_id=true,
      { name='BROAD_SWORD' },
    },
  },
  allowed_gods = {
    ['Nobody'] = true,
    ['Eru Ilúvatar'] = true,
    ['Manwë Súlimo'] = true,
    ['Tulkas'] = true,
    ['Melkor Bauglir'] = true,
    ['Yavanna Kementári'] = true,
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Swordmaster',
  -- verbatim_hack = 'class/Swordmaster',
  desc = [[Fighters specialised in the use of swords

#GOLD#Stat modifiers:
#LIGHT_BLUE#+5 STR, -2 INT, -2 WIS
+2 DEX, +2 CON, -1 CHA#LAST#
HP per level:  #LIGHT_BLUE#+9#LAST#
Exp penalty:  #LIGHT_BLUE#+0%#LAST#]],
  group = 'Warrior',
  copy = {
    resolvers.birth_skill_adj {
      SWORD_MASTERY = { base_adj=1000, mod_adj=300 },
      WEAPONMASTERY = { mod_adj=100 },
      COMBAT = { mod_adj=100 },
      AXE_MASTERY = { mod_adj=-100 },
      HAFTED_MASTERY = { mod_adj=-100 },
      POLEARM_MASTERY = { mod_adj=-100 },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='BROAD_SWORD' },
    },
  },
  allowed_gods = {
    ['Nobody'] = true,
    ['Manwë Súlimo'] = true,
    ['Tulkas'] = true,
    ['Melkor Bauglir'] = true,
    ['Yavanna Kementári'] = true,
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Axemaster',
  -- verbatim_hack = 'class/Axemaster',
  desc = [[Fighters specialised in the use of axes

#GOLD#Stat modifiers:
#LIGHT_BLUE#+5 STR, -2 INT, -2 WIS
+2 DEX, +2 CON, -1 CHA#LAST#
HP per level:  #LIGHT_BLUE#+9#LAST#
Exp penalty:  #LIGHT_BLUE#+0%#LAST#]],
  group = 'Warrior',
  copy = {
    resolvers.birth_skill_adj {
      WEAPONMASTERY = { mod_adj=100 },
      COMBAT = { mod_adj=100 },
      AXE_MASTERY = { base_adj=1000, mod_adj=300 },
      SWORD_MASTERY = { mod_adj=-100 },
      HAFTED_MASTERY = { mod_adj=-100 },
      POLEARM_MASTERY = { mod_adj=-100 },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='HATCHET' },
    },
  },
  allowed_gods = {
    ['Nobody'] = true,
    ['Manwë Súlimo'] = true,
    ['Tulkas'] = true,
    ['Melkor Bauglir'] = true,
    ['Yavanna Kementári'] = true,
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Haftedmaster',
  -- verbatim_hack = 'class/Haftedmaster',
  desc = [[Fighters specialised in the use of hafted weapons

#GOLD#Stat modifiers:
#LIGHT_BLUE#+5 STR, -2 INT, -2 WIS
+2 DEX, +2 CON, -1 CHA#LAST#
HP per level:  #LIGHT_BLUE#+9#LAST#
Exp penalty:  #LIGHT_BLUE#+0%#LAST#]],
  group = 'Warrior',
  copy = {
    resolvers.birth_skill_adj {
      HAFTED_MASTERY = { base_adj=1000, mod_adj=300 },
      STUNNING_BLOWS = { mod_adj=500 },
      WEAPONMASTERY = { mod_adj=100 },
      COMBAT = { mod_adj=100 },
      AXE_MASTERY = { mod_adj=-100 },
      SWORD_MASTERY = { mod_adj=-100 },
      POLEARM_MASTERY = { mod_adj=-100 },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='FLAIL' },
    },
  },
  allowed_gods = {
    ['Nobody'] = true,
    ['Eru Ilúvatar'] = true,
    ['Manwë Súlimo'] = true,
    ['Tulkas'] = true,
    ['Melkor Bauglir'] = true,
    ['Yavanna Kementári'] = true,
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Polearmmaster',
  -- verbatim_hack = 'class/Polearmmaster',
  desc = [[Fighters specialised in the use of polearms

#GOLD#Stat modifiers:
#LIGHT_BLUE#+5 STR, -2 INT, -2 WIS
+2 DEX, +2 CON, -1 CHA#LAST#
HP per level:  #LIGHT_BLUE#+9#LAST#
Exp penalty:  #LIGHT_BLUE#+0%#LAST#]],
  group = 'Warrior',
  copy = {
    resolvers.birth_skill_adj {
      POLEARM_MASTERY = { base_adj=1000, mod_adj=300 },
      WEAPONMASTERY = { mod_adj=100 },
      COMBAT = { mod_adj=100 },
      AXE_MASTERY = { mod_adj=-100 },
      HAFTED_MASTERY = { mod_adj=-100 },
      SWORD_MASTERY = { mod_adj=-100 },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='PIKE' },
    },
  },
  allowed_gods = {
    ['Nobody'] = true,
    ['Eru Ilúvatar'] = true,
    ['Manwë Súlimo'] = true,
    ['Tulkas'] = true,
    ['Melkor Bauglir'] = true,
    ['Yavanna Kementári'] = true,
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Unbeliever',
  -- verbatim_hack = 'class/Unbeliever',
  desc = [[They don't believe in magic and can even prevent its usage around them

#GOLD#Stat modifiers:
#LIGHT_BLUE#+5 STR, -2 INT, -2 WIS
+2 DEX, +2 CON, -1 CHA#LAST#
HP per level:  #LIGHT_BLUE#+9#LAST#
Exp penalty:  #LIGHT_BLUE#+0%#LAST#]],
  group = 'Warrior',
  copy = {
    resolvers.birth_skill_adj {
      PRAYER = { base_set=0, mod_set=0 },
      MAGIC = { base_set=0, mod_set=0 },
      MAGIC_DEVICE = { base_set=0, mod_set=0 },
      SPIRITUALITY = { base_set=0, mod_set=0 },
      ANTIMAGIC = { base_adj=1000, mod_adj=100 },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='DARK_SWORD' },
    },
  },
  allowed_gods = {
    ['Nobody'] = true,
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Demonologist',
  -- verbatim_hack = 'class/Demonologist',
  desc = [[Masters of the school of demonology, they are trained in both melee fighting and using demon spells to enhance their combat potential.

#GOLD#Stat modifiers:
#LIGHT_BLUE#+5 STR, -2 INT, -2 WIS
+2 DEX, +2 CON, -1 CHA#LAST#
HP per level:  #LIGHT_BLUE#+9#LAST#
Exp penalty:  #LIGHT_BLUE#+0%#LAST#]],
  group = 'Warrior',
  copy = {
    resolvers.birth_skill_adj {
      COMBAT = { mod_adj=-50 },
      WEAPONMASTERY = { mod_adj=-100 },
      SWORD_MASTERY = { mod_adj=200 },
      AXE_MASTERY = { base_set=0, mod_set=0 },
      HAFTED_MASTERY = { base_set=0, mod_set=0 },
      POLEARM_MASTERY = { base_set=0, mod_set=0 },
      ARCHERY = { base_adj=1000, mod_adj=-200 },
      SNEAKINESS = { base_adj=1000, mod_adj=900 },
      DISARMING = { base_adj=1000, mod_adj=900 },
      MAGIC = { base_adj=1000, mod_adj=400 },
      SPIRITUALITY = { base_adj=1000, mod_adj=300 },
      ANTIMAGIC = { base_set=0, mod_set=0 },
      DEMONOLOGY = { base_adj=1000, mod_adj=1000 },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='DEMONBLADE' },
    },
  },
  allowed_gods = {
    ['Nobody'] = true,
    ['Manwë Súlimo'] = true,
    ['Tulkas'] = true,
    ['Melkor Bauglir'] = true,
  },
}

newBirthDescriptor {
  type = 'class_group',
  name = 'Mage',
  -- verbatim_hack = 'class_group/Mage',
  desc = [[The basic spellcaster with lots of different skills]],
  copy = {
    resolvers.birth_mana_mult(1.50),
    resolvers.birth_skill_adj {
      MAGIC = { base_adj=1000, mod_adj=900 },
      MAGIC_DEVICE = { mod_adj=200 },
      SPELL_POWER = { mod_adj=600 },
      MANA = { base_adj=1000, mod_adj=600 },
      FIRE = { mod_adj=700 },
      WATER = { mod_adj=700 },
      AIR = { mod_adj=700 },
      EARTH = { mod_adj=700 },
      TEMPORAL = { mod_adj=700 },
      DIVINATION = { mod_adj=700 },
      CONVEYANCE = { mod_adj=700 },
      NATURE = { mod_adj=700 },
      META = { mod_adj=700 },
      MIND = { mod_adj=700 },
      NECROMANCY = { mod_adj=700 },
      RUNECRAFT = { mod_adj=700 },
      THAUMATURGY = { mod_adj=700 },
      SPIRITUALITY = { base_adj=1000, mod_adj=550 },
      COMBAT = { base_adj=1000, mod_adj=200 },
      WEAPONMASTERY = { base_adj=700, mod_adj=500 },
      SNEAKINESS = { base_adj=1000, mod_adj=900 },
      STEALTH = { mod_adj=400 },
    },
    weapon_blows = { base_wgt=4, wgt_mult=2 },
    pseudo_id = { weapon_heavy=false, magic_heavy=true },
    resolvers.birth_gain_at_lev {
      [1] = { abilities = { 'PERFECT_CASTING' } },
    },
  },
  copy_add = {
    hit_die = 0,
    xp_mult = 30,
    adj_stat = { STR = -5, INT = 3, DEX = 1, CON = -2, CHA = 1 },
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Mage',
  -- verbatim_hack = 'class/Mage',
  desc = [[The basic unspecialized warrior-spellcaster

#GOLD#Stat modifiers:
#LIGHT_BLUE#-5 STR, +3 INT, +0 WIS
+1 DEX, -2 CON, +1 CHA#LAST#
HP per level:  #LIGHT_BLUE#+0#LAST#
Exp penalty:  #LIGHT_BLUE#+30%#LAST#]],
  group = 'Mage',
  copy = {
    resolvers.birth_skill_adj {
      COMBAT = { mod_adj=300 },
      SORCERY = { mod_adj=200 },
      MANA = { mod_adj=300 },
      FIRE = { mod_adj=200 },
      WATER = { mod_adj=200 },
      AIR = { mod_adj=200 },
      EARTH = { mod_adj=200 },
      CONVEYANCE = { mod_adj=200 },
      NATURE = { mod_adj=200 },
      TEMPORAL = { mod_adj=200 },
      DIVINATION = { mod_adj=200 },
      META = { mod_adj=200 },
      MIND = { mod_adj=200 },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='DAGGER' },
      { name='BOOK_OF_BEGINNER_CANTRIPS' },
    },
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Geomancer',
  -- verbatim_hack = 'class/Geomancer',
  desc = [[The master of the four elements

#GOLD#Stat modifiers:
#LIGHT_BLUE#-5 STR, +3 INT, +0 WIS
+1 DEX, -2 CON, +1 CHA#LAST#
HP per level:  #LIGHT_BLUE#+0#LAST#
Exp penalty:  #LIGHT_BLUE#+30%#LAST#]],
  group = 'Mage',
  copy = {
    resolvers.birth_skill_adj {
      MAGIC_DEVICE = { mod_adj=-150 },
      SPELL_POWER = { base_adj=1000, mod_adj=100 },
      MANA = { base_adj=-1000, mod_adj=-600 },
      GEOMANCY = { base_adj=1000, mod_adj=700 },
      FIRE = { base_adj=1000, mod_adj=350 },
      WATER = { base_adj=1000, mod_adj=350 },
      AIR = { base_adj=1000, mod_adj=350 },
      EARTH = { base_adj=1000, mod_adj=350 },
      WEAPONMASTERY = { mod_adj=-100 },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='MAGE_STAFF' },
      { name='SPELLBOOK_OF', resolve={ force_spell=ActorTalents.T_GEYSER } },
    },
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Warper',
  -- verbatim_hack = 'class/Warper',
  desc = [[The master of space and time

#GOLD#Stat modifiers:
#LIGHT_BLUE#-5 STR, +3 INT, +0 WIS
+1 DEX, -2 CON, +1 CHA#LAST#
HP per level:  #LIGHT_BLUE#+0#LAST#
Exp penalty:  #LIGHT_BLUE#+30%#LAST#]],
  group = 'Mage',
  copy = {
    resolvers.birth_skill_adj {
      MAGIC_DEVICE = { mod_adj=-150 },
      SPELL_POWER = { base_adj=1000, mod_adj=100 },
      MANA = { mod_adj=100 },
      FIRE = { mod_adj=100 },
      WATER = { mod_adj=100 },
      AIR = { mod_adj=100 },
      EARTH = { mod_adj=100 },
      CONVEYANCE = { mod_adj=500 },
      NATURE = { mod_adj=100 },
      TEMPORAL = { mod_adj=500 },
      DIVINATION = { mod_adj=500 },
      META = { mod_adj=100 },
      WEAPONMASTERY = { mod_adj=-100 },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='DAGGER' },
      { name='BOOK_OF_BEGINNER_CANTRIPS' },
    },
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Sorceror',
  -- verbatim_hack = 'class/Sorceror',
  desc = [[The master of all magic schools

#GOLD#Stat modifiers:
#LIGHT_BLUE#-5 STR, +3 INT, +0 WIS
+1 DEX, -2 CON, +1 CHA#LAST#
HP per level:  #LIGHT_BLUE#+0#LAST#
Exp penalty:  #LIGHT_BLUE#+30%#LAST#]],
  group = 'Mage',
  copy = {
    resolvers.birth_skill_adj {
      MAGIC_DEVICE = { mod_adj=-200 },
      WEAPONMASTERY = { base_set=0, mod_set=0 },
      COMBAT = { base_set=0, mod_set=0 },
      SORCERY = { base_adj=1000, mod_adj=700 },
      MAGIC = { mod_adj=100 },
      MANA = { base_adj=-1000, mod_adj=300 },
      FIRE = { mod_adj=300 },
      WATER = { mod_adj=300 },
      AIR = { mod_adj=300 },
      EARTH = { mod_adj=300 },
      CONVEYANCE = { mod_adj=300 },
      NATURE = { mod_adj=300 },
      TEMPORAL = { mod_adj=300 },
      DIVINATION = { mod_adj=300 },
      META = { mod_adj=300 },
      MIND = { mod_adj=300 },
      NECROMANCY = { mod_adj=200 },
      RUNECRAFT = { mod_adj=200 },
      THAUMATURGY = { mod_adj=200 },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='ROBE' },
      { name='BOOK_OF_BEGINNER_CANTRIPS' },
    },
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Necromancer',
  -- verbatim_hack = 'class/Necromancer',
  desc = [[The master of death, and undeath

#GOLD#Stat modifiers:
#LIGHT_BLUE#-5 STR, +3 INT, +0 WIS
+1 DEX, -2 CON, +1 CHA#LAST#
HP per level:  #LIGHT_BLUE#+0#LAST#
Exp penalty:  #LIGHT_BLUE#+30%#LAST#]],
  group = 'Mage',
  copy = {
    resolvers.birth_skill_adj {
      WEAPONMASTERY = { mod_adj=100 },
      COMBAT = { mod_adj=200 },
      NECROMANCY = { base_adj=1000, mod_adj=300 },
      MANA = { base_adj=-1000 },
      FIRE = { mod_adj=100 },
      EARTH = { mod_adj=100 },
      NATURE = { mod_adj=-200 },
      TEMPORAL = { mod_adj=100 },
      MIND = { mod_adj=200 },
      MONSTER_LORE = { base_adj=1000, mod_adj=600 },
      CORPSE_PRESERVATION = { base_adj=5000, mod_adj=900 },
    },
    resolvers.birth_gain_at_lev {
      [25] = { abilities = { 'UNDEAD_FORM' } },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='DAGGER' },
      { name='BOOK_OF_BEGINNER_CANTRIPS' },
    },
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Runecrafter',
  -- verbatim_hack = 'class/Runecrafter',
  desc = [[Runecrafters use the runes found in Middle-earth to create finely tuned spells for each specific situation.

#GOLD#Stat modifiers:
#LIGHT_BLUE#-5 STR, +3 INT, +0 WIS
+1 DEX, -2 CON, +1 CHA#LAST#
HP per level:  #LIGHT_BLUE#+0#LAST#
Exp penalty:  #LIGHT_BLUE#+30%#LAST#]],
  group = 'Mage',
  copy = {
    resolvers.birth_skill_adj {
      MAGIC = { base_adj=1000, mod_adj=50 },
      RUNECRAFT = { base_adj=1000, mod_adj=300 },
      WEAPONMASTERY = { mod_adj=-100 },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='BOOK_OF_BEGINNER_CANTRIPS' },
      { name='RUNE_ARROW' },
      { name='RUNE_FIRE' },
      { name='DAGGER' },
    },
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Thaumaturgist',
  -- verbatim_hack = 'class/Thaumaturgist',
  desc = [[Thaumaturgy spells come from within and are different for each character. Since attack is the best defence, all their spells are offensive.

#GOLD#Stat modifiers:
#LIGHT_BLUE#-5 STR, +3 INT, +0 WIS
+1 DEX, -2 CON, +1 CHA#LAST#
HP per level:  #LIGHT_BLUE#+0#LAST#
Exp penalty:  #LIGHT_BLUE#+30%#LAST#]],
  group = 'Mage',
  copy = {
    resolvers.birth_skill_adj {
      MANA = { base_adj=-1000 },
      MAGIC = { base_adj=2000, mod_adj=50 },
      THAUMATURGY = { base_adj=1000, mod_adj=300 },
      WEAPONMASTERY = { mod_adj=-100 },
      MAGIC_DEVICE = { mod_adj=-150 },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='DAGGER' },
      { name='BOOK_OF_BEGINNER_CANTRIPS' },
    },
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Alchemist',
  -- verbatim_hack = 'class/Alchemist',
  desc = [[Alchemists can quickly create powerful magic items through the correct use of the essences of magic they can extract from magical objects.

#GOLD#Stat modifiers:
#LIGHT_BLUE#-5 STR, +3 INT, +0 WIS
+1 DEX, -2 CON, +1 CHA#LAST#
HP per level:  #LIGHT_BLUE#+0#LAST#
Exp penalty:  #LIGHT_BLUE#+30%#LAST#]],
  group = 'Mage',
  copy = {
    resolvers.birth_skill_adj {
      MAGIC = { base_adj=2000 },
      SPELL_POWER = { mod_adj=-600 },
      NECROMANCY = { mod_adj=-600 },
      THAUMATURGY = { mod_adj=-600 },
      SPIRITUALITY = { mod_adj=250 },
      COMBAT = { mod_adj=500 },
      WEAPONMASTERY = { mod_adj=200 },
      MANA = { base_adj=-1000, mod_adj=-600 },
      FIRE = { mod_adj=-600 },
      WATER = { mod_adj=-600 },
      AIR = { mod_adj=-600 },
      EARTH = { mod_adj=-600 },
      CONVEYANCE = { mod_adj=-600 },
      NATURE = { mod_adj=-600 },
      TEMPORAL = { mod_adj=-600 },
      DIVINATION = { mod_adj=-200 },
      META = { mod_adj=-200 },
      MIND = { mod_adj=-600 },
      ALCHEMY = { base_adj=1000, mod_adj=800 },
      MAGIC_DEVICE = { mod_adj=50 },
    },
    base_flags = {
      EXPERIMENTAL = true,
    },
    resolvers.birth_equip {
      full_id=true,
      { name='SET_OF_LEATHER_GLOVES' },
      { name='ESS_EXPLOSION', qty=6 },
      { name='EMPTY_BOTTLE' },
      { name='DAGGER' },
    },
  },
}

newBirthDescriptor {
  type = 'class_group',
  name = 'Archer',
  -- verbatim_hack = 'class_group/Archer',
  desc = [['Kill them before they see you' could be the motto of the archer class. As deadly with a bow as a warrior is with a sword.]],
  copy = {
    resolvers.birth_skill_adj {
      COMBAT = { base_adj=1000, mod_adj=800 },
      WEAPONMASTERY = { base_adj=1000, mod_adj=500 },
      ARCHERY = { base_adj=1000, mod_adj=750 },
      BOW_MASTERY = { mod_adj=300 },
      CROSSBOW_MASTERY = { mod_adj=300 },
      SLING_MASTERY = { mod_adj=300 },
      BOOMERANG_MASTERY = { mod_adj=300 },
      SNEAKINESS = { base_adj=1000, mod_adj=900 },
      STEALTH = { mod_adj=400 },
      DISARMING = { base_adj=1000, mod_adj=900 },
      MAGIC = { base_adj=1000, mod_adj=300 },
      MAGIC_DEVICE = { mod_adj=100 },
      SPIRITUALITY = { base_adj=1000, mod_adj=400 },
    },
    weapon_blows = { base_wgt=3.5, wgt_mult=4 },
    pseudo_id = { weapon_heavy=true, magic_heavy=false },
    resolvers.birth_gain_at_lev {
      [2] = { abilities = { 'AMMO_CREATION' } },
    },
  },
  copy_add = {
    hit_die = 4,
    xp_mult = 30,
    adj_stat = { STR = 2, INT = 1, DEX = 2, CON = 1, CHA = 1 },
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Archer',
  -- verbatim_hack = 'class/Archer',
  desc = [['Kill them before they see you' could be the motto of the archer class. As deadly with a bow as a warrior is with a sword.

#GOLD#Stat modifiers:
#LIGHT_BLUE#+2 STR, +1 INT, +0 WIS
+2 DEX, +1 CON, +1 CHA#LAST#
HP per level:  #LIGHT_BLUE#+4#LAST#
Exp penalty:  #LIGHT_BLUE#+30%#LAST#]],
  group = 'Archer',
  copy = {
    resolvers.birth_skill_adj {
      ARCHERY = { mod_adj=100 },
      BOW_MASTERY = { mod_adj=200 },
      CROSSBOW_MASTERY = { mod_adj=200 },
      SLING_MASTERY = { mod_adj=200 },
      BOOMERANG_MASTERY = { mod_adj=200 },
      MAGIC = { base_adj=-1000, mod_adj=-100 },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='SHORT_BOW' },
      { name='SLING', no_auto_equip=true },
      { name='FLIGHT_ARROW', qty={10,3} },
      { name='FLIGHT_ARROW', qty={10,3} },
    },
  },
  allowed_gods = {
    ['Nobody'] = true,
    ['Eru Ilúvatar'] = true,
    ['Manwë Súlimo'] = true,
    ['Tulkas'] = true,
    ['Melkor Bauglir'] = true,
    ['Yavanna Kementári'] = true,
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Ranger',
  -- verbatim_hack = 'class/Ranger',
  desc = [[Rangers are capable archers but are also trained in hand to hand combat and nature/conveyance/divination magic schools

#GOLD#Stat modifiers:
#LIGHT_BLUE#+2 STR, +1 INT, +0 WIS
+2 DEX, +1 CON, +1 CHA#LAST#
HP per level:  #LIGHT_BLUE#+4#LAST#
Exp penalty:  #LIGHT_BLUE#+30%#LAST#]],
  group = 'Archer',
  copy = {
    resolvers.birth_skill_adj {
      MAGIC = { mod_adj=400 },
      NATURE = { mod_adj=500 },
      DIVINATION = { mod_adj=500 },
      CONVEYANCE = { mod_adj=500 },
      DISARMING = { mod_adj=700 },
      SNEAKINESS = { mod_adj=50 },
      MONSTER_LORE = { mod_adj=200 },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='SHORT_BOW' },
      { name='FLIGHT_ARROW', qty={10,3} },
      { name='SHORT_SWORD' },
      { name='SPELLBOOK_OF', resolve={ force_spell=ActorTalents.T_PHASE_DOOR } },
    },
  },
  allowed_gods = {
    ['Nobody'] = true,
    ['Manwë Súlimo'] = true,
    ['Tulkas'] = true,
    ['Yavanna Kementári'] = true,
  },
}

newBirthDescriptor {
  type = 'class_group',
  name = 'Rogue',
  -- verbatim_hack = 'class_group/Rogue',
  desc = [[Rogues are masters of tricks. They can steal from shops and monsters, and lure monsters into deadly monster traps.]],
  copy = {
    resolvers.birth_skill_adj {
      COMBAT = { base_adj=1000, mod_adj=700 },
      WEAPONMASTERY = { base_adj=1000, mod_adj=700 },
      SWORD_MASTERY = { base_adj=1000, mod_adj=300 },
      CRITICAL_HITS = { base_adj=1000, mod_adj=500 },
      MAGIC = { base_adj=1000, mod_adj=700 },
      MAGIC_DEVICE = { mod_adj=550 },
      CONVEYANCE = { mod_adj=500 },
      DIVINATION = { mod_adj=500 },
      TEMPORAL = { mod_adj=500 },
      SPIRITUALITY = { base_adj=1000, mod_adj=700 },
      SNEAKINESS = { base_adj=1000, mod_adj=2000 },
      STEALTH = { base_adj=1000, mod_adj=1500 },
      DISARMING = { base_adj=1000, mod_adj=2000 },
      BACKSTAB = { base_adj=1000, mod_adj=1000 },
      STEALING = { base_adj=1000, mod_adj=2000 },
      DODGING = { base_adj=1000, mod_adj=2000 },
    },
    weapon_blows = { base_wgt=3, wgt_mult=3 },
    pseudo_id = { weapon_heavy=true, magic_heavy=true },
    base_flags = {
      EASE_STEAL = true,
    },
    resolvers.birth_gain_at_lev {
      [3] = { pval_flags = { extra_crit=1 } },
      [6] = { pval_flags = { extra_crit=1 } },
      [9] = { pval_flags = { extra_crit=1 } },
      [10] = { abilities = { 'EXTRA_MAX_BLOW_1' } },
      [12] = { pval_flags = { extra_crit=1 } },
      [15] = { pval_flags = { extra_crit=1 } },
      [18] = { pval_flags = { extra_crit=1 } },
      [21] = { pval_flags = { extra_crit=1 } },
      [24] = { pval_flags = { extra_crit=1 } },
      [27] = { pval_flags = { extra_crit=1 } },
      [30] = { pval_flags = { extra_crit=1 } },
      [33] = { pval_flags = { extra_crit=1 } },
      [36] = { pval_flags = { extra_crit=1 } },
      [39] = { pval_flags = { extra_crit=1 } },
      [42] = { pval_flags = { extra_crit=1 } },
      [45] = { pval_flags = { extra_crit=1 } },
      [48] = { pval_flags = { extra_crit=1 } },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='DAGGER' },
    },
  },
  copy_add = {
    hit_die = 6,
    xp_mult = 25,
    adj_stat = { STR = 2, INT = 1, WIS = -2, DEX = 3, CON = 1, CHA = -1 },
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Rogue',
  -- verbatim_hack = 'class/Rogue',
  desc = [[Rogues are masters of tricks. They can steal from shops and monsters, and lure monsters into deadly monster traps.

#GOLD#Stat modifiers:
#LIGHT_BLUE#+2 STR, +1 INT, -2 WIS
+3 DEX, +1 CON, -1 CHA#LAST#
HP per level:  #LIGHT_BLUE#+6#LAST#
Exp penalty:  #LIGHT_BLUE#+25%#LAST#]],
  group = 'Rogue',
  copy = {
    resolvers.birth_gain_at_lev {
      [1] = { abilities = { 'TRAPPING' } },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='TRAP_CATAPULT' },
      { name='IRON_SHOT', qty={1,11,4}, no_auto_equip=true },
    },
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Assassin',
  -- verbatim_hack = 'class/Assassin',
  desc = [[Assassins are stealthy killers.

#GOLD#Stat modifiers:
#LIGHT_BLUE#+2 STR, +1 INT, -2 WIS
+3 DEX, +1 CON, -1 CHA#LAST#
HP per level:  #LIGHT_BLUE#+6#LAST#
Exp penalty:  #LIGHT_BLUE#+25%#LAST#]],
  group = 'Rogue',
  copy = {
    resolvers.birth_skill_adj {
      COMBAT = { mod_adj=100 },
      WEAPONMASTERY = { mod_adj=100 },
      SWORD_MASTERY = { mod_adj=300 },
      CRITICAL_HITS = { base_adj=1000, mod_adj=300 },
      BOOMERANG_MASTERY = { base_adj=1000, mod_adj=300 },
      MAGIC = { mod_adj=-500 },
      CONVEYANCE = { mod_adj=-400 },
      DIVINATION = { mod_adj=-400 },
      TEMPORAL = { mod_adj=-300 },
      STEALTH = { mod_adj=500 },
      DISARMING = { mod_adj=-1000 },
      BACKSTAB = { mod_adj=1000 },
      STEALING = { mod_adj=-1800 },
      MAGIC_DEVICE = { mod_adj=-800 },
    },
  },
}

newBirthDescriptor {
  type = 'class_group',
  name = 'Loremaster',
  -- verbatim_hack = 'class_group/Loremaster',
  desc = [[Loremasters are skilled in most combat and monster skills.]],
  copy = {
    resolvers.birth_skill_adj {
      COMBAT = { base_adj=1000, mod_adj=700 },
      WEAPONMASTERY = { base_adj=1000, mod_adj=700 },
      ARCHERY = { base_adj=1000, mod_adj=700 },
      BAREHAND_COMBAT = { base_adj=1000, mod_adj=700 },
      MAGIC = { mod_adj=600 },
      SNEAKINESS = { base_adj=1000, mod_adj=700 },
      STEALTH = { base_adj=1000, mod_adj=700 },
      DISARMING = { base_adj=1000, mod_adj=700 },
      SPIRITUALITY = { base_adj=1000, mod_adj=700 },
      MONSTER_LORE = { base_adj=1000, mod_adj=600 },
      POSSESSION = { mod_adj=500 },
      CORPSE_PRESERVATION = { base_adj=1000, mod_adj=700 },
      SUMMONING = { mod_adj=500 },
      SYMBIOSIS = { mod_adj=500 },
      MIMICRY = { mod_adj=500 },
      MUSIC = { mod_adj=300 },
    },
    weapon_blows = { base_wgt=3, wgt_mult=3 },
    pseudo_id = { weapon_heavy=true, magic_heavy=false },
  },
  copy_add = {
    hit_die = 8,
    xp_mult = 40,
    adj_stat = { STR = 1, INT = -2, WIS = 1, DEX = 1, CHA = 1 },
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Loremaster',
  -- verbatim_hack = 'class/Loremaster',
  desc = [[Loremasters are skilled in most combat and monster skills.

#GOLD#Stat modifiers:
#LIGHT_BLUE#+1 STR, -2 INT, +1 WIS
+1 DEX, +0 CON, +1 CHA#LAST#
HP per level:  #LIGHT_BLUE#+8#LAST#
Exp penalty:  #LIGHT_BLUE#+40%#LAST#]],
  group = 'Loremaster',
  copy = {
    resolvers.birth_equip {
      full_id=true,
      { name='QUARTERSTAFF' },
      { name='HARD_LEATHER_ARMOUR' },
      { name='SLING' },
      { name='ROUNDED_PEBBLE', qty={3,10} },
    },
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Possessor',
  -- verbatim_hack = 'class/Possessor',
  desc = [[Only the soul matters; a possessor can abandon his/her current body to incarnate in the body of a dead monster, thus gaining its powers and weaknesses.

#GOLD#Stat modifiers:
#LIGHT_BLUE#+1 STR, -2 INT, +1 WIS
+1 DEX, +0 CON, +1 CHA#LAST#
HP per level:  #LIGHT_BLUE#+8#LAST#
Exp penalty:  #LIGHT_BLUE#+40%#LAST#]],
  group = 'Loremaster',
  copy = {
    resolvers.birth_skill_adj {
      COMBAT = { mod_adj=-100 },
      WEAPONMASTERY = { mod_adj=-100 },
      ARCHERY = { mod_adj=-300 },
      BAREHAND_COMBAT = { base_adj=-1000, mod_adj=-700 },
      DISARMING = { mod_adj=-200 },
      SPIRITUALITY = { mod_adj=-200 },
      POSSESSION = { base_adj=1000, mod_adj=300 },
      CORPSE_PRESERVATION = { mod_adj=200 },
      SUMMONING = { mod_adj=-500 },
      SYMBIOSIS = { mod_adj=-500 },
      MIMICRY = { mod_adj=-500 },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='POT_HEALING' },
      { name='SHORT_SWORD' },
      { name='HARD_LEATHER_ARMOUR' },
    },
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Mimic',
  -- verbatim_hack = 'class/Mimic',
  desc = [[Disguise is the way of the mimic. Through the use of cloaks of mimicry they can change shape for a limited time. They also can temporarily change part of their anatomy.

#GOLD#Stat modifiers:
#LIGHT_BLUE#+1 STR, -2 INT, +1 WIS
+1 DEX, +0 CON, +1 CHA#LAST#
HP per level:  #LIGHT_BLUE#+8#LAST#
Exp penalty:  #LIGHT_BLUE#+40%#LAST#]],
  group = 'Loremaster',
  copy = {
    resolvers.birth_skill_adj {
      COMBAT = { mod_adj=100 },
      WEAPONMASTERY = { mod_adj=100 },
      BAREHAND_COMBAT = { mod_adj=-100 },
      MAGIC = { base_adj=1000, mod_adj=100 },
      SNEAKINESS = { mod_adj=100 },
      STEALTH = { mod_adj=100 },
      SPIRITUALITY = { mod_adj=-200 },
      POSSESSION = { mod_adj=-400 },
      CORPSE_PRESERVATION = { mod_adj=200 },
      SUMMONING = { mod_adj=-500 },
      SYMBIOSIS = { mod_adj=-500 },
      MIMICRY = { base_adj=1000, mod_adj=300 },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='POT_HEALING' },
      { name='DAGGER' },
      { name='MIMICRY_CLOAK', resolve={ force_mimic_form='Mouse' } },
    },
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Symbiant',
  -- verbatim_hack = 'class/Symbiant',
  desc = [[A symbiant can merge his/her body with one of a monster unable to move by itself. They also have a few spells to help the symbiosis.

#GOLD#Stat modifiers:
#LIGHT_BLUE#+1 STR, -2 INT, +1 WIS
+1 DEX, +0 CON, +1 CHA#LAST#
HP per level:  #LIGHT_BLUE#+8#LAST#
Exp penalty:  #LIGHT_BLUE#+40%#LAST#]],
  group = 'Loremaster',
  copy = {
    resolvers.birth_skill_adj {
      COMBAT = { mod_adj=100 },
      WEAPONMASTERY = { mod_adj=100 },
      BAREHAND_COMBAT = { mod_adj=-100 },
      MAGIC = { base_adj=1000, mod_adj=100 },
      SNEAKINESS = { mod_adj=100 },
      STEALTH = { mod_adj=100 },
      SPIRITUALITY = { mod_adj=-200 },
      POSSESSION = { mod_adj=-400 },
      CORPSE_PRESERVATION = { mod_adj=200 },
      SUMMONING = { mod_adj=-500 },
      SYMBIOSIS = { base_adj=1000, mod_adj=300 },
      MIMICRY = { mod_adj=-500 },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='DAGGER' },
      { name='SCRL_SUMMON_NEVER_MOVING_PET' },
    },
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Summoner',
  -- verbatim_hack = 'class/Summoner',
  desc = [[The summoner can conjure monsters from totems made from defeated foes.

#GOLD#Stat modifiers:
#LIGHT_BLUE#+1 STR, -2 INT, +1 WIS
+1 DEX, +0 CON, +1 CHA#LAST#
HP per level:  #LIGHT_BLUE#+8#LAST#
Exp penalty:  #LIGHT_BLUE#+40%#LAST#]],
  group = 'Loremaster',
  copy = {
    resolvers.birth_skill_adj {
      COMBAT = { mod_adj=-100 },
      WEAPONMASTERY = { mod_adj=-100 },
      ARCHERY = { mod_adj=-300 },
      BAREHAND_COMBAT = { base_adj=-1000, mod_adj=-700 },
      MAGIC = { base_adj=1000, mod_adj=200 },
      DISARMING = { mod_adj=-200 },
      SPIRITUALITY = { mod_adj=-200 },
      MONSTER_LORE = { base_adj=15000, mod_adj=100 },
      POSSESSION = { mod_adj=-500 },
      CORPSE_PRESERVATION = { mod_adj=300 },
      SUMMONING = { base_adj=1000, mod_adj=200 },
      SYMBIOSIS = { mod_adj=-500 },
      MIMICRY = { mod_adj=-500 },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='POT_HEALING' },
      { name='SHORT_SWORD' },
      { name='HARD_LEATHER_ARMOUR' },
    },
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Monk',
  -- verbatim_hack = 'class/Monk',
  desc = [[Barehanded, lightly armoured fighters, they wreak havoc with their bare fists, and can also use a few prayers.

#GOLD#Stat modifiers:
#LIGHT_BLUE#+1 STR, -2 INT, +1 WIS
+1 DEX, +0 CON, +1 CHA#LAST#
HP per level:  #LIGHT_BLUE#+8#LAST#
Exp penalty:  #LIGHT_BLUE#+40%#LAST#]],
  group = 'Loremaster',
  copy = {
    resolvers.birth_skill_adj {
      COMBAT = { base_adj=-1000, mod_adj=200 },
      WEAPONMASTERY = { base_adj=-1000, mod_adj=-400 },
      ARCHERY = { base_adj=-1000, mod_adj=-300 },
      BAREHAND_COMBAT = { mod_adj=200 },
      SNEAKINESS = { mod_adj=200 },
      STEALTH = { mod_adj=200 },
      DISARMING = { mod_adj=200 },
      SPIRITUALITY = { mod_adj=200 },
      POSSESSION = { mod_adj=-400 },
      CORPSE_PRESERVATION = { mod_adj=-200 },
      SUMMONING = { mod_adj=-500 },
      SYMBIOSIS = { mod_adj=-500 },
      MIMICRY = { mod_adj=-500 },
      META = { mod_adj=500 },
      MIND = { mod_adj=500 },
      TEMPORAL = { mod_adj=500 },
      DODGING = { mod_adj=700 },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='POT_HEALING' },
      { name='SOFT_LEATHER_ARMOUR' },
    },
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Bard',
  -- verbatim_hack = 'class/Bard',
  desc = [[Bards sing and play songs full of power, beauty or sadness to affect everything that can hear them, using music instruments of various types.

#GOLD#Stat modifiers:
#LIGHT_BLUE#+1 STR, -2 INT, +1 WIS
+1 DEX, +0 CON, +1 CHA#LAST#
HP per level:  #LIGHT_BLUE#+8#LAST#
Exp penalty:  #LIGHT_BLUE#+40%#LAST#]],
  group = 'Loremaster',
  copy = {
    resolvers.birth_skill_adj {
      MAGIC = { base_adj=1000 },
      ARCHERY = { base_adj=-1000, mod_adj=-700 },
      BAREHAND_COMBAT = { mod_adj=-100 },
      DISARMING = { mod_adj=-100 },
      SPIRITUALITY = { mod_adj=100 },
      POSSESSION = { mod_adj=-500 },
      SUMMONING = { mod_adj=-100 },
      SYMBIOSIS = { mod_adj=-100 },
      MIMICRY = { mod_adj=-100 },
      MUSIC = { base_adj=1000, mod_adj=500 },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='POT_HEALING' },
      { name='SHORT_SWORD' },
      { name='ROBE' },
      { name='HARP' },
    },
  },
}

newBirthDescriptor {
  type = 'class_group',
  name = 'Priest',
  -- verbatim_hack = 'class_group/Priest',
  desc = [[A priest serves a god (Vala, Maia or Eru himself) to bring down the empire of fear and shadows of Morgoth.]],
  copy = {
    resolvers.birth_skill_adj {
      MAGIC = { base_adj=1000, mod_adj=900 },
      SPELL_POWER = { mod_adj=600 },
      NECROMANCY = { mod_adj=600 },
      MINDCRAFT = { mod_adj=600 },
      SPIRITUALITY = { base_adj=1000, mod_adj=1000 },
      PRAYER = { base_adj=1000, mod_adj=700 },
      COMBAT = { base_adj=2000, mod_adj=700 },
      WEAPONMASTERY = { base_adj=1000, mod_adj=700 },
      SNEAKINESS = { base_adj=1000, mod_adj=900 },
      DISARMING = { mod_adj=900 },
      STEALTH = { mod_adj=400 },
      MAGIC_DEVICE = { mod_adj=50 },
    },
    weapon_blows = { base_wgt=3.5, wgt_mult=3 },
    pseudo_id = { weapon_heavy=false, magic_heavy=true },
    base_flags = {
      GOD_FRIEND = true,
    },
    resolvers.birth_gain_at_lev {
      [1] = { abilities = { 'PERFECT_CASTING' } },
      [7] = { talents = { ActorTalents.T_PRIEST_DET_CURSE } },
    },
  },
  copy_add = {
    hit_die = 2,
    xp_mult = 20,
    adj_stat = { STR = -1, INT = -3, WIS = 3, DEX = -1, CHA = 2 },
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Priest(Eru)',
  -- verbatim_hack = 'class/Priest(Eru)',
  desc = [[A priest that serves Eru Ilúvatar to bring down the empire of fear and shadows of Morgoth.

#GOLD#Stat modifiers:
#LIGHT_BLUE#-1 STR, -3 INT, +3 WIS
-1 DEX, +0 CON, +2 CHA#LAST#
HP per level:  #LIGHT_BLUE#+2#LAST#
Exp penalty:  #LIGHT_BLUE#+20%#LAST#]],
  group = 'Priest',
  copy = {
    resolvers.birth_skill_adj {
      PRAYER = { mod_adj=300 },
      NECROMANCY = { mod_adj=-600 },
      SPELL_POWER = { mod_adj=100 },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='MACE' },
      { name='SPELLBOOK_OF', resolve={ force_spell=ActorTalents.T_SEE_THE_MUSIC } },
    },
  },
  allowed_gods = {
    ['Eru Ilúvatar'] = true,
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Priest(Manwë)',
  -- verbatim_hack = 'class/Priest(Manwë)',
  desc = [[A priest that serves Manwë Súlimo to bring down the empire of fear and shadows of Morgoth.

#GOLD#Stat modifiers:
#LIGHT_BLUE#-1 STR, -3 INT, +3 WIS
-1 DEX, +0 CON, +2 CHA#LAST#
HP per level:  #LIGHT_BLUE#+2#LAST#
Exp penalty:  #LIGHT_BLUE#+20%#LAST#]],
  flat_name = 'Priest(Manwe)',
  group = 'Priest',
  copy = {
    resolvers.birth_skill_adj {
      PRAYER = { mod_adj=300 },
      NECROMANCY = { mod_adj=-600 },
      WEAPONMASTERY = { mod_adj=50 },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='MACE' },
      { name='SPELLBOOK_OF', resolve={ force_spell=ActorTalents.T_MANWE_BLESSING } },
    },
  },
  allowed_gods = {
    ['Manwë Súlimo'] = true,
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Druid',
  -- verbatim_hack = 'class/Druid',
  desc = [[A priest that serves Yavanna Kementári to protect and help the regrowth of nature on Arda.

#GOLD#Stat modifiers:
#LIGHT_BLUE#-1 STR, -3 INT, +3 WIS
-1 DEX, +0 CON, +2 CHA#LAST#
HP per level:  #LIGHT_BLUE#+2#LAST#
Exp penalty:  #LIGHT_BLUE#+20%#LAST#]],
  group = 'Priest',
  copy = {
    resolvers.birth_skill_adj {
      PRAYER = { mod_adj=300 },
      NECROMANCY = { mod_adj=-600 },
      WEAPONMASTERY = { mod_adj=50 },
      MONSTER_LORE = { base_adj=1000, mod_adj=700 },
      SUMMONING = { base_adj=1000, mod_adj=700 },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='MACE' },
      { name='SPELLBOOK_OF', resolve={ force_spell=ActorTalents.T_CHARM_ANIMAL } },
    },
  },
  allowed_gods = {
    ['Yavanna Kementári'] = true,
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Dark-Priest',
  -- verbatim_hack = 'class/Dark-Priest',
  desc = [[A priest that serves Melkor Bauglir to bring chaos and destruction to Arda.

#GOLD#Stat modifiers:
#LIGHT_BLUE#-1 STR, -3 INT, +3 WIS
-1 DEX, +0 CON, +2 CHA#LAST#
HP per level:  #LIGHT_BLUE#+2#LAST#
Exp penalty:  #LIGHT_BLUE#+20%#LAST#]],
  group = 'Priest',
  copy = {
    resolvers.birth_skill_adj {
      PRAYER = { mod_adj=200 },
      NECROMANCY = { mod_adj=200 },
      MINDCRAFT = { mod_adj=-600 },
      SPELL_POWER = { mod_adj=200 },
      CORPSE_PRESERVATION = { base_adj=1000, mod_adj=1000 },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='MACE' },
      { name='SPELLBOOK_OF', resolve={ force_spell=ActorTalents.T_CURSE } },
    },
  },
  allowed_gods = {
    ['Melkor Bauglir'] = true,
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Paladin',
  -- verbatim_hack = 'class/Paladin',
  desc = [[A fighting priest that serves Tulkas to bring down the empire of fear and shadows of Morgoth.

#GOLD#Stat modifiers:
#LIGHT_BLUE#-1 STR, -3 INT, +3 WIS
-1 DEX, +0 CON, +2 CHA#LAST#
HP per level:  #LIGHT_BLUE#+2#LAST#
Exp penalty:  #LIGHT_BLUE#+20%#LAST#]],
  group = 'Priest',
  copy = {
    resolvers.birth_skill_adj {
      PRAYER = { mod_adj=200 },
      NECROMANCY = { mod_adj=-600 },
      WEAPONMASTERY = { mod_adj=100 },
      COMBAT = { mod_adj=100 },
      BAREHAND_COMBAT = { mod_adj=900 },
    },
    resolvers.birth_gain_at_lev {
      [1] = { abilities = { 'EXTRA_MAX_BLOW_1' } },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='TWO_HANDED_SWORD' },
      { name='SPELLBOOK_OF', resolve={ force_spell=ActorTalents.T_DIVINE_AIM } },
    },
  },
  allowed_gods = {
    ['Tulkas'] = true,
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Mindcrafter',
  -- verbatim_hack = 'class/Mindcrafter',
  desc = [[A priest who has learned to tap in his own mental powers

#GOLD#Stat modifiers:
#LIGHT_BLUE#-1 STR, -3 INT, +3 WIS
-1 DEX, +0 CON, +2 CHA#LAST#
HP per level:  #LIGHT_BLUE#+2#LAST#
Exp penalty:  #LIGHT_BLUE#+20%#LAST#]],
  group = 'Priest',
  copy = {
    resolvers.birth_skill_adj {
      PRAYER = { mod_adj=-300 },
      NECROMANCY = { mod_adj=-200 },
      MINDCRAFT = { base_adj=1000, mod_adj=300 },
      SNEAKINESS = { mod_adj=200 },
      MAGIC_DEVICE = { mod_adj=100 },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='MACE' },
    },
  },
  allowed_gods = {
    ['Eru Ilúvatar'] = true,
    ['Manwë Súlimo'] = true,
    ['Tulkas'] = true,
    ['Melkor Bauglir'] = true,
    ['Yavanna Kementári'] = true,
  },
}

newBirthDescriptor {
  type = 'race',
  name = 'Human',
  -- verbatim_hack = 'race/Human',
  desc = [[Humans are the second born, the Edain. They are the basic race to which all others are compared. Average in ability, they can be any class.

#GOLD#Stat modifiers:
#LIGHT_BLUE#+0 STR, +0 INT, +0 WIS
+0 DEX, +0 CON, +0 CHA#LAST#
HP per level:  #LIGHT_BLUE#+10#LAST#
Exp penalty:  #LIGHT_BLUE#+0%#LAST#]],
  copy_add = {
    hit_die = 10,
    xp_mult = 0,
    infravision = 0,
    ahw = {
      age = { base=14, mod=6 },
      height = {
	Male = { mean=72, std=6 },
	Female = { mean=66, std=4 },
	Neuter = { mean=69, std=5 },
      },
      weight = {
	Male = { mean=180, std=25 },
	Female = { mean=150, std=20 },
	Neuter = { mean=165, std=22 },
      },
    },
  },
  allowed_subraces = {
    ['Vampire'] = true,
    ['Spectre'] = true,
    ['Skeleton'] = true,
    ['Zombie'] = true,
    ['Barbarian'] = true,
    ['Hermit'] = true,
    ['LostSoul'] = true,
  },
  allowed_classes = {
    ['Warrior'] = true,
    ['Archer'] = true,
    ['Mage'] = true,
    ['Rogue'] = true,
    ['Priest'] = true,
    ['Loremaster'] = true,
  },
  body = { MAIN_HAND=1, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=1, BOOTS=1, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
  history_start_idx = 1,
}

newBirthDescriptor {
  type = 'race',
  name = 'Half-Elf',
  -- verbatim_hack = 'race/Half-Elf',
  desc = [[A crossbreed of elf and human, they get the best of the two races.

#GOLD#Stat modifiers:
#LIGHT_BLUE#+0 STR, +1 INT, +1 WIS
+1 DEX, -1 CON, +1 CHA#LAST#
HP per level:  #LIGHT_BLUE#+9#LAST#
Exp penalty:  #LIGHT_BLUE#+10%#LAST#]],
  opt_display = 'h',
  opt_color = colors.C_W,
  copy = {
    resolvers.birth_skill_adj {
      DISARMING = { base_adj=200 },
      MAGIC_DEVICE = { base_adj=300 },
      SPIRITUALITY = { base_adj=1500 },
      STEALTH = { base_adj=1000 },
      SNEAKINESS = { base_adj=600 },
      WEAPONMASTERY = { base_adj=-100 },
      ARCHERY = { base_adj=500 },
    },
    base_flags = {
      ELF = true,
    },
  },
  copy_add = {
    hit_die = 9,
    xp_mult = 10,
    infravision = 2,
    adj_stat = { INT = 1, WIS = 1, DEX = 1, CON = -1, CHA = 1 },
    ahw = {
      age = { base=24, mod=16 },
      height = {
	Male = { mean=66, std=6 },
	Female = { mean=62, std=6 },
	Neuter = { mean=64, std=6 },
      },
      weight = {
	Male = { mean=130, std=15 },
	Female = { mean=100, std=10 },
	Neuter = { mean=115, std=12 },
      },
    },
  },
  allowed_subraces = {
    ['Vampire'] = true,
    ['Spectre'] = true,
    ['Skeleton'] = true,
    ['Zombie'] = true,
    ['Hermit'] = true,
    ['LostSoul'] = true,
  },
  allowed_classes = {
    ['Warrior'] = true,
    ['Archer'] = true,
    ['Mage'] = true,
    ['Rogue'] = true,
    ['Priest'] = true,
    ['Loremaster'] = true,
  },
  body = { MAIN_HAND=1, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=1, BOOTS=1, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
  history_start_idx = 4,
}

newBirthDescriptor {
  type = 'race',
  name = 'Elf',
  -- verbatim_hack = 'race/Elf',
  desc = [[Elves are the first born, the Eldar. More spiritual than physical beings, they are weaker than humans but are more intelligent.

#GOLD#Stat modifiers:
#LIGHT_BLUE#-1 STR, +2 INT, +2 WIS
+1 DEX, -2 CON, +2 CHA#LAST#
HP per level:  #LIGHT_BLUE#+8#LAST#
Exp penalty:  #LIGHT_BLUE#+20%#LAST#]],
  opt_display = 'h',
  opt_color = colors.C_W,
  copy = {
    resolvers.birth_skill_adj {
      DISARMING = { base_adj=500 },
      MAGIC_DEVICE = { base_adj=600 },
      SPIRITUALITY = { base_adj=3000 },
      STEALTH = { base_adj=2000 },
      SNEAKINESS = { base_adj=800 },
      WEAPONMASTERY = { base_adj=-500 },
      ARCHERY = { base_adj=1500 },
    },
    base_flags = {
      ELF = true,
    },
    resolvers.birth_gain_at_lev {
      [1] = { convey_resist_dam = { [DamageType.LITE]=true } },
    },
  },
  copy_add = {
    hit_die = 8,
    xp_mult = 20,
    infravision = 3,
    adj_stat = { STR = -1, INT = 2, WIS = 2, DEX = 1, CON = -2, CHA = 2 },
    ahw = {
      age = { base=75, mod=75 },
      height = {
	Male = { mean=60, std=4 },
	Female = { mean=54, std=4 },
	Neuter = { mean=57, std=4 },
      },
      weight = {
	Male = { mean=100, std=6 },
	Female = { mean=80, std=6 },
	Neuter = { mean=90, std=6 },
      },
    },
  },
  allowed_subraces = {
    ['Spectre'] = true,
    ['Skeleton'] = true,
    ['Zombie'] = true,
    ['Hermit'] = true,
    ['LostSoul'] = true,
  },
  allowed_classes = {
    ['Warrior'] = true,
    ['Archer'] = true,
    ['Mage'] = true,
    ['Priest'] = true,
    ['Loremaster'] = true,
  },
  body = { MAIN_HAND=1, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=1, BOOTS=1, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
  history_start_idx = 5,
}

newBirthDescriptor {
  type = 'race',
  name = 'Hobbit',
  -- verbatim_hack = 'race/Hobbit',
  desc = [[An old but quiet race related to humans. They are small and quite weak but good at many things.

#GOLD#Stat modifiers:
#LIGHT_BLUE#-2 STR, +2 INT, +1 WIS
+3 DEX, +2 CON, +1 CHA#LAST#
HP per level:  #LIGHT_BLUE#+7#LAST#
Exp penalty:  #LIGHT_BLUE#+10%#LAST#]],
  opt_display = 'h',
  opt_color = colors.C_s,
  copy = {
    resolvers.birth_skill_adj {
      SLING_MASTERY = { mod_adj=300 },
      DISARMING = { base_adj=1500 },
      MAGIC_DEVICE = { base_adj=1800 },
      SPIRITUALITY = { base_adj=9000 },
      STEALTH = { base_adj=5000 },
      SNEAKINESS = { base_adj=1200 },
      WEAPONMASTERY = { base_adj=-1000 },
      ARCHERY = { base_adj=2000 },
    },
    base_flags = {
      RESIST_BLACK_BREATH = true,
      XTRA_MIGHT_SLING = true,
    },
    resolvers.birth_gain_at_lev {
      [1] = { convey_flags = { SUST_DEX=true } },
      [15] = { talents = { ActorTalents.T_HOBBIT_CREATE_FOOD } },
    },
  },
  copy_add = {
    hit_die = 7,
    xp_mult = 10,
    infravision = 4,
    birth_adj_luck = 5,
    adj_stat = { STR = -2, INT = 2, WIS = 1, DEX = 3, CON = 2, CHA = 1 },
    ahw = {
      age = { base=21, mod=12 },
      height = {
	Male = { mean=36, std=3 },
	Female = { mean=33, std=3 },
	Neuter = { mean=34, std=3 },
      },
      weight = {
	Male = { mean=60, std=3 },
	Female = { mean=50, std=3 },
	Neuter = { mean=55, std=3 },
      },
    },
  },
  allowed_subraces = {
    ['Vampire'] = true,
    ['Spectre'] = true,
    ['Skeleton'] = true,
    ['Zombie'] = true,
    ['Hermit'] = true,
    ['LostSoul'] = true,
  },
  allowed_classes = {
    ['Warrior'] = true,
    ['Archer'] = true,
    ['Mage'] = true,
    ['Rogue'] = true,
    ['Loremaster'] = true,
  },
  body = { MAIN_HAND=1, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=1, BOOTS=1, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
  history_start_idx = 10,
}

newBirthDescriptor {
  type = 'race',
  name = 'Gnome',
  -- verbatim_hack = 'race/Gnome',
  desc = [[Related to dwarves, Gnomes are between Dwarves and Hobbits in size. Very good at magic use, they are poor as fighters.

#GOLD#Stat modifiers:
#LIGHT_BLUE#-1 STR, +2 INT, +0 WIS
+2 DEX, +1 CON, -2 CHA#LAST#
HP per level:  #LIGHT_BLUE#+8#LAST#
Exp penalty:  #LIGHT_BLUE#+35%#LAST#]],
  opt_display = 'h',
  opt_color = colors.C_U,
  copy = {
    resolvers.birth_skill_adj {
      DISARMING = { base_adj=1000 },
      MAGIC_DEVICE = { base_adj=1200 },
      SPIRITUALITY = { base_adj=6000 },
      STEALTH = { base_adj=3000 },
      SNEAKINESS = { base_adj=600 },
      WEAPONMASTERY = { base_adj=-800 },
      ARCHERY = { base_adj=1200 },
    },
    resolvers.birth_gain_at_lev {
      [1] = { convey_flags = { FREE_ACT=true } },
      [3] = { talents = { ActorTalents.T_GNOME_BLINK } },
    },
  },
  copy_add = {
    hit_die = 8,
    xp_mult = 35,
    infravision = 4,
    birth_adj_luck = 2,
    adj_stat = { STR = -1, INT = 2, DEX = 2, CON = 1, CHA = -2 },
    ahw = {
      age = { base=50, mod=40 },
      height = {
	Male = { mean=42, std=3 },
	Female = { mean=39, std=3 },
	Neuter = { mean=40, std=3 },
      },
      weight = {
	Male = { mean=90, std=6 },
	Female = { mean=75, std=3 },
	Neuter = { mean=82, std=4 },
      },
    },
  },
  allowed_subraces = {
    ['Vampire'] = true,
    ['Spectre'] = true,
    ['Skeleton'] = true,
    ['Zombie'] = true,
    ['Hermit'] = true,
    ['LostSoul'] = true,
  },
  allowed_classes = {
    ['Warrior'] = true,
    ['Mage'] = true,
    ['Rogue'] = true,
  },
  body = { MAIN_HAND=1, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=1, BOOTS=1, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
  history_start_idx = 13,
}

newBirthDescriptor {
  type = 'race',
  name = 'Dwarf',
  -- verbatim_hack = 'race/Dwarf',
  desc = [[The children of Aulë, a strong but small race. Miners and fighters of legend.

#GOLD#Stat modifiers:
#LIGHT_BLUE#+2 STR, -2 INT, +2 WIS
-2 DEX, +2 CON, -3 CHA#LAST#
HP per level:  #LIGHT_BLUE#+11#LAST#
Exp penalty:  #LIGHT_BLUE#+25%#LAST#]],
  opt_display = 'h',
  opt_color = colors.C_U,
  copy = {
    resolvers.birth_skill_adj {
      AXE_MASTERY = { mod_adj=200 },
      DISARMING = { base_adj=200 },
      MAGIC_DEVICE = { base_adj=900 },
      SPIRITUALITY = { base_adj=5000 },
      STEALTH = { base_adj=-1000 },
      SNEAKINESS = { base_adj=700 },
      WEAPONMASTERY = { base_adj=1500 },
      ARCHERY = { base_adj=500 },
    },
    resolvers.birth_gain_at_lev {
      [1] = { convey_resist_dam = { [DamageType.BLIND]=true } },
      [15] = { talents = { ActorTalents.T_DWARF_PASSWALL } },
    },
  },
  copy_add = {
    hit_die = 11,
    xp_mult = 25,
    infravision = 5,
    adj_stat = { STR = 2, INT = -2, WIS = 2, DEX = -2, CON = 2, CHA = -3 },
    ahw = {
      age = { base=35, mod=15 },
      height = {
	Male = { mean=48, std=3 },
	Female = { mean=46, std=3 },
	Neuter = { mean=47, std=3 },
      },
      weight = {
	Male = { mean=150, std=10 },
	Female = { mean=120, std=10 },
	Neuter = { mean=135, std=10 },
      },
    },
  },
  allowed_subraces = {
    ['Vampire'] = true,
    ['Spectre'] = true,
    ['Skeleton'] = true,
    ['Zombie'] = true,
    ['Barbarian'] = true,
    ['Hermit'] = true,
    ['LostSoul'] = true,
  },
  allowed_classes = {
    ['Warrior'] = true,
    ['Priest'] = true,
  },
  body = { MAIN_HAND=1, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=1, BOOTS=1, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
  history_start_idx = 16,
}

newBirthDescriptor {
  type = 'race',
  name = 'Orc',
  -- verbatim_hack = 'race/Orc',
  desc = [[Quite strong but not very smart.

#GOLD#Stat modifiers:
#LIGHT_BLUE#+2 STR, -1 INT, +0 WIS
+1 DEX, +1 CON, -4 CHA#LAST#
HP per level:  #LIGHT_BLUE#+10#LAST#
Exp penalty:  #LIGHT_BLUE#+10%#LAST#]],
  opt_display = 'o',
  opt_color = colors.C_U,
  copy = {
    resolvers.birth_skill_adj {
      DISARMING = { base_adj=-300 },
      MAGIC_DEVICE = { base_adj=-300 },
      SPIRITUALITY = { base_adj=-1000 },
      STEALTH = { base_adj=-1000 },
      WEAPONMASTERY = { base_adj=1200 },
      ARCHERY = { base_adj=-500 },
    },
    resolvers.birth_gain_at_lev {
      [1] = { convey_resist_dam = { [DamageType.DARK]=true } },
      [3] = { talents = { ActorTalents.T_ORC_REMOVE_FEAR } },
    },
  },
  copy_add = {
    hit_die = 10,
    xp_mult = 10,
    infravision = 3,
    birth_adj_luck = -3,
    adj_stat = { STR = 2, INT = -1, DEX = 1, CON = 1, CHA = -4 },
    ahw = {
      age = { base=11, mod=4 },
      height = {
	Male = { mean=66, std=1 },
	Female = { mean=62, std=1 },
	Neuter = { mean=64, std=1 },
      },
      weight = {
	Male = { mean=150, std=5 },
	Female = { mean=120, std=5 },
	Neuter = { mean=135, std=5 },
      },
    },
  },
  allowed_subraces = {
    ['Vampire'] = true,
    ['Spectre'] = true,
    ['Skeleton'] = true,
    ['Zombie'] = true,
    ['Barbarian'] = true,
    ['LostSoul'] = true,
  },
  allowed_classes = {
    ['Warrior'] = true,
    ['Archer'] = true,
    ['Rogue'] = true,
    ['Priest'] = true,
  },
  body = { MAIN_HAND=1, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=1, BOOTS=1, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
  history_start_idx = 25,
}

newBirthDescriptor {
  type = 'race',
  name = 'Troll',
  -- verbatim_hack = 'race/Troll',
  desc = [[They can bear the light of the sun. They are extremely strong and dumb.

#GOLD#Stat modifiers:
#LIGHT_BLUE#+4 STR, -4 INT, -2 WIS
-4 DEX, +3 CON, -6 CHA#LAST#
HP per level:  #LIGHT_BLUE#+12#LAST#
Exp penalty:  #LIGHT_BLUE#+37%#LAST#]],
  opt_display = 'T',
  opt_color = colors.C_g,
  copy = {
    resolvers.birth_skill_adj {
      DISARMING = { base_adj=-500 },
      MAGIC_DEVICE = { base_adj=-800 },
      SPIRITUALITY = { base_adj=-4000 },
      STEALTH = { base_adj=-2000 },
      SNEAKINESS = { base_adj=-100 },
      WEAPONMASTERY = { base_adj=2000 },
      ARCHERY = { base_adj=-1000 },
    },
    resolvers.birth_gain_at_lev {
      [1] = { convey_flags = { SUST_STR=true } },
      [8] = { talents = { ActorTalents.T_TROLL_BERZERK } },
      [15] = { convey_flags = { REGENERATE=true } },
    },
  },
  copy_add = {
    hit_die = 12,
    xp_mult = 37,
    infravision = 3,
    birth_adj_luck = -4,
    adj_stat = { STR = 4, INT = -4, WIS = -2, DEX = -4, CON = 3, CHA = -6 },
    ahw = {
      age = { base=20, mod=10 },
      height = {
	Male = { mean=96, std=10 },
	Female = { mean=84, std=8 },
	Neuter = { mean=90, std=9 },
      },
      weight = {
	Male = { mean=250, std=50 },
	Female = { mean=225, std=40 },
	Neuter = { mean=237, std=45 },
      },
    },
  },
  allowed_subraces = {
    ['Vampire'] = true,
    ['Spectre'] = true,
    ['Skeleton'] = true,
    ['Zombie'] = true,
    ['Barbarian'] = true,
    ['LostSoul'] = true,
  },
  allowed_classes = {
    ['Warrior'] = true,
  },
  body = { MAIN_HAND=1, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=1, BOOTS=1, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
  history_start_idx = 22,
}

newBirthDescriptor {
  type = 'race',
  name = 'Dúnadan',
  -- verbatim_hack = 'race/Dúnadan',
  desc = [[The greatest of the Edain, humans in all respects but stronger, smarter and wiser.

#GOLD#Stat modifiers:
#LIGHT_BLUE#+1 STR, +2 INT, +2 WIS
+2 DEX, +3 CON, +2 CHA#LAST#
HP per level:  #LIGHT_BLUE#+10#LAST#
Exp penalty:  #LIGHT_BLUE#+80%#LAST#]],
  flat_name = 'Dunadan',
  copy = {
    resolvers.birth_skill_adj {
      DISARMING = { base_adj=400 },
      MAGIC_DEVICE = { base_adj=500 },
      SPIRITUALITY = { base_adj=2500 },
      STEALTH = { base_adj=2000 },
      SNEAKINESS = { base_adj=800 },
      WEAPONMASTERY = { base_adj=1500 },
      ARCHERY = { base_adj=1000 },
    },
    resolvers.birth_gain_at_lev {
      [1] = { convey_flags = { SUST_CON=true, REGENERATE=true } },
    },
  },
  copy_add = {
    hit_die = 10,
    xp_mult = 80,
    infravision = 0,
    birth_adj_luck = 2,
    adj_stat = { STR = 1, INT = 2, WIS = 2, DEX = 2, CON = 3, CHA = 2 },
    ahw = {
      age = { base=50, mod=50 },
      height = {
	Male = { mean=82, std=5 },
	Female = { mean=78, std=6 },
	Neuter = { mean=80, std=5 },
      },
      weight = {
	Male = { mean=190, std=20 },
	Female = { mean=180, std=15 },
	Neuter = { mean=185, std=17 },
      },
    },
  },
  allowed_subraces = {
    ['Vampire'] = true,
    ['Spectre'] = true,
    ['Skeleton'] = true,
    ['Zombie'] = true,
    ['Hermit'] = true,
    ['LostSoul'] = true,
  },
  allowed_classes = {
    ['Warrior'] = true,
    ['Archer'] = true,
    ['Mage'] = true,
    ['Rogue'] = true,
    ['Priest'] = true,
    ['Loremaster'] = true,
  },
  body = { MAIN_HAND=1, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=1, BOOTS=1, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
  history_start_idx = 1,
}

newBirthDescriptor {
  type = 'race',
  name = 'High-Elf',
  -- verbatim_hack = 'race/High-Elf',
  desc = [[Elves are the first born, the Eldar. High elves are the best of the Eldar, strong, fast, intellectual, though they sometimes lack wisdom.

#GOLD#Stat modifiers:
#LIGHT_BLUE#+1 STR, +3 INT, +2 WIS
+3 DEX, +1 CON, +5 CHA#LAST#
HP per level:  #LIGHT_BLUE#+10#LAST#
Exp penalty:  #LIGHT_BLUE#+100%#LAST#]],
  opt_display = 'h',
  opt_color = colors.C_w,
  copy = {
    resolvers.birth_skill_adj {
      DISARMING = { base_adj=400 },
      MAGIC_DEVICE = { base_adj=2000 },
      SPIRITUALITY = { base_adj=10000 },
      STEALTH = { base_adj=4000 },
      SNEAKINESS = { base_adj=300 },
      WEAPONMASTERY = { base_adj=1000 },
      ARCHERY = { base_adj=2500 },
    },
    base_flags = {
      ELF = true,
    },
    resolvers.birth_gain_at_lev {
      [1] = {
        convey_resist_dam = { [DamageType.LITE]=true },
        convey_flags = { SEE_INVIS=true }
      },
    },
  },
  copy_add = {
    hit_die = 10,
    xp_mult = 100,
    infravision = 4,
    adj_stat = { STR = 1, INT = 3, WIS = 2, DEX = 3, CON = 1, CHA = 5 },
    ahw = {
      age = { base=100, mod=30 },
      height = {
	Male = { mean=90, std=10 },
	Female = { mean=82, std=10 },
	Neuter = { mean=86, std=10 },
      },
      weight = {
	Male = { mean=190, std=20 },
	Female = { mean=180, std=15 },
	Neuter = { mean=185, std=17 },
      },
    },
  },
  allowed_subraces = {
    ['Spectre'] = true,
    ['Skeleton'] = true,
    ['Zombie'] = true,
    ['Hermit'] = true,
    ['LostSoul'] = true,
  },
  allowed_classes = {
    ['Warrior'] = true,
    ['Archer'] = true,
    ['Mage'] = true,
    ['Priest'] = true,
    ['Loremaster'] = true,
  },
  body = { MAIN_HAND=1, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=1, BOOTS=1, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
  history_start_idx = 7,
}

newBirthDescriptor {
  type = 'race',
  name = 'Half-Ogre',
  -- verbatim_hack = 'race/Half-Ogre',
  desc = [[A crossbreed between a human and an ogre. They are similar to half-trolls, strong and dumb.

#GOLD#Stat modifiers:
#LIGHT_BLUE#+3 STR, -1 INT, -1 WIS
-1 DEX, +3 CON, -3 CHA#LAST#
HP per level:  #LIGHT_BLUE#+12#LAST#
Exp penalty:  #LIGHT_BLUE#+30%#LAST#]],
  opt_display = 'O',
  opt_color = colors.C_o,
  copy = {
    resolvers.birth_skill_adj {
      DISARMING = { base_adj=-300 },
      MAGIC_DEVICE = { base_adj=-500 },
      SPIRITUALITY = { base_adj=-2500 },
      STEALTH = { base_adj=-2000 },
      SNEAKINESS = { base_adj=-100 },
      WEAPONMASTERY = { base_adj=2000 },
    },
    resolvers.birth_gain_at_lev {
      [1] = {
        convey_resist_dam = { [DamageType.DARK]=true },
        convey_flags = { SUST_STR=true }
      },
      [25] = { talents = { ActorTalents.T_HALF_OGRE_RUNE } },
    },
  },
  copy_add = {
    hit_die = 12,
    xp_mult = 30,
    infravision = 3,
    birth_adj_luck = -2,
    adj_stat = { STR = 3, INT = -1, WIS = -1, DEX = -1, CON = 3, CHA = -3 },
    ahw = {
      age = { base=40, mod=10 },
      height = {
	Male = { mean=92, std=10 },
	Female = { mean=80, std=8 },
	Neuter = { mean=86, std=9 },
      },
      weight = {
	Male = { mean=255, std=60 },
	Female = { mean=235, std=60 },
	Neuter = { mean=245, std=60 },
      },
    },
  },
  allowed_subraces = {
    ['Vampire'] = true,
    ['Spectre'] = true,
    ['Skeleton'] = true,
    ['Zombie'] = true,
    ['Barbarian'] = true,
    ['LostSoul'] = true,
  },
  allowed_classes = {
    ['Warrior'] = true,
    ['Priest'] = true,
  },
  body = { MAIN_HAND=1, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=1, BOOTS=1, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
  history_start_idx = 74,
}

newBirthDescriptor {
  type = 'race',
  name = 'Beorning',
  -- verbatim_hack = 'race/Beorning',
  desc = [[A race of men shapeshifters. They have the unique power of being able to polymorph to bear forms.

#GOLD#Stat modifiers:
#LIGHT_BLUE#+4 STR, -2 INT, -2 WIS
-1 DEX, +3 CON, -5 CHA#LAST#
HP per level:  #LIGHT_BLUE#+12#LAST#
Exp penalty:  #LIGHT_BLUE#+50%#LAST#]],
  opt_display = 'q',
  opt_color = colors.C_u,
  copy = {
    resolvers.birth_skill_adj {
      BEARFORM_COMBAT = { base_adj=1000, mod_adj=1000 },
      DISARMING = { base_adj=-600 },
      MAGIC_DEVICE = { base_adj=-800 },
      SPIRITUALITY = { base_adj=-3000 },
      STEALTH = { base_adj=-2000 },
      SNEAKINESS = { base_adj=-100 },
      WEAPONMASTERY = { base_adj=2500 },
      ARCHERY = { base_adj=500 },
    },
    resolvers.birth_gain_at_lev {
      [1] = { convey_flags = { SUST_STR=true } },
      [2] = { talents = { ActorTalents.T_BEORNING_BEARFORM } },
      [20] = { stat_flags = { STR=1 } },
    },
  },
  copy_add = {
    hit_die = 12,
    xp_mult = 50,
    infravision = 3,
    birth_adj_luck = 1,
    adj_stat = { STR = 4, INT = -2, WIS = -2, DEX = -1, CON = 3, CHA = -5 },
    ahw = {
      age = { base=40, mod=10 },
      height = {
	Male = { mean=100, std=10 },
	Female = { mean=80, std=10 },
	Neuter = { mean=90, std=10 },
      },
      weight = {
	Male = { mean=255, std=65 },
	Female = { mean=240, std=64 },
	Neuter = { mean=247, std=64 },
      },
    },
  },
  allowed_subraces = {
    ['Vampire'] = true,
    ['Spectre'] = true,
    ['Skeleton'] = true,
    ['Zombie'] = true,
    ['Barbarian'] = true,
    ['LostSoul'] = true,
  },
  allowed_classes = {
    ['Warrior'] = true,
    ['Rogue'] = true,
    ['Loremaster'] = true,
  },
  body = { MAIN_HAND=1, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=1, BOOTS=1, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
  history_start_idx = 75,
}

newBirthDescriptor {
  type = 'race',
  name = 'Kobold',
  -- verbatim_hack = 'race/Kobold',
  desc = [[A weaker kind of goblin, related to orcs.

#GOLD#Stat modifiers:
#LIGHT_BLUE#+1 STR, -1 INT, +0 WIS
+1 DEX, +0 CON, -4 CHA#LAST#
HP per level:  #LIGHT_BLUE#+9#LAST#
Exp penalty:  #LIGHT_BLUE#+25%#LAST#]],
  opt_display = 'k',
  opt_color = colors.C_g,
  copy = {
    resolvers.birth_skill_adj {
      DISARMING = { base_adj=-200 },
      MAGIC_DEVICE = { base_adj=-300 },
      SPIRITUALITY = { base_adj=-1000 },
      STEALTH = { base_adj=-1000 },
      SNEAKINESS = { base_adj=100 },
      WEAPONMASTERY = { base_adj=1000 },
      ARCHERY = { base_adj=-800 },
    },
    resolvers.birth_gain_at_lev {
      [1] = { convey_resist_dam = { [DamageType.POISON]=true } },
      [12] = { talents = { ActorTalents.T_KOBOLD_POISON_DART } },
    },
  },
  copy_add = {
    hit_die = 9,
    xp_mult = 25,
    infravision = 3,
    adj_stat = { STR = 1, INT = -1, DEX = 1, CHA = -4 },
    ahw = {
      age = { base=11, mod=3 },
      height = {
	Male = { mean=60, std=1 },
	Female = { mean=55, std=1 },
	Neuter = { mean=57, std=1 },
      },
      weight = {
	Male = { mean=130, std=5 },
	Female = { mean=100, std=5 },
	Neuter = { mean=115, std=5 },
      },
    },
  },
  allowed_subraces = {
    ['Vampire'] = true,
    ['Spectre'] = true,
    ['Skeleton'] = true,
    ['Zombie'] = true,
    ['LostSoul'] = true,
  },
  allowed_classes = {
    ['Warrior'] = true,
    ['Archer'] = true,
    ['Rogue'] = true,
  },
  body = { MAIN_HAND=1, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=1, BOOTS=1, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
  history_start_idx = 82,
}

newBirthDescriptor {
  type = 'race',
  name = 'Petty-Dwarf',
  -- verbatim_hack = 'race/Petty-Dwarf',
  desc = [[A nearly extinct subrace of dwarves. They prefer to live in the darkness.

#GOLD#Stat modifiers:
#LIGHT_BLUE#+1 STR, -1 INT, +2 WIS
+0 DEX, +2 CON, -4 CHA#LAST#
HP per level:  #LIGHT_BLUE#+11#LAST#
Exp penalty:  #LIGHT_BLUE#+35%#LAST#]],
  opt_display = 'h',
  opt_color = colors.C_o,
  copy = {
    resolvers.birth_skill_adj {
      DISARMING = { base_adj=300 },
      MAGIC_DEVICE = { base_adj=500 },
      SPIRITUALITY = { base_adj=5000 },
      STEALTH = { base_adj=1000 },
      SNEAKINESS = { base_adj=500 },
    },
    resolvers.birth_gain_at_lev {
      [1] = { convey_resist_dam = { [DamageType.DARK]=true, [DamageType.DISENCHANT]=true } },
      [5] = { talents = { ActorTalents.T_PETTY_DWARF_DETECT_TRAPS } },
    },
  },
  copy_add = {
    hit_die = 11,
    xp_mult = 35,
    infravision = 5,
    birth_adj_luck = -5,
    adj_stat = { STR = 1, INT = -1, WIS = 2, CON = 2, CHA = -4 },
    ahw = {
      age = { base=40, mod=12 },
      height = {
	Male = { mean=43, std=3 },
	Female = { mean=40, std=3 },
	Neuter = { mean=41, std=3 },
      },
      weight = {
	Male = { mean=92, std=6 },
	Female = { mean=78, std=3 },
	Neuter = { mean=85, std=4 },
      },
    },
  },
  allowed_subraces = {
    ['Vampire'] = true,
    ['Spectre'] = true,
    ['Skeleton'] = true,
    ['Zombie'] = true,
    ['Hermit'] = true,
    ['LostSoul'] = true,
  },
  allowed_classes = {
    ['Warrior'] = true,
    ['Rogue'] = true,
  },
  body = { MAIN_HAND=1, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=1, BOOTS=1, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
  history_start_idx = 87,
}

newBirthDescriptor {
  type = 'race',
  name = 'Dark-Elf',
  -- verbatim_hack = 'race/Dark-Elf',
  desc = [[Elves are the first born, the Eldar. Dark elves are rare on Middle-earth and even though not evil they are not good.

#GOLD#Stat modifiers:
#LIGHT_BLUE#-1 STR, +3 INT, +2 WIS
+2 DEX, -2 CON, +1 CHA#LAST#
HP per level:  #LIGHT_BLUE#+9#LAST#
Exp penalty:  #LIGHT_BLUE#+50%#LAST#]],
  opt_display = 'h',
  opt_color = colors.C_D,
  copy = {
    resolvers.birth_skill_adj {
      MAGIC = { mod_adj=200 },
      DISARMING = { base_adj=500 },
      MAGIC_DEVICE = { base_adj=1500 },
      SPIRITUALITY = { base_adj=10000 },
      STEALTH = { base_adj=3000 },
      SNEAKINESS = { base_adj=800 },
      WEAPONMASTERY = { base_adj=-500 },
      ARCHERY = { base_adj=1000 },
    },
    base_flags = {
      ELF = true,
    },
    resolvers.birth_gain_at_lev {
      [1] = { convey_resist_dam = { [DamageType.DARK]=true } },
      [2] = { talents = { ActorTalents.T_DARK_ELF_MISSILE } },
      [20] = { convey_flags = { SEE_INVIS=true } },
    },
  },
  copy_add = {
    hit_die = 9,
    xp_mult = 50,
    infravision = 5,
    birth_adj_luck = -2,
    adj_stat = { STR = -1, INT = 3, WIS = 2, DEX = 2, CON = -2, CHA = 1 },
    ahw = {
      age = { base=75, mod=75 },
      height = {
	Male = { mean=60, std=4 },
	Female = { mean=54, std=4 },
	Neuter = { mean=57, std=4 },
      },
      weight = {
	Male = { mean=100, std=6 },
	Female = { mean=80, std=6 },
	Neuter = { mean=90, std=6 },
      },
    },
  },
  allowed_subraces = {
    ['Vampire'] = true,
    ['Spectre'] = true,
    ['Skeleton'] = true,
    ['Zombie'] = true,
    ['Hermit'] = true,
    ['LostSoul'] = true,
  },
  allowed_classes = {
    ['Warrior'] = true,
    ['Archer'] = true,
    ['Mage'] = true,
    ['Rogue'] = true,
    ['Priest'] = true,
  },
  body = { MAIN_HAND=1, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=1, BOOTS=1, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
  history_start_idx = 69,
}

newBirthDescriptor {
  type = 'race',
  name = 'Ent',
  -- verbatim_hack = 'race/Ent',
  desc = [[Guardian of the forests of Middle-earth, summoned by Yavanna before even the elves awoke. It is said 'Trolls are strong, Ents are STRONGER'.

#GOLD#Stat modifiers:
#LIGHT_BLUE#+10 STR, -3 INT, +2 WIS
-5 DEX, +11 CON, -3 CHA#LAST#
HP per level:  #LIGHT_BLUE#+14#LAST#
Exp penalty:  #LIGHT_BLUE#+110%#LAST#]],
  opt_display = '#',
  opt_color = colors.C_G,
  copy = {
    resolvers.birth_skill_adj {
      BAREHAND_COMBAT = { mod_adj=200 },
      BOULDER_THROWING = { mod_adj=600 },
      DISARMING = { base_adj=500 },
      MAGIC_DEVICE = { base_adj=500 },
      SPIRITUALITY = { base_adj=10000 },
      STEALTH = { base_adj=-6000 },
      SNEAKINESS = { base_adj=500 },
      WEAPONMASTERY = { base_adj=-300 },
      ARCHERY = { base_adj=-200 },
    },
    base_flags = {
      NO_STUN = true,
      NO_FOOD = true,
      AC_LEVEL = true,
    },
    resolvers.birth_gain_at_lev {
      [1] = {
        convey_vuln_dam = { [DamageType.FIRE]=true },
        convey_flags = { SLOW_DIGEST=true },
        pval_flags = { speed=-5 },
        abilities = { 'TREE_WALKING' }
      },
      [2] = { talents = { ActorTalents.T_ENT_GROW_TREES } },
      [5] = { convey_flags = { SEE_INVIS=true } },
      [20] = { esp_flags = { ORC=true, TROLL=true, EVIL=true } },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='SCRL_SATISFY_HUNGER', qty={2,3} },
    },
  },
  copy_add = {
    hit_die = 14,
    xp_mult = 110,
    infravision = 5,
    birth_adj_luck = -2,
    adj_stat = { STR = 10, INT = -3, WIS = 2, DEX = -5, CON = 11, CHA = -3 },
    ahw = {
      age = { base=255, mod=70 },
      height = {
	Male = { mean=72, std=6 },
	Female = { mean=66, std=4 },
	Neuter = { mean=69, std=5 },
      },
      weight = {
	Male = { mean=100, std=25 },
	Female = { mean=100, std=20 },
	Neuter = { mean=100, std=22 },
      },
    },
  },
  allowed_subraces = {
    ['Hermit'] = true,
    ['LostSoul'] = true,
  },
  allowed_classes = {
    ['Warrior'] = true,
    ['Priest'] = true,
    ['Loremaster'] = true,
  },
  body = { MAIN_HAND=1, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=1, BOOTS=1, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
  history_start_idx = 95,
}

newBirthDescriptor {
  type = 'race',
  name = 'RohanKnight',
  -- verbatim_hack = 'race/RohanKnight',
  desc = [[Humans from the land of Rohan, riding the great Mearas. Fast and powerful in battle.

#GOLD#Stat modifiers:
#LIGHT_BLUE#+4 STR, -2 INT, +3 WIS
+1 DEX, +4 CON, +2 CHA#LAST#
HP per level:  #LIGHT_BLUE#+10#LAST#
Exp penalty:  #LIGHT_BLUE#+120%#LAST#]],
  copy = {
    resolvers.birth_skill_adj {
      DISARMING = { base_adj=1000 },
      MAGIC_DEVICE = { base_adj=500 },
      SPIRITUALITY = { base_adj=2500 },
      STEALTH = { base_adj=-8000 },
      SNEAKINESS = { base_adj=100 },
      WEAPONMASTERY = { base_adj=100, mod_adj=200 },
      ARCHERY = { base_adj=500 },
    },
    resolvers.birth_gain_at_lev {
      [1] = {
        pval_flags = { speed=3 },
        talents = { ActorTalents.T_ROHAN_FLASH_AURA }
      },
      [5] = { pval_flags = { speed=1 } },
      [10] = { pval_flags = { speed=1 } },
      [15] = { pval_flags = { speed=1 } },
      [20] = { pval_flags = { speed=1 } },
      [25] = { pval_flags = { speed=1 } },
      [30] = {
        pval_flags = { speed=1 },
        talents = { ActorTalents.T_ROHAN_SPEED }
      },
      [35] = { pval_flags = { speed=1 } },
      [40] = { pval_flags = { speed=1 } },
      [45] = { pval_flags = { speed=1 } },
    },
  },
  copy_add = {
    hit_die = 10,
    xp_mult = 120,
    infravision = 0,
    adj_stat = { STR = 4, INT = -2, WIS = 3, DEX = 1, CON = 4, CHA = 2 },
    ahw = {
      age = { base=20, mod=3 },
      height = {
	Male = { mean=60, std=3 },
	Female = { mean=54, std=3 },
	Neuter = { mean=57, std=3 },
      },
      weight = {
	Male = { mean=80, std=4 },
	Female = { mean=70, std=4 },
	Neuter = { mean=75, std=4 },
      },
    },
  },
  allowed_subraces = {
    ['Vampire'] = true,
    ['Spectre'] = true,
    ['Skeleton'] = true,
    ['Zombie'] = true,
    ['Hermit'] = true,
    ['LostSoul'] = true,
  },
  allowed_classes = {
    ['Warrior'] = true,
    ['Priest'] = true,
  },
  body = { MAIN_HAND=1, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=1, BOOTS=1, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
  history_start_idx = 84,
}

newBirthDescriptor {
  type = 'race',
  name = 'Thunderlord',
  -- verbatim_hack = 'race/Thunderlord',
  desc = [[A thunderlord is a Great Eagle of Manwë, ridden by a Maia of Manwë. They carry the power of wind and thunder.

#GOLD#Stat modifiers:
#LIGHT_BLUE#+6 STR, +2 INT, +1 WIS
+1 DEX, +3 CON, +8 CHA#LAST#
HP per level:  #LIGHT_BLUE#+12#LAST#
Exp penalty:  #LIGHT_BLUE#+300%#LAST#]],
  opt_display = 'B',
  opt_color = colors.C_G,
  copy = {
    resolvers.birth_skill_adj {
      DISARMING = { base_adj=600 },
      SPIRITUALITY = { base_adj=5000 },
      STEALTH = { base_adj=-16000 },
      SNEAKINESS = { base_adj=3000 },
      WEAPONMASTERY = { base_adj=1500 },
      ARCHERY = { base_adj=500 },
    },
    resolvers.birth_gain_at_lev {
      [1] = {
        convey_flags = { FEATHER=true },
        talents = { ActorTalents.T_THUNDER_STRIKE }
      },
      [3] = { talents = { ActorTalents.T_THUNDER_ROAD } },
      [4] = { esp_flags = { DRAGON=true } },
      [5] = { convey_resist_dam = { [DamageType.ELEC]=true } },
      [7] = { talents = { ActorTalents.T_THUNDER_RECALL } },
      [10] = { convey_resist_dam = { [DamageType.COLD]=true } },
      [15] = { convey_resist_dam = { [DamageType.ACID]=true } },
      [17] = { convey_flags = { FLY=true } },
      [35] = { convey_resist_dam = { [DamageType.POISON]=true } },
      [45] = { convey_immune_dam = { [DamageType.ELEC]=true } },
    },
  },
  copy_add = {
    hit_die = 12,
    xp_mult = 300,
    infravision = 0,
    birth_adj_luck = 2,
    adj_stat = { STR = 6, INT = 2, WIS = 1, DEX = 1, CON = 3, CHA = 8 },
    ahw = {
      age = { base=14, mod=6 },
      height = {
	Male = { mean=180, std=6 },
	Female = { mean=150, std=4 },
	Neuter = { mean=165, std=5 },
      },
      weight = {
	Male = { mean=255, std=25 },
	Female = { mean=230, std=20 },
	Neuter = { mean=242, std=22 },
      },
    },
  },
  allowed_subraces = {
    ['Hermit'] = true,
    ['LostSoul'] = true,
  },
  allowed_classes = {
    ['Warrior'] = true,
    ['Mage'] = true,
    ['Archer'] = true,
    ['Priest'] = true,
  },
  body = { MAIN_HAND=1, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=1, BOOTS=1, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
  history_start_idx = 89,
}

newBirthDescriptor {
  type = 'race',
  name = 'DeathMold',
  -- verbatim_hack = 'race/DeathMold',
  desc = [[A pure mass of evilness, DeathMolds cannot move, but they have much more power than an average race.

#GOLD#Stat modifiers:
#LIGHT_BLUE#+10 STR, +0 INT, +10 WIS
+0 DEX, +10 CON, -15 CHA#LAST#
HP per level:  #LIGHT_BLUE#+15#LAST#
Exp penalty:  #LIGHT_BLUE#+150%#LAST#]],
  opt_display = 'm',
  opt_color = colors.C_D,
  copy = {
    resolvers.birth_skill_adj {
      NECROMANCY = { mod_adj=200 },
      DISARMING = { base_adj=1500 },
      MAGIC_DEVICE = { base_adj=-500 },
      SPIRITUALITY = { base_adj=7500 },
      STEALTH = { base_adj=25000 },
      WEAPONMASTERY = { base_adj=2500 },
      ARCHERY = { base_adj=2500 },
    },
    base_flags = {
      EXPERIMENTAL = true,
    },
    resolvers.birth_gain_at_lev {
      [1] = {
        convey_resist_dam = { [DamageType.NETHER]=true, [DamageType.NEXUS]=true },
        convey_flags = { IMMOVABLE=true, HOLD_LIFE=true },
        talents = { ActorTalents.T_DEATHMOLD_TELEPORT, ActorTalents.T_DEATHMOLD_FETCH, ActorTalents.T_DEATHMOLD_CHANGE_LEVEL }
      },
    },
  },
  copy_add = {
    hit_die = 15,
    xp_mult = 150,
    infravision = 10,
    birth_adj_luck = -5,
    adj_stat = { STR = 10, WIS = 10, CON = 10, CHA = -15 },
    ahw = {
      age = { base=5, mod=15 },
      height = {
	Male = { mean=10, std=1 },
	Female = { mean=10, std=1 },
	Neuter = { mean=10, std=1 },
      },
      weight = {
	Male = { mean=50, std=1 },
	Female = { mean=50, std=1 },
	Neuter = { mean=50, std=1 },
      },
    },
  },
  allowed_subraces = {
    ['Hermit'] = true,
    ['LostSoul'] = true,
  },
  allowed_classes = {
    ['Mage'] = true,
    ['Priest'] = true,
  },
  body = { MAIN_HAND=1, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=1, BOOTS=0, HELM=0, RING=4, AMULET=0, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
  history_start_idx = 100,
}

newBirthDescriptor {
  type = 'race',
  name = 'Yeek',
  -- verbatim_hack = 'race/Yeek',
  desc = [[The weakest of all the races, bad at everything except gaining levels quickly.

#GOLD#Stat modifiers:
#LIGHT_BLUE#-5 STR, -5 INT, -5 WIS
-5 DEX, -5 CON, -5 CHA#LAST#
HP per level:  #LIGHT_BLUE#+6#LAST#
Exp penalty:  #LIGHT_BLUE#-75%#LAST#]],
  opt_display = 'y',
  opt_color = colors.C_u,
  copy = {
    resolvers.birth_skill_adj {
      DISARMING = { base_adj=-500 },
      MAGIC_DEVICE = { base_adj=-500 },
      SPIRITUALITY = { base_adj=-2500 },
      STEALTH = { base_adj=-5000 },
      SNEAKINESS = { base_adj=-500 },
      WEAPONMASTERY = { base_adj=-500 },
      ARCHERY = { base_adj=-500 },
    },
  },
  copy_add = {
    hit_die = 6,
    xp_mult = -75,
    infravision = 2,
    birth_adj_luck = -5,
    adj_stat = { STR = -5, INT = -5, WIS = -5, DEX = -5, CON = -5, CHA = -5 },
    ahw = {
      age = { base=10, mod=4 },
      height = {
	Male = { mean=40, std=5 },
	Female = { mean=35, std=4 },
	Neuter = { mean=37, std=4 },
      },
      weight = {
	Male = { mean=50, std=10 },
	Female = { mean=45, std=10 },
	Neuter = { mean=47, std=10 },
      },
    },
  },
  allowed_subraces = {
    ['Vampire'] = true,
    ['Spectre'] = true,
    ['Skeleton'] = true,
    ['Zombie'] = true,
    ['Hermit'] = true,
    ['LostSoul'] = true,
  },
  allowed_classes = {
    ['Warrior'] = true,
    ['Archer'] = true,
    ['Mage'] = true,
    ['Rogue'] = true,
    ['Priest'] = true,
    ['Loremaster'] = true,
  },
  body = { MAIN_HAND=1, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=1, BOOTS=1, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
  history_start_idx = 29,
}

newBirthDescriptor {
  type = 'race',
  name = 'Wood-Elf',
  -- verbatim_hack = 'race/Wood-Elf',
  desc = [[Elves are the first born, the Eldar. Wood elves live in the great forests of Middle-earth.

#GOLD#Stat modifiers:
#LIGHT_BLUE#-3 STR, +2 INT, +1 WIS
+5 DEX, -4 CON, +1 CHA#LAST#
HP per level:  #LIGHT_BLUE#+7#LAST#
Exp penalty:  #LIGHT_BLUE#+30%#LAST#]],
  opt_display = 'h',
  opt_color = colors.C_G,
  copy = {
    resolvers.birth_skill_adj {
      ARCHERY = { mod_adj=200 },
      DISARMING = { base_adj=500 },
      MAGIC_DEVICE = { base_adj=600 },
      SPIRITUALITY = { base_adj=3000 },
      STEALTH = { base_adj=5000 },
      SNEAKINESS = { base_adj=800 },
      WEAPONMASTERY = { base_adj=-2500 },
      ARCHERY = { base_adj=4000 },
    },
    base_flags = {
      XTRA_MIGHT_BOW = true,
      ELF = true,
    },
    resolvers.birth_gain_at_lev {
      [1] = {
        convey_resist_dam = { [DamageType.LITE]=true },
        pval_flags = { extra_might=1 },
        abilities = { 'TREE_WALKING' }
      },
    },
  },
  copy_add = {
    hit_die = 7,
    xp_mult = 30,
    infravision = 4,
    adj_stat = { STR = -3, INT = 2, WIS = 1, DEX = 5, CON = -4, CHA = 1 },
    ahw = {
      age = { base=75, mod=75 },
      height = {
	Male = { mean=60, std=4 },
	Female = { mean=54, std=4 },
	Neuter = { mean=57, std=4 },
      },
      weight = {
	Male = { mean=100, std=6 },
	Female = { mean=80, std=6 },
	Neuter = { mean=90, std=6 },
      },
    },
  },
  allowed_subraces = {
    ['Spectre'] = true,
    ['Skeleton'] = true,
    ['Zombie'] = true,
    ['Hermit'] = true,
    ['LostSoul'] = true,
  },
  allowed_classes = {
    ['Warrior'] = true,
    ['Archer'] = true,
    ['Mage'] = true,
    ['Priest'] = true,
    ['Loremaster'] = true,
  },
  body = { MAIN_HAND=1, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=1, BOOTS=1, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
  history_start_idx = 5,
}

newBirthDescriptor {
  type = 'race',
  name = 'Maia',
  -- verbatim_hack = 'race/Maia',
  desc = [[An old race, dating from before the creation of Arda, the Maiar were created by Eru to help the Valar in their task.

#GOLD#Stat modifiers:
#LIGHT_BLUE#+0 STR, +0 INT, +0 WIS
+0 DEX, +0 CON, +0 CHA#LAST#
HP per level:  #LIGHT_BLUE#+10#LAST#
Exp penalty:  #LIGHT_BLUE#+0%#LAST#]],
  copy = {
    resolvers.birth_skill_adj {
      PRAYER = { base_set=0, mod_set=0 },
    },
    base_flags = {
      NO_GOD = true,
    },
    resolvers.birth_gain_at_lev {
      [1] = { convey_flags = { AGGRAVATE=true } },
      [6] = { stat_flags = { STR=1, INT=1, WIS=1, DEX=1, CON=1, CHA=1 } },
      [12] = { stat_flags = { STR=1, INT=1, WIS=1, DEX=1, CON=1, CHA=1 } },
      [18] = { stat_flags = { STR=1, INT=1, WIS=1, DEX=1, CON=1, CHA=1 } },
      [20] = { convey_flags = { MAIA_DRAIN_EXP=true } },
      [24] = { stat_flags = { STR=1, INT=1, WIS=1, DEX=1, CON=1, CHA=1 } },
      [30] = { stat_flags = { STR=1, INT=1, WIS=1, DEX=1, CON=1, CHA=1 } },
      [36] = { stat_flags = { STR=1, INT=1, WIS=1, DEX=1, CON=1, CHA=1 } },
      [42] = { stat_flags = { STR=1, INT=1, WIS=1, DEX=1, CON=1, CHA=1 } },
      [48] = { stat_flags = { STR=1, INT=1, WIS=1, DEX=1, CON=1, CHA=1 } },
    },
  },
  copy_add = {
    hit_die = 10,
    xp_mult = 0,
    infravision = 0,
    birth_adj_luck = 4,
    ahw = {
      age = { base=14, mod=6 },
      height = {
	Male = { mean=72, std=6 },
	Female = { mean=66, std=4 },
	Neuter = { mean=69, std=5 },
      },
      weight = {
	Male = { mean=180, std=25 },
	Female = { mean=150, std=20 },
	Neuter = { mean=165, std=22 },
      },
    },
  },
  allowed_gods = {
    ['Nobody'] = true,
  },
  allowed_subraces = {
    ['Hermit'] = true,
    ['LostSoul'] = true,
  },
  allowed_classes = {
    ['Warrior'] = true,
    ['Archer'] = true,
    ['Mage'] = true,
  },
  body = { MAIN_HAND=1, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=1, BOOTS=1, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
  history_start_idx = 91,
}

newBirthDescriptor {
  type = 'subrace',
  name = 'Base',
  -- verbatim_hack = 'subrace/Base',
  desc = [[A normal member of the race.

#GOLD#Stat modifiers:
#LIGHT_BLUE#+0 STR, +0 INT, +0 WIS
+0 DEX, +0 CON, +0 CHA#LAST#
HP per level:  #LIGHT_BLUE#+0#LAST#
Exp penalty:  #LIGHT_BLUE#+0%#LAST#]],
  copy = {
    resolvers.birth_mana_mult(1.00),
  },
}

newBirthDescriptor {
  type = 'subrace',
  name = 'Vampire',
  -- verbatim_hack = 'subrace/Vampire',
  desc = [[Vampires are powerful undead, wielding great powers. They still fear the sunlight and cannot easily satiate their hunger.

#GOLD#Stat modifiers:
#LIGHT_BLUE#+0 STR, +0 INT, +0 WIS
+0 DEX, +0 CON, +0 CHA#LAST#
HP per level:  #LIGHT_BLUE#+0#LAST#
Exp penalty:  #LIGHT_BLUE#+0%#LAST#]],
  name_mod = 'prefix',
  opt_display = 'V',
  copy = {
    resolvers.birth_mana_mult(1.00),
    resolvers.birth_equip {
      full_id=true,
      { name='SCRL_DARKNESS', qty={5,3} },
      { name='SCRL_SATISFY_HUNGER', qty={2,3} },
    },
  },
  allowed_classes = {
    ['Mage'] = true,
  },
}

newBirthDescriptor {
  type = 'subrace',
  name = 'Spectre',
  -- verbatim_hack = 'subrace/Spectre',
  desc = [[Spectres only partially exist in the mortal world and so they can pass through walls. They are somewhat physically weak.

#GOLD#Stat modifiers:
#LIGHT_BLUE#-5 STR, +1 INT, +1 WIS
+2 DEX, -3 CON, -6 CHA#LAST#
HP per level:  #LIGHT_BLUE#-4#LAST#
Exp penalty:  #LIGHT_BLUE#+80%#LAST#]],
  name_mod = 'prefix',
  opt_display = 'G',
  copy = {
    resolvers.birth_mana_mult(1.05),
    resolvers.birth_skill_adj {
      DISARMING = { base_adj=200 },
      MAGIC_DEVICE = { base_adj=800 },
      SPIRITUALITY = { base_adj=700 },
      STEALTH = { base_adj=2000 },
      SNEAKINESS = { base_adj=200 },
      WEAPONMASTERY = { base_adj=-500 },
      ARCHERY = { base_adj=-200 },
    },
    base_flags = {
      UNDEAD = true,
      NO_CUT = true,
      NO_FOOD = true,
      SEMI_WRAITH = true,
      NO_SUBRACE_CHANGE = true,
    },
    resolvers.birth_gain_at_lev {
      [1] = {
        convey_resist_dam = { [DamageType.COLD]=true, [DamageType.POISON]=true, [DamageType.NETHER]=true },
        convey_flags = { SEE_INVIS=true, HOLD_LIFE=true, SLOW_DIGEST=true }
      },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='SCRL_SATISFY_HUNGER', qty={2,3} },
    },
  },
  copy_add = {
    hit_die = -4,
    xp_mult = 80,
    infravision = 3,
    birth_adj_luck = -3,
    adj_stat = { STR = -5, INT = 1, WIS = 1, DEX = 2, CON = -3, CHA = -6 },
    ahw = {
      age = { base=50, mod=15 },
      weight = {
	Male = { mean=-10, std=-5 },
	Female = { mean=-10, std=-5 },
	Neuter = { mean=-10, std=-5 },
      },
    },
  },
  forbidden_classes = {
    ['Warrior'] = true,
    ['Archer'] = true,
  },
  -- BEGIN VERBATIM
  callbacks = {
    on_terrain_effect = function(who, d, x, y, g, effs)
      if not g:block_move(x, y, who) and g:block_move(x, y, who, nil, false, {hack=spectre_check}) then
	-- If we can enter this grid because we're a Spectre but couldn't
	-- if we weren't (that is, we don't have some other property like
	-- tree walking or wraith form that's letting us through), we take
	-- damage.
	effs[who.EFF_SPECTRE_IN_WALL] = {}
      end
    end,
  },
  -- END VERBATIM
}

newBirthDescriptor {
  type = 'subrace',
  name = 'Skeleton',
  -- verbatim_hack = 'subrace/Skeleton',
  desc = [[Yet an other kind of undead. Their physical 'body' is not very vulnerable to sharp things.

#GOLD#Stat modifiers:
#LIGHT_BLUE#+0 STR, -2 INT, -2 WIS
+0 DEX, +1 CON, -4 CHA#LAST#
HP per level:  #LIGHT_BLUE#+0#LAST#
Exp penalty:  #LIGHT_BLUE#+45%#LAST#]],
  name_mod = 'prefix',
  opt_display = 's',
  copy = {
    resolvers.birth_mana_mult(0.70),
    resolvers.birth_skill_adj {
      DISARMING = { base_adj=-500 },
      MAGIC_DEVICE = { base_adj=-500 },
      SPIRITUALITY = { base_adj=500 },
      STEALTH = { base_adj=-1000 },
      SNEAKINESS = { base_adj=-100 },
      WEAPONMASTERY = { base_adj=800 },
    },
    base_flags = {
      UNDEAD = true,
      NO_CUT = true,
      NO_FOOD = true,
      NO_SUBRACE_CHANGE = true,
    },
    resolvers.birth_gain_at_lev {
      [1] = {
        convey_resist_dam = { [DamageType.POISON]=true, [DamageType.SHARDS]=true },
        convey_flags = { SEE_INVIS=true, HOLD_LIFE=true }
      },
      [10] = { convey_resist_dam = { [DamageType.COLD]=true } },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='SCRL_SATISFY_HUNGER', qty={2,3} },
    },
  },
  copy_add = {
    hit_die = 0,
    xp_mult = 45,
    infravision = 1,
    birth_adj_luck = -3,
    adj_stat = { INT = -2, WIS = -2, CON = 1, CHA = -4 },
    ahw = {
      age = { base=50, mod=15 },
      weight = {
	Male = { mean=-10, std=-5 },
	Female = { mean=-10, std=-5 },
	Neuter = { mean=-10, std=-5 },
      },
    },
  },
}

newBirthDescriptor {
  type = 'subrace',
  name = 'Zombie',
  -- verbatim_hack = 'subrace/Zombie',
  desc = [[Strong and dumb is a zombie.

#GOLD#Stat modifiers:
#LIGHT_BLUE#+2 STR, -6 INT, -6 WIS
+1 DEX, +4 CON, -5 CHA#LAST#
HP per level:  #LIGHT_BLUE#+3#LAST#
Exp penalty:  #LIGHT_BLUE#+45%#LAST#]],
  name_mod = 'prefix',
  opt_display = 'z',
  copy = {
    resolvers.birth_mana_mult(0.70),
    resolvers.birth_skill_adj {
      DISARMING = { base_adj=-200 },
      MAGIC_DEVICE = { base_adj=-200 },
      SPIRITUALITY = { base_adj=500 },
      STEALTH = { base_adj=-1000 },
      SNEAKINESS = { base_adj=-100 },
      WEAPONMASTERY = { base_adj=500 },
    },
    base_flags = {
      UNDEAD = true,
      NO_FOOD = true,
      NO_SUBRACE_CHANGE = true,
    },
    resolvers.birth_gain_at_lev {
      [1] = {
        convey_resist_dam = { [DamageType.POISON]=true },
        convey_flags = { SEE_INVIS=true, HOLD_LIFE=true, SLOW_DIGEST=true }
      },
      [5] = { convey_resist_dam = { [DamageType.COLD]=true } },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='SCRL_SATISFY_HUNGER', qty={2,3} },
    },
  },
  copy_add = {
    hit_die = 3,
    xp_mult = 45,
    infravision = 1,
    birth_adj_luck = -4,
    adj_stat = { STR = 2, INT = -6, WIS = -6, DEX = 1, CON = 4, CHA = -5 },
    ahw = {
      age = { base=50, mod=15 },
    },
  },
  forbidden_classes = {
    ['Mage'] = true,
  },
}

newBirthDescriptor {
  type = 'subrace',
  name = 'Barbarian',
  -- verbatim_hack = 'subrace/Barbarian',
  desc = [[Hardy members of their race, they are strong fighters but poor spellcasters.

#GOLD#Stat modifiers:
#LIGHT_BLUE#+2 STR, -3 INT, -2 WIS
+1 DEX, +1 CON, -3 CHA#LAST#
HP per level:  #LIGHT_BLUE#+1#LAST#
Exp penalty:  #LIGHT_BLUE#+25%#LAST#]],
  name_mod = 'suffix',
  copy = {
    resolvers.birth_mana_mult(0.50),
    resolvers.birth_skill_adj {
      DISARMING = { base_adj=-200 },
      MAGIC_DEVICE = { base_adj=-1000 },
      SPIRITUALITY = { base_adj=200 },
      STEALTH = { base_adj=-2000 },
      WEAPONMASTERY = { base_adj=1200 },
      ARCHERY = { base_adj=500 },
    },
    resolvers.birth_gain_at_lev {
      [10] = { convey_resist_dam = { [DamageType.FEAR]=true } },
    },
  },
  copy_add = {
    hit_die = 1,
    xp_mult = 25,
    infravision = 0,
    birth_adj_luck = 1,
    adj_stat = { STR = 2, INT = -3, WIS = -2, DEX = 1, CON = 1, CHA = -3 },
  },
  forbidden_classes = {
    ['Mage'] = true,
  },
}

newBirthDescriptor {
  type = 'subrace',
  name = 'Hermit',
  -- verbatim_hack = 'subrace/Hermit',
  desc = [[Through years of isolation hermits can manage to increase their mana reserves but at the cost of an increased physical weakness.

#GOLD#Stat modifiers:
#LIGHT_BLUE#-3 STR, +1 INT, +1 WIS
-3 DEX, -3 CON, +1 CHA#LAST#
HP per level:  #LIGHT_BLUE#-3#LAST#
Exp penalty:  #LIGHT_BLUE#+20%#LAST#]],
  name_mod = 'suffix',
  copy = {
    resolvers.birth_mana_mult(1.20),
    resolvers.birth_skill_adj {
      DISARMING = { base_adj=500 },
      MAGIC_DEVICE = { base_adj=1000 },
      SPIRITUALITY = { base_adj=500 },
      STEALTH = { base_adj=3000 },
      SNEAKINESS = { base_adj=400 },
      WEAPONMASTERY = { base_adj=-500 },
      ARCHERY = { base_adj=-500 },
    },
  },
  copy_add = {
    hit_die = -3,
    xp_mult = 20,
    infravision = 1,
    adj_stat = { STR = -3, INT = 1, WIS = 1, DEX = -3, CON = -3, CHA = 1 },
  },
  forbidden_classes = {
    ['Warrior'] = true,
    ['Archer'] = true,
  },
}

newBirthDescriptor {
  type = 'subrace',
  name = 'LostSoul',
  -- verbatim_hack = 'subrace/LostSoul',
  desc = [[In some very rare occasions souls can come back from the Halls of Mandos.

#GOLD#Stat modifiers:
#LIGHT_BLUE#+0 STR, +0 INT, +0 WIS
+0 DEX, +0 CON, +0 CHA#LAST#
HP per level:  #LIGHT_BLUE#+0#LAST#
Exp penalty:  #LIGHT_BLUE#+0%#LAST#]],
  name_mod = 'suffix',
  copy = {
    resolvers.birth_mana_mult(1.00),
    base_flags = {
      ASTRAL = true,
      NO_SUBRACE_CHANGE = true,
    },
    resolvers.birth_gain_at_lev {
      [1] = { convey_flags = { SEE_INVIS=true } },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='SCRL_SATISFY_HUNGER', qty={25,2} },
      { name='SCRL_IDENTIFY', qty={25,3} },
    },
  },
}
