-- $Id: minas-anor-tower-of-magery.lua 3278 2018-03-09 04:13:23Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright © 2018 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbunnies.org

store_util.set_prices(npc.owner, player, {
  id_pack = {900, 800, 100},
  recharge = {350, 300, 75},
})

newChat {
  id = 'welcome',
  text = [[Welcome to the Tower of Magery, noble adventurer.  How may we assist you?]],
  answers = {
    {
      'Can you identify my possessions, please?' .. store_util.cost_sfx('id_pack'),
      action = store_util.id_pack,
      cond = store_util.can_afford('id_pack'),
    },
    {
      'Can you recharge this wand/staff/rod, please?' .. store_util.cost_sfx('recharge'),
      action = store_util.recharge_item,
      cond = store_util.can_afford('recharge'),
    },
    { 'Oh, sorry, I was looking for the potion store. [leave]' },
  },
}

return 'welcome'
