-- $Id: quest-princess.lua 2835 2017-04-11 00:13:59Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright © 2012-2017 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbunnies.org

local lev = game.zone:level_adjust_level(game.level, 'actor')
local state = game.state.princess_quests[lev]

local captor = state.n == 1 and state.name or state.pl_name

local function start(npc, player, dlg)
  -- We count on ActorQuest:grantQuest() to make this a no-op if we already
  -- have the quest.
  player:grantQuest('princess')
end

local function extra_answer()
  local n = 0
  for _, state in pairs(game.state.princess_quests) do
    if state.done then n = n + 1 end
  end
  if n == 0 then return nil end

  local early = {
    [[...Wait, didn't I just rescue her?]],
    [[Seriously, this can't be the same princess, can it?]],
    [[Oh, come on, again?]],
  }
  local late = {
    [[You have #{italic}#got#{normal}# to be kidding me.]],
    [[This is getting ridiculous...]],
    [[Okay, how may princesses does this place #{italic}#have?#{normal}#]],
    [[Yeah, she's #{italic}#gotta#{normal}# be doing it on purpose at this point.]],
    [[#{italic}#(shrug)#{normal}# `Nother level, `nother princess.]],
    [[Didn't we just leave this party?]],
  }
  local text = n <= #early and early[n] or rng.table(late)
  return { text, action=start }
end

newChat {
  id = 'begin',
  text = [[#LIGHT_GREEN#*You hear a distant cry for help:*#LAST#  Help!  I'm being held prisoner by ]]..captor..'!',
  answers = {
    { [[Don't worry, I'm coming to save you!]], action=start },
    extra_answer(),
  },
}

return 'begin'
