-- $Id: wear-ring.lua 2835 2017-04-11 00:13:59Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright © 2012-2017 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbunnies.org

newChat {
  id = 'ring1',
  text = [[Galadriel warned you not to wear the One Ring.  Are you sure you want to do this?]],
  answers = {
    {
      [[Wait, this isn't my Ring of Speed?  Gyeep!]],
      action = function(npc, player, dlg) player:talentDialogReturn(false) end
    },
    {
      [[Yes, I want to do this.]],
      action = function(npc, player, dlg)
	-- Slight Hack(TM):  Add a Vala mention to the next chat if we're
	-- following one (except Melkor).
	if not player:isFollowing('Nobody') and not player:isFollowing('Melkor') then
	  local chat = dlg.chat:get('ring2')
	  chat.text = [[No, seriously, this will permanently alter your game, and you will lose all access to @playerdescriptor.god@.  Are you #{italic}#sure#{normal}# you want do to this?]]
	end
	return nil
      end,
      jump = 'ring2'
    }
  }
}

newChat {
  id = 'ring2',
  text = [[No, seriously, this will permanently alter your game.  Are you #{italic}#sure#{normal}# you want do to this?]],
  answers = {
    {
      [[Hmm, you're right, that would be bad.  Never mind.]],
      action = function(npc, player, dlg) player:talentDialogReturn(false) end
    },
    {
      [[Yes, I really want to do this.]],
      jump = 'ring3'
    }
  }
}

newChat {
  id = 'ring3',
  text = [[Last chance; no going back after this.  Are you #{bold}#absolutely certain#{normal}# you want to do this?]],
  answers = {
    {
      [[...Y'know what?  You talked me out of it.]],
      action = function(npc, player, dlg) player:talentDialogReturn(false) end
    },
    {
      [[Will you quit second-guessing me already?  I said yes!]],
      action = function(npc, player, dlg) player:talentDialogReturn(true) end
    }
  }
}

return 'ring1'
