-- $Id: randart-powers.lua 2835 2017-04-11 00:13:59Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright © 2012-2017 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbunnies.org

-- -----------------------------------------------------------------------
-- WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING
-- -----------------------------------------------------------------------
-- This file was generated automatically by the 'gen_rand' Perl script.
-- DO NOT MODIFY THIS FILE DIRECTLY, as any changes will be lost the next
-- time the file is generated (with the possible exception of lines between
-- 'BEGIN VERBATIM' and 'END VERBATIM' markers, if supported by the script).
-- -----------------------------------------------------------------------
-- WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING
-- -----------------------------------------------------------------------

-- Randart powers generated from T2's ra_info.txt


local ActorTalents = require 'engine.interface.ActorTalents'

-- Spectacularly Dodgy Hack(TM):  The number-of-randart-powers computation
-- is controlled by the G: lines in ra_info.txt, which we assemble here.
-- There is apparently no other way to propagate this information out
-- through Entity:loadList(), so we fake it here.
newEntity {
  define_as = 'RA_POWER_COUNT_DUMMY',
  n_powers = function() return rng.dice(1, 5) + 1 + (rng.percent(14) and 1 or 0) + (rng.percent(10) and 1 or 0) + (rng.percent(3) and 1 or 0) end,
}

-- Mage Staff
newEntity {
  define_as = 'RA_POWER_1',
  power = 10,
  max_uses = 1,
  min_player_level = 5,
  rarity = { 1, 4 },
  tsval_filter = {
    { tval = 6 },
  },
  vals = {
    max_to_h = -5,
    max_to_d = -5,
    max_to_a = 0,
    max_pval = 5,
  },
  flags = {
    pval_flags = { mana_mult=true },
  },
}

-- Mage Staff
newEntity {
  define_as = 'RA_POWER_2',
  power = 14,
  max_uses = 1,
  min_player_level = 10,
  rarity = { 1, 8 },
  tsval_filter = {
    { tval = 6 },
  },
  vals = {
    max_to_h = -10,
    max_to_d = -10,
    max_to_a = 0,
    max_pval = 5,
  },
  flags = {
    pval_flags = { spellpower=true },
  },
}

-- Mage Staff
newEntity {
  define_as = 'RA_POWER_3',
  power = 5,
  max_uses = 1,
  min_player_level = 1,
  rarity = { 1, 4 },
  tsval_filter = {
    { tval = 6 },
  },
  vals = {
    max_to_h = -3,
    max_to_d = -3,
    max_to_a = 0,
    max_pval = 5,
  },
  flags = {
    stat_flags = { INT=true },
  },
}

-- Boomerang/Ammo/Launcher/Polearm/Axe/Demonblade
newEntity {
  define_as = 'RA_POWER_4',
  power = 5,
  max_uses = 2,
  min_player_level = 1,
  rarity = { 1, 2 },
  tsval_filter = {
    { tval = 15 },
    { tval = 16 },
    { tval = 17 },
    { tval = 18 },
    { tval = 19 },
    { tval = 22 },
    { tval = 24 },
    { tval = 115, sval=55 },
  },
  vals = {
    max_to_h = 10,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
  },
}

-- Sword/Demonblade
newEntity {
  define_as = 'RA_POWER_5',
  power = 5,
  max_uses = 2,
  min_player_level = 1,
  rarity = { 1, 2 },
  tsval_filter = {
    { tval = 23 },
    { tval = 115, sval=55 },
  },
  vals = {
    max_to_h = 9,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
  },
}

-- Hafted
newEntity {
  define_as = 'RA_POWER_6',
  power = 5,
  max_uses = 2,
  min_player_level = 1,
  rarity = { 1, 2 },
  tsval_filter = {
    { tval = 21 },
  },
  vals = {
    max_to_h = 11,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
  },
}

-- Boomerang/Ammo/Launcher/Polearm/Axe/Demonblade
newEntity {
  define_as = 'RA_POWER_7',
  power = 5,
  max_uses = 2,
  min_player_level = 1,
  rarity = { 1, 2 },
  tsval_filter = {
    { tval = 15 },
    { tval = 16 },
    { tval = 17 },
    { tval = 18 },
    { tval = 19 },
    { tval = 22 },
    { tval = 24 },
    { tval = 115, sval=55 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 10,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
  },
}

-- Sword/Demonblade
newEntity {
  define_as = 'RA_POWER_8',
  power = 5,
  max_uses = 2,
  min_player_level = 1,
  rarity = { 1, 2 },
  tsval_filter = {
    { tval = 23 },
    { tval = 115, sval=55 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 11,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
  },
}

-- Hafted
newEntity {
  define_as = 'RA_POWER_9',
  power = 5,
  max_uses = 2,
  min_player_level = 1,
  rarity = { 1, 2 },
  tsval_filter = {
    { tval = 21 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 9,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
  },
}

-- Axe/Demonblade
newEntity {
  define_as = 'RA_POWER_10',
  power = 15,
  max_uses = 1,
  min_player_level = 15,
  rarity = { 1, 25 },
  tsval_filter = {
    { tval = 24 },
    { tval = 115, sval=55 },
  },
  vals = {
    max_to_h = 4,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    flags = { VORPAL=true },
  },
}

-- Broken Sword/Basilard/some Swords/Demonblade
newEntity {
  define_as = 'RA_POWER_11',
  power = 15,
  max_uses = 1,
  min_player_level = 15,
  rarity = { 1, 25 },
  tsval_filter = {
    { tval = 23, sval=2 },
    { tval = 23, sval=9 },
    { tval = 23, sval={11,33} },
    { tval = 115, sval=55 },
  },
  vals = {
    max_to_h = 2,
    max_to_d = 2,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    flags = { VORPAL=true },
  },
}

-- Scythe of Slicing
newEntity {
  define_as = 'RA_POWER_12',
  power = 15,
  max_uses = 1,
  min_player_level = 10,
  rarity = { 1, 16 },
  tsval_filter = {
    { tval = 22, sval=30 },
  },
  vals = {
    max_to_h = 6,
    max_to_d = -2,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    flags = { VORPAL=true },
  },
}

-- some Polearms/Sickle/Scythe
newEntity {
  define_as = 'RA_POWER_13',
  power = 15,
  max_uses = 1,
  min_player_level = 15,
  rarity = { 1, 25 },
  tsval_filter = {
    { tval = 22, sval=17 },
    { tval = 22, sval=3 },
    { tval = 22, sval={0,15} },
  },
  vals = {
    max_to_h = 4,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    flags = { VORPAL=true },
  },
}

-- Boomerang/Ammo/Polearm/Axe/Demonblade
newEntity {
  define_as = 'RA_POWER_14',
  power = 10,
  max_uses = 1,
  min_player_level = 4,
  rarity = { 1, 10 },
  tsval_filter = {
    { tval = 15 },
    { tval = 16 },
    { tval = 17 },
    { tval = 18 },
    { tval = 22 },
    { tval = 24 },
    { tval = 115, sval=55 },
  },
  vals = {
    max_to_h = 5,
    max_to_d = 2,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    brand_dam = { [DamageType.POISON]=true },
  },
}

-- Sword/Demonblade
newEntity {
  define_as = 'RA_POWER_15',
  power = 10,
  max_uses = 1,
  min_player_level = 4,
  rarity = { 1, 10 },
  tsval_filter = {
    { tval = 23 },
    { tval = 115, sval=55 },
  },
  vals = {
    max_to_h = 4,
    max_to_d = 3,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    brand_dam = { [DamageType.POISON]=true },
  },
}

-- Hafted
newEntity {
  define_as = 'RA_POWER_16',
  power = 10,
  max_uses = 1,
  min_player_level = 4,
  rarity = { 1, 10 },
  tsval_filter = {
    { tval = 21 },
  },
  vals = {
    max_to_h = 5,
    max_to_d = 2,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    brand_dam = { [DamageType.POISON]=true },
  },
}

-- Boomerang/Ammo/Polearm/Axe
newEntity {
  define_as = 'RA_POWER_17',
  power = 11,
  max_uses = 1,
  min_player_level = 5,
  rarity = { 1, 11 },
  tsval_filter = {
    { tval = 15 },
    { tval = 16 },
    { tval = 17 },
    { tval = 18 },
    { tval = 22 },
    { tval = 24 },
    forbid = { brand_dam = { [DamageType.COLD]=true } },
  },
  vals = {
    max_to_h = 3,
    max_to_d = 1,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    brand_dam = { [DamageType.FIRE]=true },
  },
}

-- Sword/Demonblade
newEntity {
  define_as = 'RA_POWER_18',
  power = 11,
  max_uses = 1,
  min_player_level = 5,
  rarity = { 1, 11 },
  tsval_filter = {
    { tval = 23 },
    { tval = 115, sval=55 },
    forbid = { brand_dam = { [DamageType.COLD]=true } },
  },
  vals = {
    max_to_h = 2,
    max_to_d = 2,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    brand_dam = { [DamageType.FIRE]=true },
  },
}

-- Hafted
newEntity {
  define_as = 'RA_POWER_19',
  power = 11,
  max_uses = 1,
  min_player_level = 5,
  rarity = { 1, 11 },
  tsval_filter = {
    { tval = 21 },
    forbid = { brand_dam = { [DamageType.COLD]=true } },
  },
  vals = {
    max_to_h = 4,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    brand_dam = { [DamageType.FIRE]=true },
  },
}

-- Boomerang/Ammo/Polearm/Axe
newEntity {
  define_as = 'RA_POWER_20',
  power = 12,
  max_uses = 1,
  min_player_level = 5,
  rarity = { 1, 11 },
  tsval_filter = {
    { tval = 15 },
    { tval = 16 },
    { tval = 17 },
    { tval = 18 },
    { tval = 22 },
    { tval = 24 },
    forbid = { brand_dam = { [DamageType.FIRE]=true } },
  },
  vals = {
    max_to_h = 5,
    max_to_d = 1,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    brand_dam = { [DamageType.COLD]=true },
  },
}

-- Sword/Demonblade
newEntity {
  define_as = 'RA_POWER_21',
  power = 12,
  max_uses = 1,
  min_player_level = 5,
  rarity = { 1, 11 },
  tsval_filter = {
    { tval = 23 },
    { tval = 115, sval=55 },
    forbid = { brand_dam = { [DamageType.FIRE]=true } },
  },
  vals = {
    max_to_h = 4,
    max_to_d = 2,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    brand_dam = { [DamageType.COLD]=true },
  },
}

-- Hafted
newEntity {
  define_as = 'RA_POWER_22',
  power = 12,
  max_uses = 1,
  min_player_level = 5,
  rarity = { 1, 11 },
  tsval_filter = {
    { tval = 21 },
    forbid = { brand_dam = { [DamageType.FIRE]=true } },
  },
  vals = {
    max_to_h = 6,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    brand_dam = { [DamageType.COLD]=true },
  },
}

-- Boomerang/Ammo/Polearm/Axe
newEntity {
  define_as = 'RA_POWER_23',
  power = 13,
  max_uses = 1,
  min_player_level = 5,
  rarity = { 1, 13 },
  tsval_filter = {
    { tval = 15 },
    { tval = 16 },
    { tval = 17 },
    { tval = 18 },
    { tval = 22 },
    { tval = 24 },
  },
  vals = {
    max_to_h = 4,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    brand_dam = { [DamageType.ELEC]=true },
  },
}

-- Sword/Demonblade
newEntity {
  define_as = 'RA_POWER_24',
  power = 13,
  max_uses = 1,
  min_player_level = 5,
  rarity = { 1, 13 },
  tsval_filter = {
    { tval = 23 },
    { tval = 115, sval=55 },
  },
  vals = {
    max_to_h = 3,
    max_to_d = 1,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    brand_dam = { [DamageType.ELEC]=true },
  },
}

-- Hafted
newEntity {
  define_as = 'RA_POWER_25',
  power = 13,
  max_uses = 1,
  min_player_level = 5,
  rarity = { 1, 13 },
  tsval_filter = {
    { tval = 21 },
  },
  vals = {
    max_to_h = 5,
    max_to_d = -1,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    brand_dam = { [DamageType.ELEC]=true },
  },
}

-- Boomerang/Ammo/Polearm/Axe
newEntity {
  define_as = 'RA_POWER_26',
  power = 15,
  max_uses = 1,
  min_player_level = 7,
  rarity = { 1, 15 },
  tsval_filter = {
    { tval = 15 },
    { tval = 16 },
    { tval = 17 },
    { tval = 18 },
    { tval = 22 },
    { tval = 24 },
  },
  vals = {
    max_to_h = 3,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    brand_dam = { [DamageType.ACID]=true },
  },
}

-- Sword/Demonblade
newEntity {
  define_as = 'RA_POWER_27',
  power = 15,
  max_uses = 1,
  min_player_level = 7,
  rarity = { 1, 15 },
  tsval_filter = {
    { tval = 23 },
    { tval = 115, sval=55 },
  },
  vals = {
    max_to_h = 2,
    max_to_d = 1,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    brand_dam = { [DamageType.ACID]=true },
  },
}

-- Hafted
newEntity {
  define_as = 'RA_POWER_28',
  power = 15,
  max_uses = 1,
  min_player_level = 7,
  rarity = { 1, 15 },
  tsval_filter = {
    { tval = 21 },
  },
  vals = {
    max_to_h = 4,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    brand_dam = { [DamageType.ACID]=true },
  },
}

-- Hafted
newEntity {
  define_as = 'RA_POWER_29',
  power = 5,
  max_uses = 1,
  min_player_level = 15,
  rarity = { 1, 35 },
  tsval_filter = {
    { tval = 21 },
  },
  vals = {
    max_to_h = 15,
    max_to_d = 2,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    convey_flags = { IMPACT=true },
  },
}

-- Bolt/Launcher/Polearm/Axe
newEntity {
  define_as = 'RA_POWER_30',
  power = 5,
  max_uses = 1,
  min_player_level = 2,
  rarity = { 1, 9 },
  tsval_filter = {
    { tval = 18 },
    { tval = 19 },
    { tval = 22 },
    { tval = 24 },
  },
  vals = {
    max_to_h = 2,
    max_to_d = 2,
    max_to_a = 0,
    max_pval = 6,
  },
  flags = {
    stat_flags = { STR=true },
  },
}

-- Sword/Demonblade
newEntity {
  define_as = 'RA_POWER_31',
  power = 5,
  max_uses = 1,
  min_player_level = 2,
  rarity = { 1, 9 },
  tsval_filter = {
    { tval = 23 },
    { tval = 115, sval=55 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 4,
    max_to_a = 0,
    max_pval = 6,
  },
  flags = {
    stat_flags = { STR=true },
  },
}

-- Hafted
newEntity {
  define_as = 'RA_POWER_32',
  power = 5,
  max_uses = 1,
  min_player_level = 1,
  rarity = { 1, 7 },
  tsval_filter = {
    { tval = 21 },
  },
  vals = {
    max_to_h = 4,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 6,
  },
  flags = {
    stat_flags = { STR=true },
  },
}

-- Bolt/Launcher/Digger/Polearm/Axe
newEntity {
  define_as = 'RA_POWER_33',
  power = 3,
  max_uses = 1,
  min_player_level = 1,
  rarity = { 1, 6 },
  tsval_filter = {
    { tval = 18 },
    { tval = 19 },
    { tval = 20 },
    { tval = 22 },
    { tval = 24 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 6,
  },
  flags = {
    stat_flags = { CHA=true },
  },
}

-- Sword/Demonblade
newEntity {
  define_as = 'RA_POWER_34',
  power = 3,
  max_uses = 1,
  min_player_level = 2,
  rarity = { 1, 6 },
  tsval_filter = {
    { tval = 23 },
    { tval = 115, sval=55 },
  },
  vals = {
    max_to_h = -1,
    max_to_d = 1,
    max_to_a = 0,
    max_pval = 6,
  },
  flags = {
    stat_flags = { CHA=true },
  },
}

-- Hafted
newEntity {
  define_as = 'RA_POWER_35',
  power = 2,
  max_uses = 1,
  min_player_level = 2,
  rarity = { 1, 6 },
  tsval_filter = {
    { tval = 21 },
  },
  vals = {
    max_to_h = 1,
    max_to_d = -1,
    max_to_a = 0,
    max_pval = 5,
  },
  flags = {
    stat_flags = { CHA=true },
  },
}

-- Bolt/Launcher/Digger/Polearm/Axe
newEntity {
  define_as = 'RA_POWER_36',
  power = 4,
  max_uses = 1,
  min_player_level = 2,
  rarity = { 1, 8 },
  tsval_filter = {
    { tval = 18 },
    { tval = 19 },
    { tval = 20 },
    { tval = 22 },
    { tval = 24 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 4,
  },
  flags = {
    stat_flags = { INT=true },
  },
}

-- Hafted
newEntity {
  define_as = 'RA_POWER_37',
  power = 4,
  max_uses = 1,
  min_player_level = 2,
  rarity = { 1, 8 },
  tsval_filter = {
    { tval = 21 },
  },
  vals = {
    max_to_h = 1,
    max_to_d = -1,
    max_to_a = 0,
    max_pval = 4,
  },
  flags = {
    stat_flags = { INT=true },
  },
}

-- Sword/Demonblade
newEntity {
  define_as = 'RA_POWER_38',
  power = 4,
  max_uses = 1,
  min_player_level = 2,
  rarity = { 1, 8 },
  tsval_filter = {
    { tval = 23 },
    { tval = 115, sval=55 },
  },
  vals = {
    max_to_h = -1,
    max_to_d = 1,
    max_to_a = 0,
    max_pval = 4,
  },
  flags = {
    stat_flags = { INT=true },
  },
}

-- Bolt/Launcher/Digger/Polearm/Axe
newEntity {
  define_as = 'RA_POWER_39',
  power = 6,
  max_uses = 1,
  min_player_level = 3,
  rarity = { 1, 10 },
  tsval_filter = {
    { tval = 18 },
    { tval = 19 },
    { tval = 20 },
    { tval = 22 },
    { tval = 24 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 6,
  },
  flags = {
    stat_flags = { CON=true },
  },
}

-- Sword/Demonblade
newEntity {
  define_as = 'RA_POWER_40',
  power = 6,
  max_uses = 1,
  min_player_level = 3,
  rarity = { 1, 10 },
  tsval_filter = {
    { tval = 23 },
    { tval = 115, sval=55 },
  },
  vals = {
    max_to_h = -1,
    max_to_d = 1,
    max_to_a = 0,
    max_pval = 6,
  },
  flags = {
    stat_flags = { CON=true },
  },
}

-- Hafted
newEntity {
  define_as = 'RA_POWER_41',
  power = 6,
  max_uses = 1,
  min_player_level = 0,
  rarity = { 0, 0 },
  tsval_filter = {
    { tval = 21 },
  },
  vals = {
    max_to_h = 1,
    max_to_d = -1,
    max_to_a = 0,
    max_pval = 6,
  },
  flags = {
    stat_flags = { CON=true },
  },
}

-- Bolt/Launcher/Digger/Polearm/Axe
newEntity {
  define_as = 'RA_POWER_42',
  power = 4,
  max_uses = 1,
  min_player_level = 2,
  rarity = { 1, 8 },
  tsval_filter = {
    { tval = 18 },
    { tval = 19 },
    { tval = 20 },
    { tval = 22 },
    { tval = 24 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 5,
  },
  flags = {
    stat_flags = { WIS=true },
  },
}

-- Hafted
newEntity {
  define_as = 'RA_POWER_43',
  power = 4,
  max_uses = 1,
  min_player_level = 2,
  rarity = { 1, 9 },
  tsval_filter = {
    { tval = 21 },
  },
  vals = {
    max_to_h = 1,
    max_to_d = -1,
    max_to_a = 0,
    max_pval = 6,
  },
  flags = {
    stat_flags = { WIS=true },
  },
}

-- Sword/Demonblade
newEntity {
  define_as = 'RA_POWER_44',
  power = 4,
  max_uses = 1,
  min_player_level = 2,
  rarity = { 1, 9 },
  tsval_filter = {
    { tval = 23 },
    { tval = 115, sval=55 },
  },
  vals = {
    max_to_h = -1,
    max_to_d = 1,
    max_to_a = 0,
    max_pval = 5,
  },
  flags = {
    stat_flags = { WIS=true },
  },
}

-- Bolt/Launcher/Digger/Polearm/Axe
newEntity {
  define_as = 'RA_POWER_45',
  power = 4,
  max_uses = 1,
  min_player_level = 2,
  rarity = { 1, 7 },
  tsval_filter = {
    { tval = 18 },
    { tval = 19 },
    { tval = 20 },
    { tval = 22 },
    { tval = 24 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 5,
  },
  flags = {
    stat_flags = { DEX=true },
  },
}

-- Sword/Demonblade
newEntity {
  define_as = 'RA_POWER_46',
  power = 4,
  max_uses = 1,
  min_player_level = 2,
  rarity = { 1, 7 },
  tsval_filter = {
    { tval = 23 },
    { tval = 115, sval=55 },
  },
  vals = {
    max_to_h = -1,
    max_to_d = 1,
    max_to_a = 0,
    max_pval = 6,
  },
  flags = {
    stat_flags = { DEX=true },
  },
}

-- Hafted
newEntity {
  define_as = 'RA_POWER_47',
  power = 4,
  max_uses = 1,
  min_player_level = 2,
  rarity = { 1, 7 },
  tsval_filter = {
    { tval = 21 },
  },
  vals = {
    max_to_h = 1,
    max_to_d = -1,
    max_to_a = 0,
    max_pval = 5,
  },
  flags = {
    stat_flags = { DEX=true },
  },
}

-- Hafted
newEntity {
  define_as = 'RA_POWER_48',
  power = 4,
  max_uses = 1,
  min_player_level = 9,
  rarity = { 1, 14 },
  tsval_filter = {
    { tval = 21 },
  },
  vals = {
    max_to_h = 3,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 6,
  },
  flags = {
    pval_flags = { adj_digging=true },
  },
}

-- Polearm/Axe
newEntity {
  define_as = 'RA_POWER_49',
  power = 40,
  max_uses = 1,
  min_player_level = 30,
  rarity = { 1, 100 },
  tsval_filter = {
    { tval = 22 },
    { tval = 24 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = -4,
    max_to_a = 0,
    max_pval = 3,
  },
  flags = {
    pval_flags = { extra_blows=true },
  },
}

-- Sword/Demonblade
newEntity {
  define_as = 'RA_POWER_50',
  power = 40,
  max_uses = 1,
  min_player_level = 30,
  rarity = { 1, 100 },
  tsval_filter = {
    { tval = 23 },
    { tval = 115, sval=55 },
  },
  vals = {
    max_to_h = -1,
    max_to_d = -3,
    max_to_a = 0,
    max_pval = 3,
  },
  flags = {
    pval_flags = { extra_blows=true },
  },
}

-- Hafted
newEntity {
  define_as = 'RA_POWER_51',
  power = 40,
  max_uses = 1,
  min_player_level = 30,
  rarity = { 1, 100 },
  tsval_filter = {
    { tval = 21 },
  },
  vals = {
    max_to_h = 1,
    max_to_d = -5,
    max_to_a = 0,
    max_pval = 3,
  },
  flags = {
    pval_flags = { extra_blows=true },
  },
}

-- Bolt/Launcher/Polearm/Axe
newEntity {
  define_as = 'RA_POWER_52',
  power = 50,
  max_uses = 1,
  min_player_level = 40,
  rarity = { 1, 90 },
  tsval_filter = {
    { tval = 18 },
    { tval = 19 },
    { tval = 22 },
    { tval = 24 },
  },
  vals = {
    max_to_h = -2,
    max_to_d = -2,
    max_to_a = 0,
    max_pval = 5,
  },
  flags = {
    pval_flags = { speed=true },
  },
}

-- Hafted
newEntity {
  define_as = 'RA_POWER_53',
  power = 50,
  max_uses = 1,
  min_player_level = 40,
  rarity = { 1, 90 },
  tsval_filter = {
    { tval = 21 },
  },
  vals = {
    max_to_h = -1,
    max_to_d = -3,
    max_to_a = 0,
    max_pval = 5,
  },
  flags = {
    pval_flags = { speed=true },
  },
}

-- Sword/Demonblade
newEntity {
  define_as = 'RA_POWER_54',
  power = 50,
  max_uses = 1,
  min_player_level = 40,
  rarity = { 1, 90 },
  tsval_filter = {
    { tval = 23 },
    { tval = 115, sval=55 },
  },
  vals = {
    max_to_h = -3,
    max_to_d = -1,
    max_to_a = 0,
    max_pval = 5,
  },
  flags = {
    pval_flags = { speed=true },
  },
}

-- Bolt/Weapon/Demonblade
newEntity {
  define_as = 'RA_POWER_55',
  power = 12,
  max_uses = 1,
  min_player_level = 11,
  rarity = { 1, 20 },
  tsval_filter = {
    { tval = 18 },
    { tval = 22 },
    { tval = 21 },
    { tval = 23 },
    { tval = 24 },
    { tval = 115, sval=55 },
  },
  vals = {
    max_to_h = 10,
    max_to_d = 10,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    flags = { CHAOTIC=true },
  },
}

-- Bolt/Weapon/Demonblade
newEntity {
  define_as = 'RA_POWER_56',
  power = 8,
  max_uses = 1,
  min_player_level = 11,
  rarity = { 1, 20 },
  tsval_filter = {
    { tval = 18 },
    { tval = 21 },
    { tval = 22 },
    { tval = 23 },
    { tval = 24 },
    { tval = 115, sval=55 },
  },
  vals = {
    max_to_h = -10,
    max_to_d = -10,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    flags = { CHAOTIC=true },
  },
}

-- Bolt/Polearm/Axe
newEntity {
  define_as = 'RA_POWER_57',
  power = 12,
  max_uses = 1,
  min_player_level = 15,
  rarity = { 1, 20 },
  tsval_filter = {
    { tval = 18 },
    { tval = 22 },
    { tval = 24 },
  },
  vals = {
    max_to_h = 4,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 4,
  },
  flags = {
    flags = { VAMPIRIC=true },
  },
}

-- Hafted
newEntity {
  define_as = 'RA_POWER_58',
  power = 12,
  max_uses = 1,
  min_player_level = 15,
  rarity = { 1, 20 },
  tsval_filter = {
    { tval = 21 },
  },
  vals = {
    max_to_h = 5,
    max_to_d = -1,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    flags = { VAMPIRIC=true },
  },
}

-- other Swords/Demonblade
newEntity {
  define_as = 'RA_POWER_59',
  power = 12,
  max_uses = 1,
  min_player_level = 15,
  rarity = { 1, 20 },
  tsval_filter = {
    { tval = 23, sval={0,19} },
    { tval = 115, sval=55 },
  },
  vals = {
    max_to_h = 3,
    max_to_d = 1,
    max_to_a = 0,
    max_pval = 4,
  },
  flags = {
    flags = { VAMPIRIC=true },
  },
}

-- Boomerang/Ammo/Polearm/Axe
newEntity {
  define_as = 'RA_POWER_60',
  power = 11,
  max_uses = 1,
  min_player_level = 10,
  rarity = { 1, 10 },
  tsval_filter = {
    { tval = 15 },
    { tval = 16 },
    { tval = 17 },
    { tval = 18 },
    { tval = 22 },
    { tval = 24 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    slay_flags = { ANIMAL=true },
  },
}

-- Hafted
newEntity {
  define_as = 'RA_POWER_61',
  power = 11,
  max_uses = 1,
  min_player_level = 10,
  rarity = { 1, 10 },
  tsval_filter = {
    { tval = 21 },
  },
  vals = {
    max_to_h = 1,
    max_to_d = -1,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    slay_flags = { ANIMAL=true },
  },
}

-- Sword/Demonblade
newEntity {
  define_as = 'RA_POWER_62',
  power = 11,
  max_uses = 1,
  min_player_level = 10,
  rarity = { 1, 10 },
  tsval_filter = {
    { tval = 23 },
    { tval = 115, sval=55 },
  },
  vals = {
    max_to_h = -1,
    max_to_d = 1,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    slay_flags = { ANIMAL=true },
  },
}

-- Boomerang/Ammo/Polearm/Axe
newEntity {
  define_as = 'RA_POWER_63',
  power = 19,
  max_uses = 1,
  min_player_level = 15,
  rarity = { 1, 17 },
  tsval_filter = {
    { tval = 15 },
    { tval = 16 },
    { tval = 17 },
    { tval = 18 },
    { tval = 22 },
    { tval = 24 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    slay_flags = { EVIL=true },
  },
}

-- Hafted
newEntity {
  define_as = 'RA_POWER_64',
  power = 19,
  max_uses = 1,
  min_player_level = 15,
  rarity = { 1, 15 },
  tsval_filter = {
    { tval = 21 },
  },
  vals = {
    max_to_h = 1,
    max_to_d = -1,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    slay_flags = { EVIL=true },
  },
}

-- Sword/Demonblade
newEntity {
  define_as = 'RA_POWER_65',
  power = 19,
  max_uses = 1,
  min_player_level = 15,
  rarity = { 1, 17 },
  tsval_filter = {
    { tval = 23 },
    { tval = 115, sval=55 },
  },
  vals = {
    max_to_h = -1,
    max_to_d = 1,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    slay_flags = { EVIL=true },
  },
}

-- Boomerang/Ammo/Polearm/Axe
newEntity {
  define_as = 'RA_POWER_66',
  power = 15,
  max_uses = 1,
  min_player_level = 13,
  rarity = { 1, 15 },
  tsval_filter = {
    { tval = 15 },
    { tval = 16 },
    { tval = 17 },
    { tval = 18 },
    { tval = 22 },
    { tval = 24 },
    forbid = { slay_flags = { X_UNDEAD=true } },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    slay_flags = { UNDEAD=true },
  },
}

-- Hafted
newEntity {
  define_as = 'RA_POWER_67',
  power = 15,
  max_uses = 1,
  min_player_level = 13,
  rarity = { 1, 15 },
  tsval_filter = {
    { tval = 21 },
    forbid = { slay_flags = { X_UNDEAD=true } },
  },
  vals = {
    max_to_h = 1,
    max_to_d = -1,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    slay_flags = { UNDEAD=true },
  },
}

-- Sword/Demonblade
newEntity {
  define_as = 'RA_POWER_68',
  power = 15,
  max_uses = 1,
  min_player_level = 13,
  rarity = { 1, 15 },
  tsval_filter = {
    { tval = 23 },
    { tval = 115, sval=55 },
    forbid = { slay_flags = { X_UNDEAD=true } },
  },
  vals = {
    max_to_h = -1,
    max_to_d = 1,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    slay_flags = { UNDEAD=true },
  },
}

-- Boomerang/Ammo/Polearm/Axe
newEntity {
  define_as = 'RA_POWER_69',
  power = 5,
  max_uses = 1,
  min_player_level = 11,
  rarity = { 1, 25 },
  tsval_filter = {
    { tval = 15 },
    { tval = 16 },
    { tval = 17 },
    { tval = 18 },
    { tval = 22 },
    { tval = 24 },
    forbid = { slay_flags = { X_DEMON=true } },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    slay_flags = { DEMON=true },
  },
}

-- Hafted
newEntity {
  define_as = 'RA_POWER_70',
  power = 5,
  max_uses = 1,
  min_player_level = 11,
  rarity = { 1, 25 },
  tsval_filter = {
    { tval = 21 },
    forbid = { slay_flags = { X_DEMON=true } },
  },
  vals = {
    max_to_h = 1,
    max_to_d = -1,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    slay_flags = { DEMON=true },
  },
}

-- Sword/Demonblade
newEntity {
  define_as = 'RA_POWER_71',
  power = 5,
  max_uses = 1,
  min_player_level = 11,
  rarity = { 1, 25 },
  tsval_filter = {
    { tval = 23 },
    { tval = 115, sval=55 },
    forbid = { slay_flags = { X_DEMON=true } },
  },
  vals = {
    max_to_h = -1,
    max_to_d = 1,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    slay_flags = { DEMON=true },
  },
}

-- Boomerang/Ammo/Polearm/Axe
newEntity {
  define_as = 'RA_POWER_72',
  power = 10,
  max_uses = 1,
  min_player_level = 3,
  rarity = { 1, 10 },
  tsval_filter = {
    { tval = 15 },
    { tval = 16 },
    { tval = 17 },
    { tval = 18 },
    { tval = 22 },
    { tval = 24 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    slay_flags = { ORC=true },
  },
}

-- Hafted
newEntity {
  define_as = 'RA_POWER_73',
  power = 10,
  max_uses = 1,
  min_player_level = 3,
  rarity = { 1, 10 },
  tsval_filter = {
    { tval = 21 },
  },
  vals = {
    max_to_h = 1,
    max_to_d = -1,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    slay_flags = { ORC=true },
  },
}

-- Sword/Demonblade
newEntity {
  define_as = 'RA_POWER_74',
  power = 10,
  max_uses = 1,
  min_player_level = 3,
  rarity = { 1, 10 },
  tsval_filter = {
    { tval = 23 },
    { tval = 115, sval=55 },
  },
  vals = {
    max_to_h = -1,
    max_to_d = 1,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    slay_flags = { ORC=true },
  },
}

-- Boomerang/Ammo/Polearm/Axe
newEntity {
  define_as = 'RA_POWER_75',
  power = 11,
  max_uses = 1,
  min_player_level = 15,
  rarity = { 2, 17 },
  tsval_filter = {
    { tval = 15 },
    { tval = 16 },
    { tval = 17 },
    { tval = 18 },
    { tval = 22 },
    { tval = 24 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    slay_flags = { TROLL=true },
  },
}

-- Hafted
newEntity {
  define_as = 'RA_POWER_76',
  power = 11,
  max_uses = 1,
  min_player_level = 15,
  rarity = { 2, 17 },
  tsval_filter = {
    { tval = 21 },
  },
  vals = {
    max_to_h = 1,
    max_to_d = -1,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    slay_flags = { TROLL=true },
  },
}

-- Sword/Demonblade
newEntity {
  define_as = 'RA_POWER_77',
  power = 11,
  max_uses = 1,
  min_player_level = 15,
  rarity = { 2, 17 },
  tsval_filter = {
    { tval = 23 },
    { tval = 115, sval=55 },
  },
  vals = {
    max_to_h = -1,
    max_to_d = 1,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    slay_flags = { TROLL=true },
  },
}

-- Boomerang/Ammo/Polearm/Axe
newEntity {
  define_as = 'RA_POWER_78',
  power = 10,
  max_uses = 1,
  min_player_level = 20,
  rarity = { 1, 20 },
  tsval_filter = {
    { tval = 15 },
    { tval = 16 },
    { tval = 17 },
    { tval = 18 },
    { tval = 22 },
    { tval = 24 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    slay_flags = { GIANT=true },
  },
}

-- Hafted
newEntity {
  define_as = 'RA_POWER_79',
  power = 10,
  max_uses = 1,
  min_player_level = 20,
  rarity = { 1, 20 },
  tsval_filter = {
    { tval = 21 },
  },
  vals = {
    max_to_h = -1,
    max_to_d = 1,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    slay_flags = { GIANT=true },
  },
}

-- Sword/Demonblade
newEntity {
  define_as = 'RA_POWER_80',
  power = 10,
  max_uses = 1,
  min_player_level = 20,
  rarity = { 1, 20 },
  tsval_filter = {
    { tval = 23 },
    { tval = 115, sval=55 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    slay_flags = { GIANT=true },
  },
}

-- Boomerang/Ammo/Polearm/Axe
newEntity {
  define_as = 'RA_POWER_81',
  power = 20,
  max_uses = 1,
  min_player_level = 17,
  rarity = { 1, 20 },
  tsval_filter = {
    { tval = 15 },
    { tval = 16 },
    { tval = 17 },
    { tval = 18 },
    { tval = 22 },
    { tval = 24 },
    forbid = { slay_flags = { X_DRAGON=true } },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    slay_flags = { DRAGON=true },
  },
}

-- Hafted
newEntity {
  define_as = 'RA_POWER_82',
  power = 20,
  max_uses = 1,
  min_player_level = 17,
  rarity = { 1, 20 },
  tsval_filter = {
    { tval = 21 },
    forbid = { slay_flags = { X_DRAGON=true } },
  },
  vals = {
    max_to_h = 1,
    max_to_d = -1,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    slay_flags = { DRAGON=true },
  },
}

-- Sword/Demonblade
newEntity {
  define_as = 'RA_POWER_83',
  power = 20,
  max_uses = 1,
  min_player_level = 17,
  rarity = { 1, 20 },
  tsval_filter = {
    { tval = 23 },
    { tval = 115, sval=55 },
    forbid = { slay_flags = { X_DRAGON=true } },
  },
  vals = {
    max_to_h = -1,
    max_to_d = 1,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    slay_flags = { DRAGON=true },
  },
}

-- Boomerang/Ammo/Polearm/Axe
newEntity {
  define_as = 'RA_POWER_84',
  power = 31,
  max_uses = 1,
  min_player_level = 17,
  rarity = { 1, 35 },
  tsval_filter = {
    { tval = 15 },
    { tval = 16 },
    { tval = 17 },
    { tval = 18 },
    { tval = 22 },
    { tval = 24 },
    forbid = { slay_flags = { DRAGON=true } },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    slay_flags = { X_DRAGON=true },
  },
}

-- Hafted
newEntity {
  define_as = 'RA_POWER_85',
  power = 31,
  max_uses = 1,
  min_player_level = 17,
  rarity = { 1, 35 },
  tsval_filter = {
    { tval = 21 },
    forbid = { slay_flags = { DRAGON=true } },
  },
  vals = {
    max_to_h = 1,
    max_to_d = -1,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    slay_flags = { X_DRAGON=true },
  },
}

-- Sword/Demonblade
newEntity {
  define_as = 'RA_POWER_86',
  power = 31,
  max_uses = 1,
  min_player_level = 17,
  rarity = { 1, 35 },
  tsval_filter = {
    { tval = 23 },
    { tval = 115, sval=55 },
    forbid = { slay_flags = { DRAGON=true } },
  },
  vals = {
    max_to_h = -1,
    max_to_d = 1,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    slay_flags = { X_DRAGON=true },
  },
}

-- Bolt/Polearm/Axe
newEntity {
  define_as = 'RA_POWER_87',
  power = 15,
  max_uses = 1,
  min_player_level = 5,
  rarity = { 1, 10 },
  tsval_filter = {
    { tval = 18 },
    { tval = 22 },
    { tval = 24 },
    forbid = { flags = { CURSED=true } },
  },
  vals = {
    max_to_h = -2,
    max_to_d = -2,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    convey_flags = { BLESSED=true },
  },
}

-- Hafted
newEntity {
  define_as = 'RA_POWER_88',
  power = 15,
  max_uses = 1,
  min_player_level = 5,
  rarity = { 1, 7 },
  tsval_filter = {
    { tval = 21 },
    forbid = { flags = { CURSED=true } },
  },
  vals = {
    max_to_h = -1,
    max_to_d = -3,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    convey_flags = { BLESSED=true },
  },
}

-- Sword/Demonblade
newEntity {
  define_as = 'RA_POWER_89',
  power = 15,
  max_uses = 1,
  min_player_level = 5,
  rarity = { 1, 10 },
  tsval_filter = {
    { tval = 23 },
    { tval = 115, sval=55 },
    forbid = { flags = { CURSED=true } },
  },
  vals = {
    max_to_h = -3,
    max_to_d = -1,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    convey_flags = { BLESSED=true },
  },
}

-- Boomerang/Shot/Bolt/Launcher/Weapon/Demonblade
newEntity {
  define_as = 'RA_POWER_90',
  power = -5,
  max_uses = 1,
  min_player_level = 1,
  rarity = { 1, 20 },
  tsval_filter = {
    { tval = 15 },
    { tval = 16 },
    { tval = 18 },
    { tval = 19 },
    { tval = 21 },
    { tval = 22 },
    { tval = 23 },
    { tval = 24 },
    { tval = 115, sval=55 },
    forbid = { convey_flags = { BLESSED=true } },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    flags = { CURSED=true },
  },
}

-- Bolt/Launcher/Digger/Weapon/Demonblade
newEntity {
  define_as = 'RA_POWER_93',
  power = -10,
  max_uses = 1,
  min_player_level = 1,
  rarity = { 1, 20 },
  tsval_filter = {
    { tval = 18 },
    { tval = 19 },
    { tval = 20 },
    { tval = 21 },
    { tval = 22 },
    { tval = 23 },
    { tval = 24 },
    { tval = 115, sval=55 },
    forbid = { pval_flags = { skill_stealth=true } },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    convey_flags = { AGGRAVATE=true },
  },
}

-- Bolt/Launcher/Digger/Weapon/Demonblade
newEntity {
  define_as = 'RA_POWER_94',
  power = 13,
  max_uses = 1,
  min_player_level = 1,
  rarity = { 1, 15 },
  tsval_filter = {
    { tval = 18 },
    { tval = 19 },
    { tval = 20 },
    { tval = 21 },
    { tval = 22 },
    { tval = 23 },
    { tval = 24 },
    { tval = 115, sval=55 },
    forbid = { convey_resist_dam = { [DamageType.LITE]=true } },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    lite = 1,
  },
}

-- Launcher
newEntity {
  define_as = 'RA_POWER_95',
  power = 40,
  max_uses = 1,
  min_player_level = 20,
  rarity = { 1, 38 },
  tsval_filter = {
    { tval = 19 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 3,
  },
  flags = {
    pval_flags = { extra_might=true },
  },
}

-- Launcher
newEntity {
  define_as = 'RA_POWER_96',
  power = 40,
  max_uses = 1,
  min_player_level = 20,
  rarity = { 1, 38 },
  tsval_filter = {
    { tval = 19 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    cum_flags = { extra_shots=true },
  },
}

-- some Polearms/Sickle/Scythe/Sword/Axe/Demonblade
newEntity {
  define_as = 'RA_POWER_97',
  power = 25,
  max_uses = 1,
  min_player_level = 14,
  rarity = { 1, 23 },
  tsval_filter = {
    { tval = 23 },
    { tval = 24 },
    { tval = 22, sval=17 },
    { tval = 22, sval=3 },
    { tval = 22, sval={0,15} },
    { tval = 115, sval=55 },
  },
  vals = {
    max_to_h = 3,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    flags = { WOUNDING=true },
  },
}

-- Boomerang/Ammo/Weapon/Demonblade
newEntity {
  define_as = 'RA_POWER_98',
  power = 60,
  max_uses = 1,
  min_player_level = 27,
  rarity = { 1, 50 },
  tsval_filter = {
    { tval = 15 },
    { tval = 16 },
    { tval = 17 },
    { tval = 18 },
    { tval = 21 },
    { tval = 22 },
    { tval = 23 },
    { tval = 24 },
    { tval = 115, sval=55 },
    forbid = { slay_flags = { UNDEAD=true } },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    slay_flags = { X_UNDEAD=true },
  },
}

-- Boomerang/Ammo/Weapon/Demonblade
newEntity {
  define_as = 'RA_POWER_99',
  power = 45,
  max_uses = 1,
  min_player_level = 25,
  rarity = { 1, 34 },
  tsval_filter = {
    { tval = 15 },
    { tval = 16 },
    { tval = 17 },
    { tval = 18 },
    { tval = 21 },
    { tval = 22 },
    { tval = 23 },
    { tval = 24 },
    { tval = 115, sval=55 },
    forbid = { slay_flags = { DEMON=true } },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    slay_flags = { X_DEMON=true },
  },
}

-- Bolt/Weapon/Demonblade
newEntity {
  define_as = 'RA_POWER_100',
  power = 20,
  max_uses = 1,
  min_player_level = 15,
  rarity = { 1, 25 },
  tsval_filter = {
    { tval = 18 },
    { tval = 21 },
    { tval = 22 },
    { tval = 23 },
    { tval = 24 },
    { tval = 115, sval=55 },
  },
  vals = {
    max_to_h = 2,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    worn_talents = { ActorTalents.T_TROLL_BERZERK },
  },
}

-- Digger/Hafted
newEntity {
  define_as = 'RA_POWER_101',
  power = 15,
  max_uses = 1,
  min_player_level = 20,
  rarity = { 1, 35 },
  tsval_filter = {
    { tval = 20 },
    { tval = 21 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    worn_talents = { ActorTalents.T_OBJ_EARTHQUAKE },
  },
}

-- Digger
newEntity {
  define_as = 'RA_POWER_102',
  power = 5,
  max_uses = 1,
  min_player_level = 2,
  rarity = { 1, 9 },
  tsval_filter = {
    { tval = 20 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 6,
  },
  flags = {
    stat_flags = { STR=true },
  },
}

-- Soft Armor/Hard Armor
newEntity {
  define_as = 'RA_POWER_295',
  power = 60,
  max_uses = 1,
  min_player_level = 20,
  rarity = { 1, 90 },
  tsval_filter = {
    { tval = 36 },
    { tval = 37 },
  },
  vals = {
    max_to_h = -70,
    max_to_d = -70,
    max_to_a = 0,
    max_pval = 2,
  },
  flags = {
    pval_flags = { hp_mult=true },
  },
}

-- Armor/Demon armor
newEntity {
  define_as = 'RA_POWER_296',
  power = 7,
  max_uses = 1,
  min_player_level = 1,
  rarity = { 1, 14 },
  tsval_filter = {
    { tval = 30 },
    { tval = 31 },
    { tval = 32 },
    { tval = 33 },
    { tval = 34 },
    { tval = 115, sval={56,57} },
    { tval = 35 },
    { tval = 36 },
    { tval = 37 },
    { tval = 38 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    convey_flags = { SUST_STR=true },
  },
}

-- Mage Staff/Armor/Demon armor
newEntity {
  define_as = 'RA_POWER_297',
  power = 6,
  max_uses = 1,
  min_player_level = 1,
  rarity = { 1, 12 },
  tsval_filter = {
    { tval = 30 },
    { tval = 31 },
    { tval = 32 },
    { tval = 33 },
    { tval = 34 },
    { tval = 115, sval={56,57} },
    { tval = 35 },
    { tval = 36 },
    { tval = 37 },
    { tval = 38 },
    { tval = 6 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    convey_flags = { SUST_INT=true },
  },
}

-- Mage Staff/Armor/Demon armor
newEntity {
  define_as = 'RA_POWER_298',
  power = 6,
  max_uses = 1,
  min_player_level = 1,
  rarity = { 1, 12 },
  tsval_filter = {
    { tval = 30 },
    { tval = 31 },
    { tval = 32 },
    { tval = 33 },
    { tval = 34 },
    { tval = 115, sval={56,57} },
    { tval = 35 },
    { tval = 36 },
    { tval = 37 },
    { tval = 38 },
    { tval = 6 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    convey_flags = { SUST_WIS=true },
  },
}

-- Armor/Demon armor
newEntity {
  define_as = 'RA_POWER_299',
  power = 5,
  max_uses = 1,
  min_player_level = 1,
  rarity = { 1, 11 },
  tsval_filter = {
    { tval = 30 },
    { tval = 31 },
    { tval = 32 },
    { tval = 33 },
    { tval = 34 },
    { tval = 115, sval={56,57} },
    { tval = 35 },
    { tval = 36 },
    { tval = 37 },
    { tval = 38 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 1,
    max_pval = 0,
  },
  flags = {
    convey_flags = { SUST_DEX=true },
  },
}

-- Armor/Demon armor
newEntity {
  define_as = 'RA_POWER_300',
  power = 9,
  max_uses = 1,
  min_player_level = 1,
  rarity = { 1, 16 },
  tsval_filter = {
    { tval = 30 },
    { tval = 31 },
    { tval = 32 },
    { tval = 33 },
    { tval = 34 },
    { tval = 115, sval={56,57} },
    { tval = 35 },
    { tval = 36 },
    { tval = 37 },
    { tval = 38 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    convey_flags = { SUST_CON=true },
  },
}

-- Armor/Demon armor
newEntity {
  define_as = 'RA_POWER_301',
  power = 4,
  max_uses = 1,
  min_player_level = 1,
  rarity = { 1, 9 },
  tsval_filter = {
    { tval = 30 },
    { tval = 31 },
    { tval = 32 },
    { tval = 33 },
    { tval = 34 },
    { tval = 115, sval={56,57} },
    { tval = 35 },
    { tval = 36 },
    { tval = 37 },
    { tval = 38 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    convey_flags = { SUST_CHA=true },
  },
}

-- Body Armor
newEntity {
  define_as = 'RA_POWER_302',
  power = 50,
  max_uses = 1,
  min_player_level = 30,
  rarity = { 1, 70 },
  tsval_filter = {
    { tval = 36 },
    { tval = 37 },
    { tval = 38 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    convey_immune_dam = { [DamageType.ACID]=true },
  },
}

-- Shield/Demonshield
newEntity {
  define_as = 'RA_POWER_303',
  power = 50,
  max_uses = 1,
  min_player_level = 30,
  rarity = { 1, 90 },
  tsval_filter = {
    { tval = 34 },
    { tval = 115, sval=56 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    convey_immune_dam = { [DamageType.ACID]=true },
  },
}

-- Cloak
newEntity {
  define_as = 'RA_POWER_304',
  power = 50,
  max_uses = 1,
  min_player_level = 30,
  rarity = { 1, 80 },
  tsval_filter = {
    { tval = 35 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    convey_immune_dam = { [DamageType.ACID]=true },
  },
}

-- Body Armor
newEntity {
  define_as = 'RA_POWER_305',
  power = 45,
  max_uses = 1,
  min_player_level = 30,
  rarity = { 1, 78 },
  tsval_filter = {
    { tval = 36 },
    { tval = 37 },
    { tval = 38 },
  },
  vals = {
  },
  flags = {
    convey_immune_dam = { [DamageType.ELEC]=true },
  },
}

-- Shield/Demonshield
newEntity {
  define_as = 'RA_POWER_306',
  power = 45,
  max_uses = 1,
  min_player_level = 30,
  rarity = { 1, 98 },
  tsval_filter = {
    { tval = 34 },
    { tval = 115, sval=56 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    convey_immune_dam = { [DamageType.ELEC]=true },
  },
}

-- Cloak
newEntity {
  define_as = 'RA_POWER_307',
  power = 45,
  max_uses = 1,
  min_player_level = 30,
  rarity = { 1, 88 },
  tsval_filter = {
    { tval = 35 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    convey_immune_dam = { [DamageType.ELEC]=true },
  },
}

-- Body Armor
newEntity {
  define_as = 'RA_POWER_308',
  power = 55,
  max_uses = 1,
  min_player_level = 30,
  rarity = { 1, 86 },
  tsval_filter = {
    { tval = 36 },
    { tval = 37 },
    { tval = 38 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    convey_immune_dam = { [DamageType.FIRE]=true },
  },
}

-- Shield/Cloak/Demonshield
newEntity {
  define_as = 'RA_POWER_309',
  power = 55,
  max_uses = 1,
  min_player_level = 30,
  rarity = { 1, 95 },
  tsval_filter = {
    { tval = 34 },
    { tval = 115, sval=56 },
    { tval = 35 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    convey_immune_dam = { [DamageType.FIRE]=true },
  },
}

-- Body Armor
newEntity {
  define_as = 'RA_POWER_310',
  power = 47,
  max_uses = 1,
  min_player_level = 30,
  rarity = { 1, 90 },
  tsval_filter = {
    { tval = 36 },
    { tval = 37 },
    { tval = 38 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    convey_immune_dam = { [DamageType.COLD]=true },
  },
}

-- Shield/Cloak/Demonshield
newEntity {
  define_as = 'RA_POWER_311',
  power = 47,
  max_uses = 1,
  min_player_level = 30,
  rarity = { 1, 90 },
  tsval_filter = {
    { tval = 34 },
    { tval = 115, sval=56 },
    { tval = 35 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    convey_immune_dam = { [DamageType.COLD]=true },
  },
}

-- Fur Cloak
newEntity {
  define_as = 'RA_POWER_312',
  power = 47,
  max_uses = 1,
  min_player_level = 30,
  rarity = { 1, 100 },
  tsval_filter = {
    { tval = 35, sval=3 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    convey_immune_dam = { [DamageType.COLD]=true },
  },
}

-- Shield/Dragon Armor/Demonshield
newEntity {
  define_as = 'RA_POWER_313',
  power = 35,
  max_uses = 1,
  min_player_level = 20,
  rarity = { 1, 45 },
  tsval_filter = {
    { tval = 34 },
    { tval = 38 },
    { tval = 115, sval=56 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    convey_flags = { REFLECT=true },
  },
}

-- Shield of Deflection/Demonshield
newEntity {
  define_as = 'RA_POWER_314',
  power = 35,
  max_uses = 1,
  min_player_level = 10,
  rarity = { 1, 15 },
  tsval_filter = {
    { tval = 34, sval=10 },
    { tval = 115, sval=56 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    convey_flags = { REFLECT=true },
  },
}

-- Mage Staff/Armor/Amulet/Ring/Demon armor
newEntity {
  define_as = 'RA_POWER_315',
  power = 17,
  max_uses = 1,
  min_player_level = 5,
  rarity = { 1, 7 },
  tsval_filter = {
    { tval = 30 },
    { tval = 31 },
    { tval = 32 },
    { tval = 33 },
    { tval = 34 },
    { tval = 115, sval={56,57} },
    { tval = 35 },
    { tval = 36 },
    { tval = 37 },
    { tval = 38 },
    { tval = 40 },
    { tval = 45 },
    { tval = 6 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    convey_flags = { FREE_ACT=true },
  },
}

-- Armor/Demon armor
newEntity {
  define_as = 'RA_POWER_316',
  power = 23,
  max_uses = 1,
  min_player_level = 8,
  rarity = { 1, 14 },
  tsval_filter = {
    { tval = 30 },
    { tval = 31 },
    { tval = 32 },
    { tval = 33 },
    { tval = 34 },
    { tval = 115, sval={56,57} },
    { tval = 35 },
    { tval = 36 },
    { tval = 37 },
    { tval = 38 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    convey_flags = { HOLD_LIFE=true },
  },
}

-- Armor/Amulet/Ring/Demon armor
newEntity {
  define_as = 'RA_POWER_317',
  power = 15,
  max_uses = 1,
  min_player_level = 1,
  rarity = { 1, 10 },
  tsval_filter = {
    { tval = 30 },
    { tval = 31 },
    { tval = 32 },
    { tval = 33 },
    { tval = 34 },
    { tval = 115, sval={56,57} },
    { tval = 35 },
    { tval = 36 },
    { tval = 37 },
    { tval = 38 },
    { tval = 40 },
    { tval = 45 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    convey_resist_dam = { [DamageType.ACID]=true },
  },
}

-- Armor/Amulet/Ring/Demon armor
newEntity {
  define_as = 'RA_POWER_318',
  power = 15,
  max_uses = 1,
  min_player_level = 1,
  rarity = { 1, 10 },
  tsval_filter = {
    { tval = 30 },
    { tval = 31 },
    { tval = 32 },
    { tval = 33 },
    { tval = 34 },
    { tval = 115, sval={56,57} },
    { tval = 35 },
    { tval = 36 },
    { tval = 37 },
    { tval = 38 },
    { tval = 40 },
    { tval = 45 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    convey_resist_dam = { [DamageType.FIRE]=true },
  },
}

-- Armor/Amulet/Ring/Demon armor
newEntity {
  define_as = 'RA_POWER_319',
  power = 13,
  max_uses = 1,
  min_player_level = 1,
  rarity = { 1, 9 },
  tsval_filter = {
    { tval = 30 },
    { tval = 31 },
    { tval = 32 },
    { tval = 33 },
    { tval = 34 },
    { tval = 115, sval={56,57} },
    { tval = 35 },
    { tval = 36 },
    { tval = 37 },
    { tval = 38 },
    { tval = 40 },
    { tval = 45 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    convey_resist_dam = { [DamageType.ELEC]=true },
  },
}

-- Armor/Amulet/Ring/Demon armor
newEntity {
  define_as = 'RA_POWER_320',
  power = 12,
  max_uses = 1,
  min_player_level = 1,
  rarity = { 1, 8 },
  tsval_filter = {
    { tval = 30 },
    { tval = 31 },
    { tval = 32 },
    { tval = 33 },
    { tval = 34 },
    { tval = 115, sval={56,57} },
    { tval = 35 },
    { tval = 36 },
    { tval = 37 },
    { tval = 38 },
    { tval = 40 },
    { tval = 45 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    convey_resist_dam = { [DamageType.COLD]=true },
  },
}

-- Armor/Amulet/Ring/Demon armor
newEntity {
  define_as = 'RA_POWER_321',
  power = 20,
  max_uses = 1,
  min_player_level = 5,
  rarity = { 1, 18 },
  tsval_filter = {
    { tval = 30 },
    { tval = 31 },
    { tval = 32 },
    { tval = 33 },
    { tval = 34 },
    { tval = 115, sval={56,57} },
    { tval = 35 },
    { tval = 36 },
    { tval = 37 },
    { tval = 38 },
    { tval = 40 },
    { tval = 45 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    convey_resist_dam = { [DamageType.POISON]=true },
  },
}

-- Armor/Amulet/Ring/Demon armor
newEntity {
  define_as = 'RA_POWER_322',
  power = 15,
  max_uses = 1,
  min_player_level = 6,
  rarity = { 1, 15 },
  tsval_filter = {
    { tval = 30 },
    { tval = 31 },
    { tval = 32 },
    { tval = 33 },
    { tval = 34 },
    { tval = 115, sval={56,57} },
    { tval = 35 },
    { tval = 36 },
    { tval = 37 },
    { tval = 38 },
    { tval = 40 },
    { tval = 45 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    convey_resist_dam = { [DamageType.FEAR]=true },
  },
}

-- Boots/Gloves/Crown/Shield/Cloak/Body Armor/Amulet/Ring/Demonshield
newEntity {
  define_as = 'RA_POWER_323',
  power = 10,
  max_uses = 1,
  min_player_level = 5,
  rarity = { 1, 10 },
  tsval_filter = {
    { tval = 30 },
    { tval = 31 },
    { tval = 33 },
    { tval = 34 },
    { tval = 115, sval=56 },
    { tval = 35 },
    { tval = 36 },
    { tval = 37 },
    { tval = 38 },
    { tval = 40 },
    { tval = 45 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    convey_resist_dam = { [DamageType.LITE]=true },
  },
}

-- Helm/Demonhorn
newEntity {
  define_as = 'RA_POWER_324',
  power = 10,
  max_uses = 1,
  min_player_level = 1,
  rarity = { 1, 7 },
  tsval_filter = {
    { tval = 32 },
    { tval = 115, sval=57 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    convey_resist_dam = { [DamageType.LITE]=true },
  },
}

-- Helm/Demonhorn
newEntity {
  define_as = 'RA_POWER_325',
  power = 15,
  max_uses = 1,
  min_player_level = 5,
  rarity = { 1, 15 },
  tsval_filter = {
    { tval = 32 },
    { tval = 115, sval=57 },
    forbid = { convey_resist_dam = { [DamageType.LITE]=true } },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    lite = 1,
  },
}

-- Helm/Demonhorn
newEntity {
  define_as = 'RA_POWER_326',
  power = 17,
  max_uses = 1,
  min_player_level = 10,
  rarity = { 1, 20 },
  tsval_filter = {
    { tval = 32 },
    { tval = 115, sval=57 },
    forbid = { convey_resist_dam = { [DamageType.LITE]=true } },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    lite = 2,
  },
}

-- Helm/Demonhorn
newEntity {
  define_as = 'RA_POWER_327',
  power = 20,
  max_uses = 1,
  min_player_level = 15,
  rarity = { 1, 25 },
  tsval_filter = {
    { tval = 32 },
    { tval = 115, sval=57 },
    forbid = { convey_resist_dam = { [DamageType.LITE]=true } },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    lite = 3,
  },
}

-- Armor/Amulet/Ring/Demon armor
newEntity {
  define_as = 'RA_POWER_328',
  power = 15,
  max_uses = 1,
  min_player_level = 10,
  rarity = { 1, 15 },
  tsval_filter = {
    { tval = 30 },
    { tval = 31 },
    { tval = 32 },
    { tval = 33 },
    { tval = 34 },
    { tval = 115, sval={56,57} },
    { tval = 35 },
    { tval = 36 },
    { tval = 37 },
    { tval = 38 },
    { tval = 40 },
    { tval = 45 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    convey_resist_dam = { [DamageType.DARK]=true },
  },
}

-- Mage Staff/Helm/Amulet/Ring/Demonhorn
newEntity {
  define_as = 'RA_POWER_329',
  power = 20,
  max_uses = 1,
  min_player_level = 13,
  rarity = { 1, 27 },
  tsval_filter = {
    { tval = 115, sval=57 },
    { tval = 32 },
    { tval = 40 },
    { tval = 45 },
    { tval = 6 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    convey_resist_dam = { [DamageType.BLIND]=true },
  },
}

-- Armor/Amulet/Ring/Demon armor
newEntity {
  define_as = 'RA_POWER_330',
  power = 17,
  max_uses = 1,
  min_player_level = 13,
  rarity = { 1, 18 },
  tsval_filter = {
    { tval = 30 },
    { tval = 31 },
    { tval = 32 },
    { tval = 33 },
    { tval = 34 },
    { tval = 115, sval={56,57} },
    { tval = 35 },
    { tval = 36 },
    { tval = 37 },
    { tval = 38 },
    { tval = 40 },
    { tval = 45 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    convey_resist_dam = { [DamageType.SOUND]=true },
  },
}

-- Armor/Amulet/Ring/Demon armor
newEntity {
  define_as = 'RA_POWER_331',
  power = 15,
  max_uses = 1,
  min_player_level = 17,
  rarity = { 1, 15 },
  tsval_filter = {
    { tval = 30 },
    { tval = 31 },
    { tval = 32 },
    { tval = 33 },
    { tval = 115, sval={56,57} },
    { tval = 34 },
    { tval = 35 },
    { tval = 36 },
    { tval = 37 },
    { tval = 38 },
    { tval = 40 },
    { tval = 45 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    convey_resist_dam = { [DamageType.NEXUS]=true },
  },
}

-- Armor/Amulet/Ring/Demon armor
newEntity {
  define_as = 'RA_POWER_332',
  power = 19,
  max_uses = 1,
  min_player_level = 16,
  rarity = { 1, 19 },
  tsval_filter = {
    { tval = 30 },
    { tval = 31 },
    { tval = 32 },
    { tval = 33 },
    { tval = 34 },
    { tval = 115, sval={56,57} },
    { tval = 35 },
    { tval = 36 },
    { tval = 37 },
    { tval = 38 },
    { tval = 40 },
    { tval = 45 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    convey_resist_dam = { [DamageType.SHARDS]=true },
  },
}

-- Armor/Amulet/Ring/Demon armor
newEntity {
  define_as = 'RA_POWER_333',
  power = 30,
  max_uses = 1,
  min_player_level = 30,
  rarity = { 1, 50 },
  tsval_filter = {
    { tval = 30 },
    { tval = 31 },
    { tval = 32 },
    { tval = 33 },
    { tval = 34 },
    { tval = 115, sval={56,57} },
    { tval = 35 },
    { tval = 36 },
    { tval = 37 },
    { tval = 38 },
    { tval = 40 },
    { tval = 45 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    convey_resist_dam = { [DamageType.NETHER]=true },
  },
}

-- Armor/Amulet/Ring/Demon armor
newEntity {
  define_as = 'RA_POWER_334',
  power = 25,
  max_uses = 1,
  min_player_level = 25,
  rarity = { 1, 30 },
  tsval_filter = {
    { tval = 30 },
    { tval = 31 },
    { tval = 32 },
    { tval = 33 },
    { tval = 34 },
    { tval = 115, sval={56,57} },
    { tval = 35 },
    { tval = 36 },
    { tval = 37 },
    { tval = 38 },
    { tval = 40 },
    { tval = 45 },
  },
  vals = {
  },
  flags = {
    convey_resist_dam = { [DamageType.CHAOS]=true },
  },
}

-- Mage Staff/Armor/Amulet/Ring/Demon armor
newEntity {
  define_as = 'RA_POWER_335',
  power = 20,
  max_uses = 1,
  min_player_level = 25,
  rarity = { 1, 35 },
  tsval_filter = {
    { tval = 30 },
    { tval = 31 },
    { tval = 32 },
    { tval = 33 },
    { tval = 34 },
    { tval = 115, sval={56,57} },
    { tval = 35 },
    { tval = 36 },
    { tval = 37 },
    { tval = 38 },
    { tval = 40 },
    { tval = 45 },
    { tval = 6 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    convey_resist_dam = { [DamageType.CONFUSION]=true },
  },
}

-- Armor/Amulet/Ring/Demon armor
newEntity {
  define_as = 'RA_POWER_336',
  power = 25,
  max_uses = 1,
  min_player_level = 23,
  rarity = { 1, 32 },
  tsval_filter = {
    { tval = 30 },
    { tval = 31 },
    { tval = 32 },
    { tval = 33 },
    { tval = 34 },
    { tval = 115, sval={56,57} },
    { tval = 35 },
    { tval = 36 },
    { tval = 37 },
    { tval = 38 },
    { tval = 40 },
    { tval = 45 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    convey_resist_dam = { [DamageType.DISENCHANT]=true },
  },
}

-- Cloak
newEntity {
  define_as = 'RA_POWER_337',
  power = 20,
  max_uses = 1,
  min_player_level = 10,
  rarity = { 1, 17 },
  tsval_filter = {
    { tval = 35 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    convey_resist_dam = { [DamageType.FIRE]=true },
    convey_melee_retal = { [DamageType.FIRE]='plyrdam' },
  },
}

-- Cloak
newEntity {
  define_as = 'RA_POWER_338',
  power = 22,
  max_uses = 1,
  min_player_level = 10,
  rarity = { 1, 20 },
  tsval_filter = {
    { tval = 35 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    convey_resist_dam = { [DamageType.ELEC]=true },
    convey_melee_retal = { [DamageType.ELEC]='plyrdam' },
  },
}

-- Mage Staff/Helm/Crown/Amulet/Ring/Demonhorn
newEntity {
  define_as = 'RA_POWER_339',
  power = 18,
  max_uses = 1,
  min_player_level = 5,
  rarity = { 1, 15 },
  tsval_filter = {
    { tval = 115, sval=57 },
    { tval = 32 },
    { tval = 33 },
    { tval = 40 },
    { tval = 45 },
    { tval = 6 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    convey_flags = { SEE_INVIS=true },
  },
}

-- Boots/Amulet/Ring
newEntity {
  define_as = 'RA_POWER_340',
  power = 14,
  max_uses = 1,
  min_player_level = 5,
  rarity = { 1, 13 },
  tsval_filter = {
    { tval = 30 },
    { tval = 40 },
    { tval = 45 },
    forbid = { convey_flags = { FLY=true } },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    convey_flags = { FEATHER=true },
  },
}

-- Mage Staff/Boots/Cloak
newEntity {
  define_as = 'RA_POWER_341',
  power = 80,
  max_uses = 1,
  min_player_level = 40,
  rarity = { 1, 90 },
  tsval_filter = {
    { tval = 35 },
    { tval = 30 },
    { tval = 6 },
    forbid = { convey_flags = { FEATHER=true } },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    convey_flags = { FLY=true },
  },
}

-- Helm/Crown/Demonhorn
newEntity {
  define_as = 'RA_POWER_342',
  power = 30,
  max_uses = 1,
  min_player_level = 20,
  rarity = { 1, 30 },
  tsval_filter = {
    { tval = 115, sval=57 },
    { tval = 32 },
    { tval = 33 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    worn_talents = { ActorTalents.T_OBJ_MIND_BLAST },
  },
}

-- Helm/Crown/Demonhorn
newEntity {
  define_as = 'RA_POWER_343',
  power = 30,
  max_uses = 1,
  min_player_level = 20,
  rarity = { 1, 30 },
  tsval_filter = {
    { tval = 115, sval=57 },
    { tval = 32 },
    { tval = 33 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    worn_talents = { ActorTalents.T_OBJ_TELEKINESIS },
  },
}

-- Gloves
newEntity {
  define_as = 'RA_POWER_344',
  power = 35,
  max_uses = 1,
  min_player_level = 25,
  rarity = { 1, 40 },
  tsval_filter = {
    { tval = 31 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    worn_talents = { ActorTalents.T_OBJ_MIDAS_TOUCH },
  },
}

-- Gloves
newEntity {
  define_as = 'RA_POWER_345',
  power = 15,
  max_uses = 1,
  min_player_level = 0,
  rarity = { 0, 0 },
  tsval_filter = {
    { tval = 31 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    worn_talents = { ActorTalents.T_OBJ_COLD_TOUCH },
  },
}

-- Cloak
newEntity {
  define_as = 'RA_POWER_346',
  power = 30,
  max_uses = 1,
  min_player_level = 20,
  rarity = { 1, 27 },
  tsval_filter = {
    { tval = 35 },
    forbid = { convey_resist_dam = { [DamageType.NEXUS]=true } },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    worn_talents = { ActorTalents.T_GNOME_BLINK },
  },
}

-- Mage Staff/Armor/Demon armor
newEntity {
  define_as = 'RA_POWER_347',
  power = 15,
  max_uses = 4,
  min_player_level = 1,
  rarity = { 1, 5 },
  tsval_filter = {
    { tval = 30 },
    { tval = 31 },
    { tval = 32 },
    { tval = 33 },
    { tval = 34 },
    { tval = 115, sval={56,57} },
    { tval = 35 },
    { tval = 36 },
    { tval = 37 },
    { tval = 38 },
    { tval = 6 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 5,
    max_pval = 0,
  },
  flags = {
  },
}

-- Gloves
newEntity {
  define_as = 'RA_POWER_348',
  power = 40,
  max_uses = 1,
  min_player_level = 1,
  rarity = { 1, 45 },
  tsval_filter = {
    { tval = 31 },
  },
  vals = {
    max_to_h = 10,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
  },
}

-- Gloves
newEntity {
  define_as = 'RA_POWER_349',
  power = 35,
  max_uses = 1,
  min_player_level = 1,
  rarity = { 1, 40 },
  tsval_filter = {
    { tval = 31 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 10,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
  },
}

-- Metal Helm
newEntity {
  define_as = 'RA_POWER_350',
  power = 50,
  max_uses = 1,
  min_player_level = 20,
  rarity = { 1, 25 },
  tsval_filter = {
    { tval = 32, sval={5,10} },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    convey_flags = { WATER_BREATH=true },
  },
}

-- Amulet/Ring
newEntity {
  define_as = 'RA_POWER_442',
  power = 15,
  max_uses = 1,
  min_player_level = 5,
  rarity = { 1, 17 },
  tsval_filter = {
    { tval = 40 },
    { tval = 45 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 5,
  },
  flags = {
    stat_flags = { STR=true },
  },
}

-- Amulet/Ring
newEntity {
  define_as = 'RA_POWER_443',
  power = 11,
  max_uses = 1,
  min_player_level = 3,
  rarity = { 1, 12 },
  tsval_filter = {
    { tval = 40 },
    { tval = 45 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 5,
  },
  flags = {
    stat_flags = { DEX=true },
  },
}

-- Amulet/Ring
newEntity {
  define_as = 'RA_POWER_444',
  power = 13,
  max_uses = 1,
  min_player_level = 5,
  rarity = { 1, 15 },
  tsval_filter = {
    { tval = 40 },
    { tval = 45 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 5,
  },
  flags = {
    stat_flags = { WIS=true },
  },
}

-- Amulet/Ring
newEntity {
  define_as = 'RA_POWER_445',
  power = 13,
  max_uses = 1,
  min_player_level = 1,
  rarity = { 1, 15 },
  tsval_filter = {
    { tval = 40 },
    { tval = 45 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 5,
  },
  flags = {
    stat_flags = { INT=true },
  },
}

-- Amulet/Ring
newEntity {
  define_as = 'RA_POWER_446',
  power = 7,
  max_uses = 1,
  min_player_level = 1,
  rarity = { 1, 15 },
  tsval_filter = {
    { tval = 40 },
    { tval = 45 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 5,
  },
  flags = {
    stat_flags = { CHA=true },
  },
}

-- Amulet/Ring
newEntity {
  define_as = 'RA_POWER_447',
  power = 18,
  max_uses = 1,
  min_player_level = 7,
  rarity = { 1, 20 },
  tsval_filter = {
    { tval = 40 },
    { tval = 45 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 5,
  },
  flags = {
    stat_flags = { CON=true },
  },
}

-- Amulet/Ring
newEntity {
  define_as = 'RA_POWER_448',
  power = 15,
  max_uses = 1,
  min_player_level = 5,
  rarity = { 1, 15 },
  tsval_filter = {
    { tval = 40 },
    { tval = 45 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    convey_flags = { SUST_STR=true },
  },
}

-- Amulet/Ring
newEntity {
  define_as = 'RA_POWER_449',
  power = 20,
  max_uses = 1,
  min_player_level = 7,
  rarity = { 1, 20 },
  tsval_filter = {
    { tval = 40 },
    { tval = 45 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    convey_flags = { SUST_CON=true },
  },
}

-- Amulet/Ring
newEntity {
  define_as = 'RA_POWER_450',
  power = 7,
  max_uses = 1,
  min_player_level = 1,
  rarity = { 1, 15 },
  tsval_filter = {
    { tval = 40 },
    { tval = 45 },
  },
  vals = {
  },
  flags = {
    convey_flags = { SUST_CHA=true },
  },
}

-- Amulet/Ring
newEntity {
  define_as = 'RA_POWER_451',
  power = 11,
  max_uses = 1,
  min_player_level = 1,
  rarity = { 1, 11 },
  tsval_filter = {
    { tval = 40 },
    { tval = 45 },
  },
  vals = {
  },
  flags = {
    convey_flags = { SUST_DEX=true },
  },
}

-- Amulet/Ring
newEntity {
  define_as = 'RA_POWER_452',
  power = 13,
  max_uses = 1,
  min_player_level = 5,
  rarity = { 1, 13 },
  tsval_filter = {
    { tval = 40 },
    { tval = 45 },
  },
  vals = {
  },
  flags = {
    convey_flags = { SUST_INT=true },
  },
}

-- Amulet/Ring
newEntity {
  define_as = 'RA_POWER_453',
  power = 13,
  max_uses = 1,
  min_player_level = 5,
  rarity = { 1, 13 },
  tsval_filter = {
    { tval = 40 },
    { tval = 45 },
  },
  vals = {
  },
  flags = {
    convey_flags = { SUST_WIS=true },
  },
}

-- Ring
newEntity {
  define_as = 'RA_POWER_454',
  power = 40,
  max_uses = 1,
  min_player_level = 25,
  rarity = { 1, 55 },
  tsval_filter = {
    { tval = 45 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 5,
  },
  flags = {
    pval_flags = { invisibility=true },
  },
}

-- Ring
newEntity {
  define_as = 'RA_POWER_455',
  power = 70,
  max_uses = 1,
  min_player_level = 40,
  rarity = { 1, 90 },
  tsval_filter = {
    { tval = 45 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 5,
  },
  flags = {
    pval_flags = { speed=true },
  },
}

-- Amulet/Ring
newEntity {
  define_as = 'RA_POWER_456',
  power = 17,
  max_uses = 1,
  min_player_level = 5,
  rarity = { 1, 16 },
  tsval_filter = {
    { tval = 40 },
    { tval = 45 },
    forbid = { convey_flags = { REGENERATE=true } },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    convey_flags = { SLOW_DIGEST=true },
  },
}

-- Amulet/Ring
newEntity {
  define_as = 'RA_POWER_457',
  power = 20,
  max_uses = 1,
  min_player_level = 7,
  rarity = { 1, 19 },
  tsval_filter = {
    { tval = 40 },
    { tval = 45 },
    forbid = { convey_flags = { SLOW_DIGEST=true } },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    convey_flags = { REGENERATE=true },
  },
}

-- Cloak/Amulet/Ring
newEntity {
  define_as = 'RA_POWER_458',
  power = 15,
  max_uses = 1,
  min_player_level = 10,
  rarity = { 1, 16 },
  tsval_filter = {
    { tval = 40 },
    { tval = 45 },
    { tval = 35 },
    forbid = { convey_flags = { AGGRAVATE=true } },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 4,
  },
  flags = {
    pval_flags = { skill_stealth=true },
  },
}

-- Amulet/Ring
newEntity {
  define_as = 'RA_POWER_459',
  power = 7,
  max_uses = 1,
  min_player_level = 1,
  rarity = { 1, 12 },
  tsval_filter = {
    { tval = 40 },
    { tval = 45 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 6,
  },
  flags = {
    pval_flags = { skill_searching=true },
  },
}

-- Amulet/Ring
newEntity {
  define_as = 'RA_POWER_460',
  power = 10,
  max_uses = 1,
  min_player_level = 1,
  rarity = { 1, 12 },
  tsval_filter = {
    { tval = 40 },
    { tval = 45 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 4,
  },
  flags = {
    pval_flags = { infravision=true },
  },
}

-- Ring
newEntity {
  define_as = 'RA_POWER_461',
  power = 80,
  max_uses = 1,
  min_player_level = 40,
  rarity = { 1, 95 },
  tsval_filter = {
    { tval = 45 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 3,
  },
  flags = {
    pval_flags = { extra_blows=true },
  },
}

-- Ring
newEntity {
  define_as = 'RA_POWER_462',
  power = 70,
  max_uses = 1,
  min_player_level = 38,
  rarity = { 1, 75 },
  tsval_filter = {
    { tval = 45 },
    forbid = { convey_flags = { FEATHER=true } },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    convey_flags = { FLY=true },
  },
}

-- Ring
newEntity {
  define_as = 'RA_POWER_463',
  power = 80,
  max_uses = 1,
  min_player_level = 43,
  rarity = { 1, 85 },
  tsval_filter = {
    { tval = 45 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 5,
  },
  flags = {
    pval_flags = { extra_crit=true },
  },
}

-- Mage Staff/Light
newEntity {
  define_as = 'RA_POWER_501',
  power = 15,
  max_uses = 1,
  min_player_level = 5,
  rarity = { 1, 15 },
  tsval_filter = {
    { tval = 39 },
    { tval = 6 },
  },
  vals = {
  },
  flags = {
    lite = 1,
  },
}

-- Light
newEntity {
  define_as = 'RA_POWER_502',
  power = 20,
  max_uses = 1,
  min_player_level = 10,
  rarity = { 1, 25 },
  tsval_filter = {
    { tval = 39 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    lite = 2,
  },
}

-- Light
newEntity {
  define_as = 'RA_POWER_503',
  power = 30,
  max_uses = 1,
  min_player_level = 20,
  rarity = { 1, 35 },
  tsval_filter = {
    { tval = 39 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    lite = 3,
  },
}

-- Light
newEntity {
  define_as = 'RA_POWER_504',
  power = 15,
  max_uses = 1,
  min_player_level = 10,
  rarity = { 1, 15 },
  tsval_filter = {
    { tval = 39 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    convey_resist_dam = { [DamageType.LITE]=true },
  },
}

-- Light
newEntity {
  define_as = 'RA_POWER_505',
  power = 18,
  max_uses = 1,
  min_player_level = 11,
  rarity = { 1, 17 },
  tsval_filter = {
    { tval = 39 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    convey_resist_dam = { [DamageType.DARK]=true },
  },
}

-- Light
newEntity {
  define_as = 'RA_POWER_506',
  power = 20,
  max_uses = 1,
  min_player_level = 15,
  rarity = { 1, 22 },
  tsval_filter = {
    { tval = 39 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    convey_flags = { SEE_INVIS=true },
  },
}

-- Light
newEntity {
  define_as = 'RA_POWER_507',
  power = 12,
  max_uses = 1,
  min_player_level = 1,
  rarity = { 1, 10 },
  tsval_filter = {
    { tval = 39 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 4,
  },
  flags = {
    pval_flags = { skill_searching=true },
  },
}

-- Light
newEntity {
  define_as = 'RA_POWER_508',
  power = 12,
  max_uses = 1,
  min_player_level = 1,
  rarity = { 1, 15 },
  tsval_filter = {
    { tval = 39 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 4,
  },
  flags = {
    pval_flags = { infravision=true },
  },
}

-- Light
newEntity {
  define_as = 'RA_POWER_509',
  power = 21,
  max_uses = 1,
  min_player_level = 5,
  rarity = { 1, 20 },
  tsval_filter = {
    { tval = 39 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    worn_talents = { ActorTalents.T_OBJ_ILLUMINATE },
  },
}

-- Light
newEntity {
  define_as = 'RA_POWER_510',
  power = 35,
  max_uses = 1,
  min_player_level = 20,
  rarity = { 1, 27 },
  tsval_filter = {
    { tval = 39 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    worn_talents = { ActorTalents.T_OBJ_MAGIC_MAP },
  },
}

-- Light
newEntity {
  define_as = 'RA_POWER_511',
  power = 30,
  max_uses = 1,
  min_player_level = 20,
  rarity = { 1, 24 },
  tsval_filter = {
    { tval = 39 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    worn_talents = { ActorTalents.T_PRIEST_DET_CURSE },
  },
}

-- Light
newEntity {
  define_as = 'RA_POWER_512',
  power = 25,
  max_uses = 1,
  min_player_level = 20,
  rarity = { 1, 17 },
  tsval_filter = {
    { tval = 39 },
  },
  vals = {
    max_to_h = 0,
    max_to_d = 0,
    max_to_a = 0,
    max_pval = 0,
  },
  flags = {
    worn_talents = { ActorTalents.T_OBJ_DAZZLE },
  },
}
