-- $Id: deep-thoughts.lua 3747 2019-10-30 02:27:29Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright © 2019 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbunnies.org

newLore {
  id = 'deep-thoughts-1',
  name = [[Mordekainen's Magical Compendum of Deep Thought]],
  category = 'deep thoughts',
  lore = [[If they ever come up with a swashbuckling School, I think one of the courses should be Laughing, Then Jumping Off Something.

It takes a big man to cry, but it takes a bigger man to laugh at that man. 

The people in the village were real poor, so none of the children had any toys. But this one little boy had gotten an old enema bag and filled it with rocks, and he would go around and whap the other children across the face with it. Man, I think my heart almost broke. Later the boy came up and offered to give me the toy. This was too much! I reached out my hand, but then he ran away. I chased him down and took the enema bag. He cried a little, but that's the way of these people.

Dad always thought laughter was the best medicine, which I guess is why several of us died of tuberculosis.

Maybe in order to understand mankind, we have to look at the word itself: "Mankind". Basically, it's made up of two separate words - "mank" and "ind". What do these words mean? It's a mystery, and that's why so is mankind.

Ambition is like a frog sitting on a Venus Flytrap. The flytrap can bite and bite, but it won't bother the frog because it only has little tiny plant teeth. But some other stuff could happen and it could be like ambition.

I'd rather be rich than stupid. 

We tend to scoff at the beliefs of the ancients. But we can't scoff at them personally, to their faces, and this is what annoys me.

Probably the earliest flyswatters were nothing more than some sort of striking surface attached to the end of a long stick.

As the evening sky faded from a salmon color to a sort of flint gray, I thought back to the salmon I caught that morning, and how gray he was, and how I named him Flint.

When I was a kid my favorite relative was Uncle Caveman. After school we'd all go play in his cave, and every once in a while he would eat one of us. It wasn't until later that I found out that Uncle Caveman was a bear.

Why do there have to be rules for everything? It's gotten to the point that rules dominate just about every aspect of our lives.  In fact, it might be said that rules have become the foot-long sticks of mankind.

If I had a mine shaft, I don't think I would just abandon it. There's got to be a better way.

If I had a nickname, I think I would want it to be "Prince of Weasels", because then I could go up and bite people and they would turn around and go, "What the-?" And then they would recognize me, and go, "Oh, it's you, the Prince of Weasels."

It's amazing to me that one of the world's most feared diseases would be carried by one of the world's smallest animals: the real tiny dog. 

Sometimes life seems like a dream, especially when I look down and see that I forgot to put on my pants.

I bet it was pretty hard to pick up girls if you had the Black Death. 

It's fascinating to think that all around us there's an invisible world we can't even see. I'm speaking, of course, of the World of the Invisible Scary Skeletons.

Whenever I hear the sparrow chirping, watch the woodpecker chirp, catch a chirping trout, or listen to the sad howl of the chirp rat, I think: Oh boy! I'm going insane again.

He was the kind of man who was not ashamed to show affection. I guess that's what I hated about him.

The next time I have meat and mashed potatoes, I think I'll put a very large blob of potatoes on my plate with just a little piece of meat. And if someone asks me why I didn't get more meat, I'll just say, "Oh, you mean this?" and pull out a big piece of meat from inside the blob of potatoes, where I've hidden it. Good magic trick, huh?]],
}

newLore {
  id = 'deep-thoughts-2',
  name = [[Mordekainen's Magical Compendum of Deep Thought, Vol. 2]],
  category = 'deep thoughts',
  lore = [[It makes me mad when people say I turned and ran like a scared rabbit. Maybe it was like an angry rabbit, who was running to go fight in another fight, away from the first fight.

Perhaps, if I am very lucky, the feeble efforts of my lifetime will someday be noticed, and maybe, in a small way, they will be acknowledged as the greatest works of genius ever created by Man.

Sometimes I think I'd be better off dead. No, wait, not me, you. 

If you ever catch on fire, try to avoid looking in a mirror, because I bet that will really throw you into a panic.

Children need encouragement. If a kid gets an answer right, tell him it was a lucky guess. That way he develops a good, lucky feeling.

The crows seemed to be calling his name, thought Caw. 

If your friend is already dead, and being eaten by vultures, I think it's okay to feed some bits of your friend to one of the vultures, to teach him to do some tricks. But only if you're serious about adopting the vulture.

Broken promises don't upset me. I just think, why did they believe me?

One thing vampire children have to be taught early on is, don't run with a wooden stake.

Consider the daffodil. And while you're doing that, I'll be over here, looking through your stuff.

I think my new thing will be to try to be a real happy guy. I'll just walk around being real happy until some jerk says something stupid to me.

I hope some animal never bores a hole in my head and lays its eggs in my brain, because later you might think you're having a good idea but it's just eggs hatching.

Whenever you read a good book, it's like the author is right there, in the room talking to you, which is why I don't like to read good books.

What is it about a beautiful sunny afternoon, with the birds singing and the wind rustling through the leaves, that makes you want to get drunk?

Instead of a trap door, what about a trap window? The guy looks out it, and if he leans too far, he falls out. Wait. I guess that's like a regular window.

If I ever get real rich, I hope I'm not real mean to poor people, like I am now.

Most of the time it was probably real bad being stuck down in a dungeon. But some days, when there was a bad storm outside, you'd look out your little window and think, "Boy, I'm glad I'm not out in that."

Sometimes you have to be careful when selecting a new name for yourself. For instance, let's say you have chosen the nickname "Fly Head." Normally you would think that "fly Head" would mean a person who has beautiful swept-back features, as if flying through the air. But think again. Couldn't it also mean "having a head like a fly"? I'm afraid some people might actually think that.

I hope that after I die, people will say of me: "That guy sure owed me a lot of money."

The tired and thirsty prospector threw himself down at the edge of the watering hole and started to drink. But then he looked around and saw skulls and bones everywhere. "Uh-oh," he thought. "This watering hole is reserved for skeletons."

Anytime I see something screech across a room and latch onto someone's neck, and the guy screams and tries to get it off, I have to laugh, because what is that thing.

I hope life isn't a big joke, because I don't get it.]],
}

newLore {
  id = 'deep-thoughts-3',
  name = [[Mordekainen's Magical Compendum of Deep Thought, Vol. 3]],
  category = 'deep thoughts',
  lore = [[I think my new thing will be to try to be a real happy guy. I'll just walk around being real happy until some jerk says something stupid to me.  

When you're going up the stairs and you take a step, kick the other leg up high behind you to keep people from following too close.

I wonder if angels believe in ghosts. 

I don't understand people who say life is a mystery, because what is it they want to know?

I think people tend to forget that trees are living creatures. They're sort of like dogs. Huge, quiet, motionless dogs, with bark instead of fur.

Sometimes I think the world has gone completely mad. And then I think, "Aw, who cares?" And then I think, "Hey, what's for supper?"

If a kid asks where rain comes from, I think a cute thing to tell him is "God is crying". And if he asks why God is crying, another cute thing to tell him is "Probably because of something you did".

Contrary to popular belief, the most dangerous animal is not the lion or tiger or even the elephant. The most dangerous animal is a shark riding on an elephant, just trampling and eating everything they see.

As I bit into the nectarine, it had a crisp juiciness about it that was very pleasurable- until I realized it wasn't a nectarine at all, but a HUMAN HEAD!!

Anytime I see something screech across a room and latch onto someone's neck, and the guy screams and tries to get it off, I have to laugh, because what #{italic}#is#{normal}# that thing?!

If you define cowardice as running away at the first sign of danger, screaming and tripping and begging for mercy, then yes, Mister Brave Man, I guess I am a coward.

Blow ye winds, like the trumpet blows, but without that noise. 

The face of a child can say it all, especially the mouth part of the face. 

When I heard that trees grow a new "ring" for each year they live, I thought, we humans are kind of like that; we grow a new layer of skin each year; and after many years we are thick and unwieldy from all our skin layers.

It's too bad that whole families have been torn apart by something as simple as wild dogs.

Even though he was an enemy of mine, I had to admit that what he had accomplished was a brilliant piece of strategy. First, he punched me, then he kicked me, then he punched me again.

To me, truth is not some vague, foggy notion. Truth is real. And, at the same unreal. Fiction and fact and everything in-between, plus some things I can't remember, all rolled into one big "thing". This is truth, to me.

If you're ever stuck in some thick undergrowth, in your underwear, don't stop and start thinking of what other words have "under" in them, because that's probably the first sign of jungle madness.

Sometimes the beauty of the world is so overwhelming, I just want to throw back my head and gargle. Just gargle and gargle, and I don't care who hears me, because I am beautiful.

We used to laugh at Grandpa when he'd head off to go fishing. But we wouldn't be laughing when he'd come back with some whore he picked up in town.

I think in one of my previous lives I was a mighty king, because I like people that do what I say.

A man doesn't automatically get my respect. He has to get down in the dirt and beg for it.

People think it would be fun to be a bird because you could fly. But they forget the negative side, which is the preening.

When I think back on all the blessings I have been given in my life, I can't think of a single one, unless you count that rattlesnake that granted me all those wishes.]],
}
