-- $Id: misc.lua 3747 2019-10-30 02:27:29Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright © 2019 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbunnies.org

newLore {
  id = 'one-ring',
  name = [[The One Ring]],
  category = 'misc',
  lore = [[Ash nazg durbatuluk,
ash nazg gimbatul,
ash nazg thrakatuluk
agh burzum-ishi krimpatul.

-------------------------------

One Ring to rule them all,
One Ring to find them,
One Ring to bring them all,
And in the darkness bind them.]],
}

newLore {
  id = 'adventurers-guide',
  name = [[Adventurer's Guide to Middle-earth]],
  category = 'misc',
  lore = [[
#C_R##{bold}#Adventurer's guide to the Middle-earth#{italic}##LAST#

#C_G##{italic}#Introduction:#{normal}##LAST#

Middle-earth is vast and mysterious, full of dangers but also full of rewards for the brave.

New adventurers should know that pressing '<' and '>' can switch the wilderness view between a normal scale and a larger map. This map makes travelling safer and faster, but you can't enter wilderness dungeons from it.

#C_G##{italic}#The Towns#{normal}##LAST#

You start in a small village named Bree in the western part of the Middle-earth.  Here you will also find the entrance to the Barrow-Downs, a fairly safe and simple dungeon.

When the Barrow-Downs become too easy for you, and Bree too small, you might consider going to Lothlorien, the land of Galadriel. #C_B#Note that you should take a lot of food with you, for it is a long journey.#LAST# You'll have to head south-east following the Moria mountain's chain, then walk around the forest of Fangorn to head north to finally find your destination. The Forest of Mirkwood (another dungeon) can be found to the north east of Lothlorien.

If you survive this dangerous dungeon, you should head south, following the Anduin river. There, near the dark land of Mordor, you will find the great town of Gondor, Minas Anor. From there you can want to pay a "visit" to the land of Mordor, which is east of Minas Anor.

After Mordor you should finally travel to Gondolin, the hidden town of the Noldor. First go back to Bree, and then from there walk northeast and you will find it. From this city, you will be able to attack Angband, the dungeon of Morgoth, which is north west west of Gondolin.


#C_G##{italic}#Other strange and frightening places#{normal}##LAST#

The Old Forest to the west is the last remains of the big forests of the first age, but it has been corrupted. It is said it is guarded by a living tree.

You may also wish to investigate the Orc Caves north of Bree; they are another place suitable for those finished with the Barrow-Downs. They also are rumored to hold great mysteries.

The Maze: To the south of Bree there is a magical Maze. Many adventurers that ventured there never came back... It is rumored that a Minotaur is lurking down there, guarding an ancient and powerful artifact.  Bring along digging equipment and some means to recall.

Durin's Bane, the Balrog of Moria, guards the Mines of Moria, to the south east of Bree.

During the Second Age of the world there was a great island called Numenor. The people who dwelt there were wise and powerful, but as time passed their last kings fell under the power of Sauron. Under Sauron's orders, they tried to attack Valinor, the blessed land, and for this Numenor was destroyed, swallowed by the sea. The ruins are still accessible, far out to sea to the west of Bree.

Many other strange places wait to be explored by the valiant adventurer, but their locations are secret. You will have to find them yourself!


#C_G##{italic}#Equipment issues#{normal}##LAST#

Beware adventurer! If you plan to go down into the dungeons be prepared. Some items you will need badly.

First think of some light, maybe a lantern is better than the torches.

Second things to mention are your combat equipment. Sometimes the weapon and armor you got from your mentor are not enough for the nasties inside the dungeons.

And third and most important, #C_B#always carry a shovel or other digger with you#LAST#, because there is much rubble in the dungeons, which you cannot clear with your hands.]],
}
