-- $Id: bree-destroyed.lua 3140 2017-10-16 00:05:49Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright © 2017 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbunnies.org

-- "Destroyed" Bree map

defineTile('^', 'MOUNTAIN_CHAIN', nil, nil, nil, { remember=true, lite=true })
defineTile('.', 'FLOOR', nil, nil, nil, { remember=true, lite=true })
defineTile('T', 'TREE', nil, nil, nil, { remember=true, lite=true })
defineTile('W', 'DEEP_WATER', nil, nil, nil, { remember=true, lite=true })
defineTile('V', 'SHALLOW_WATER', nil, nil, nil, { remember=true, lite=true })
defineTile('C', 'DARK_PIT', nil, nil, nil, { remember=true, lite=true })
defineTile(',', 'DIRT', nil, nil, nil, { remember=true, lite=true })
defineTile('-', 'GRASS', nil, nil, nil, { remember=true, lite=true })
defineTile('#', 'PERMA_WALL', nil, nil, nil, { remember=true, lite=true })
defineTile('s', 'BRICK_ROOF', nil, nil, nil, { remember=true, lite=true })
defineTile('S', 'BRICK_ROOF_TOP', nil, nil, nil, { remember=true, lite=true })
defineTile('t', 'BRICK_ROOF_CHIMNEY', nil, nil, nil, { remember=true, lite=true })
defineTile('X', 'GRASS_ROOF', nil, nil, nil, { remember=true, lite=true })
defineTile('U', 'GRASS_ROOF_TOP', nil, nil, nil, { remember=true, lite=true })
defineTile('O', 'COBBLESTONE_ROAD', nil, nil, nil, { remember=true, lite=true })
defineTile('D', 'DEAD_TREE', nil, nil, nil, { remember=true, lite=true })
defineTile('A', 'ASH', nil, nil, nil, { remember=true, lite=true })
defineTile('F', 'A_BLAZING_FIRE', nil, nil, nil, { remember=true, lite=true })
defineTile('R', 'RUBBLE', nil, nil, nil, { remember=true, lite=true })

-- "Transparent" areas, passing through the previously generated tile from
-- PlasmaWilderness.
--defineTile(' ')

-- Barrow Downs entrance survives destruction.
defineTile('{', 'ENTER_BARROW_DOWNS', nil, nil, nil, { remember=true, lite=true }, { type='zone-change', subtype='barrow-downs'})

startx=150
starty=31

-- '@' tiles, also being undefined, will also pass through PlasmaWilderness
-- tiles; we use them for the border instead of ' ' purely for cosmetic
-- reasons, as spaces would be hard to see on the borders.
return [[
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDFDDDDDDDDDDDDDDD VVDDDDDDDDDDDDDD--DDDDDDDDFFDDDDDDDDDD   DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD@
@     DDD    DDDDDDDDDDDDDDDDD DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD DDDDDDDD   DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD      VDDDDDDDDDDDDDD--DDDDDDDDDDDDDDDDD D DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD @
@DDDDDDDDDDDDDDDDD  D    D      DDDDDDDDDDDDDDDDDDDDDDDDDD   DD      D  D D DDDDDDDD  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDVVDDDDDDD     --DDDDDDDFFFFDDDDD  DDDDDDDDDDDDDD      DDD  DD DDDDDDDDDDDDDDDD @
@DDDDDDD  D DDDDDDDDDDDDDDDDD DDDDDDDD    DD    D   AADD D   D   DDDD D  D D D    D D   DDAADDDDFDDDDDDDDDDDDDDDDDDDDDDDVVFFFDDDDD   --DDDDDAAADDDDDD FDDDDFDDDDFFFDDDDDDDDDDDDDDDDDDDD   DDDDDDDDDDD@
@    DDDD     DDD    DD      DDDDDDDDDDDDDDDDD  D    DD DDDDDDDDD   D  D     DDDDDDDDDDDDDDDDDDDDDDDDDAAADDDDDDDDDDDD      VVDDDDDDD --DDDDDDDDDDDDDDDDDDDDDDAAA  DDDDDDDDDDDDDDAAADDDDDDDFDDDDDDD   @
@OOOODDDDDDD D D  DDDDDDDD D DDDDDDDDD D      DD     D     DDDDDDDDDDDDD    D  DDDDDDDDDDDDDDDAADDDDDDD     DDDDDDDDDDDDDDD VDDDDDDD  --DDDDDDDDD    DDDDDDDDDDDDDDDDDDDDDDDDDDFFFADDDDDDDDDDDD      @
@   OOOODDDDDDD  DDDDDDDDDDDDDDDDDDDDDDD AA   DDDDDDDDD ADD     DDDDDDDDDDDDD  D DDDDDAAAAAADDDDDDDDDDDDAAADDDDDDDDDDDDDDD   VDDDDDDD --DDDDDDDDDDDD   DDDDDAADDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDFF     @
@---   OOOOODDDDDDDDDDDDDDDDD    DDDDDDDD      D   DD     D   AAADDAADDDDDDDDD D  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDFFDDDD    VVV      ---DDDDDDDDDDDD  DDDDDDDDD      VVDDDDDADDDDDDDDDDDDDDDDD     @
@------    OOOOOO     DD    D    D    DDDDDDDDDD  DDD     DDDDDDDDDDDAAAA F    D DDDDDDDDDDDDDDDDDDDDAAADDDDDDDDDDDDDDDDDDDDDDDD V      --DDDDDDDDDDDDD    DDDDAD     VVVVDDDDDDDDDFF DDDDDDDDDDD    @
@----------     OO     DDD ADAAADDD  DDDDDDDDDDDDDDDDD     D D  DDDDAAADDDDDDDDDDDDD D ADDDDDDD  FDDDDDDDDDDDDDDFFFDDDDDDDDDDDDD V      --     DDDDDDDDDDD    DD     VVWWVVVDDDDDAAA DDDDDDDDDDDDDD  @
@--------------  OO   DDDDDDDDDDDDDDDDD    A  D     D D  DDDDDAAADDDDDDDDDDDDDD   DDD  D  DDDDDDDDDDDDDDDDDDDDDDAFFADDAADDDDDDDDDDVVV    --DDDDDDDDAAAADDDDDD  DDD VVVWWWWWVVVDDDDDDDDDDDDDDDDDDDDDDD@
@------D--------  OOODDDDDDD    D  DDDDAAADDD    AAD DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD DDDDDDDDDDDDDDDDDDDD     FDDDDDDDDDDDDDDDD VVV   --DDDDDDDDDDDDDDDD      VVWWWWWWWWWVVDDDDDDDDDDDDDDDD      @
@-----------------  OO   A   DDDDDDDDDDDDDDDDD    AAA D DDDD   DD  DDDDDDDDDDDDDDDDDDDDD DDDDDD DDDDDDDDDDDDDDDDADDDDDDDDDDDDDDDDDD   VVVVVVVDDDDDDDDDDDDDDDD    VVWWWWWWWWWWWVDDDDDD  DDDDDDDD      @
@------------------- OOOOO    DD    DDDDDDDDDD      DDDDDDDD      D  DDDDDDDDDDD DDD DDD DD  DDD DDDDD   DDDDDDDDDDDDDDDDDFDDDDDDDDDDDDDDDD--VVVV   VVVVVDDDDDDD VVWWWWWWWWWWWVVDDDDDDDDD  DDDDD     @
@##------------------    OOA      D AA   DDD DDDDDDDDD   DDDDDDDDDDDDDDDDD   DDDD  DDD ,,,,,,,,,,,,,,,AA,DDDDDDDDDDDDDDDDDDDDDFFDDDDDDDDD   --  VVVVV   VV    VVVVVVVWWWWWWWVVVDDDDDDD     DDDDDDDD  @
@CC####------------------ OOODDDDDDD      DDD DDDDDDDDD  DD D  DDDD      DD    DDDD,,,,CCCCCCCCCCCCCCCCCC,,,,,,,A,DDDDDDDDDDDDDDDDDDDDDDD    --DDDDDDD   VVVVVV     VVVVWWVVVDDDDDDDDDDDDDDDDDDDDDDD @
@TTCCCC###----D----------,, OO   DDDDDDDDDDDDDDDFDDDDDDDDDDDDDDDDDDDDDDD    DD ,,,CCCCCCTTTDDTTTDD TTDDTCCCCCCCCCC,,,,DDDDDDDFDDDDDFFDDDDDDDD --DDDDDDDDDDDDDDDDDDDDDDDVVVVDDDDDDFFFAAADDDDFDDDDDD   @
@--TTTTCCC###---------,,,--  OO      F DDD  D     DDDDDDDD     DD D  DDD  DDDD,CCCCTTTTTD---R----------TT T TDDDTCCCCC,,,,,DDDDDDDDDDDDDD A  ^--DDDDDDDDDDD       DDDDDDDDDDDDDDDDDDDDDDDDDDDDDD     @
@------TTTCCC##-----,,------  ODDDDDDDDDDDDDDDD DDDDDDDDD   DDDDDDDD    DD ,,CCCTTDDD....RRR........D.----A-----TDDTTCCCCCC,,DDDDDDDDDDDDDD^^^ --DDDDDDDDDDDDDFFDD DDDDDDDDDD  DDDDDDDDDDDDDDDDDD    @
@---------TTTCC##,,,--------  OO  D   DDAAAADDDDDD   DDDDDDDDDD    D  DD  ,CCC TD....--ssss-sss-D.--A.......A..--R--TTDDDTCCC,,,DDDDDDD   ^^    --DDDAAAD  DDDDDDDD DDDDDDDDDDDDDDD   DDDDD FDDDDDDD @
@------------TC,,###-    ---   OODDDDDDD     DDDD    A      FDDDDDDD DD D,CCTTT.DDAF---S.SFRSRS#-.------DD-R,,.....------TDDDCCC,,DDDDDDD^^     --DDDDDDDDDDDDDDD     DDDDDDDDDDDDDDDDDDDFDDDDDDDD   @
@-------------,TTCCC###    --   OOO DDD   DDD     DDDD D     D   DD DD ,,CCTD...F,,,,A-ssss.ss-...-ssFs--sssss,---...A..---TDDDCCT,A    ^^DDDDDDD--DDDDDDDDDDDD DDDDD     DDDDDDDDDDDDFFDDDDDDDDDDD  @
@---------  ,,,--TTTCCC    --     OODDDDDDDDDDDADDDDDDDDDDDDDDDDDD D ,,CCCTT..-------,,#.,##,-#-.--sss.sRRRssss,--RAA--..R----TDCCTT,  ^^^DDDDDDD --DDDDDDDDDDDDFFFDDDDDD  DDDDDDDDDDDDDDDDDDDDDDDD  @
@--------  ,, ,,----TTTCCDDDDDDD   O   FDDDDDDDDD   DDDDDAADDDDD DDDDCCC  DF.A-sssSssRS,,,------.--S.SSSSFSSRR--,----DD.-....--FDCCTT,^^^DDDDDDD   --DDDDFAAADDDD   DDDDDD DDDDDDDDDDFDDDDDDDDDDDDDDD@
@------   ,,   ,DDDDDDDDDDDDDDDD   OO     DDDDDDDDDD DADDDDDDDD DDD,CCTDT.F.---ssRsSSS---,,,--A-.--ss,sRsFsssFs--,-R-.FF-R--..--TDCCT^^^^ ^^DDDDDDD --FDDDDDDDDDDDDDD   DD  DD FDDDDDDDDDDDDDDDD     @
@------- ,,   ,,DDDDDDDDAAADDDDD    OODDDDDDDDDDDDDADDDDDDDDDDD D ,CCTT...-----s,,-sss#-,,-,DD-R.--.ssssAsss,s#--,-...-------..-FFTC^^^   ^DDDDDDD  ----DDDDDDDDDDDDDDDDDDDD  DDDDDD   DDDDDDDD      @
@-------     {,DDDDDDDDDDDDDDDD  F   OODDDDDDD  DDDDDDDDDD     DDD,CTT..-DD,A,,####R###R,-R-,,--.--#####F.#R#A----..-DD---A---R.--D^^^^   ^DDDDDDD---  --DDDDDDDDDDDDDDDDDD         DDDDDD  DDDD     @
@-F-------DDDDDDD    DDDDDADDDDDDDDDDDOOO    D  DDDDDDDD   DDD D  ,CT..,,,,----,,,,,#,,------,A-R--#.-#.##.##R-...R,---.sss----.--T^^   ^DDDDDDD  --    --DDDDDDD   ADDDDDDDDDDDDDDDDDDDDDDDFFFDDDDDD@
@----------DDDDDDDDDDDDDDDDDDDDDDD      OO      DDDDDDDD      DDD,CCT.,ssRsss#----,R---DD---#-,FF-----.----#....-,--,,sStSSS--R.-D^^^   ^DDDDDDD --      -----DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD@
@-------------DDDDDDD      ADDDDDDD  F   OODDDDDDDDDDDDDDDD   D ,CCTT.-StS,RS----,-----RsRsA,--..-FA-----....--,,,R,,-.s.sss#--.-D^^^      ^      --DDDDDDD  --DDDDDDD      ,,DDDDDDDDDD   DDDD      @
@----------FDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDOOOOO      DD      D  ,CTT-.--sFs,ss#-R,-----SRSSSS--.------R-..FF,,,-sssss-,##FF#---.-T^^    ^DDDDDDD  --DDDDFFD   -----DDDDDDD ,,DDDDDDDDDDDDDDDDDDDDDDD @
@--------DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD     OO    D DD D   DD,CCT-..-#####,#---AA---RsssRs,-...R...A.R--RXXX,-Rss---,------..F-^^^  ^ ^^  ^    ---DDDDDDD      D---D   ,,,  ADDDDDDDDDDDDDDDD      @
@- ----DDDDDDD      FDAADDDDDDDDDDDDD FDDDDDDD OOOOOOOOR DD RD ,C  OOOO--OOOOO----,----######-.---.,----,-UUUUs-SSSR--,--A--..---^^   ^   ^ A   ---DDDDDAADDDDDDDDD -----,DDDDDDD      OOOOOOOOOOOOOO@
@-  ----DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDOOOOOOOFF,CT-OssOOOO---OOOOOOOOO--OOOO--.-D-.-sRs--,XXXX,-Fsss-R-,---RR-FD^^DDDDDDDDDDDDDD--DDDDDDDAAADDDDDD      --DDDDDDD    OOADDDDDDD      @
@-  -----DDDDDDDDDDDDAADD     FDDDDD  DDDDDDDDDDDDDDDD      OOOOOOOOSt.---------XXXR-OOOO--OOOO---.SStS--,####,--sRs-F-,DD-.--F^^     ^  ^      --DDDDDDDDDDAAADDDDDDDDDD---      OOOO ADDDDDDD      @
@-     ---   -----DDDDDDAAADDDDDDDDDDDDDDDDDDDDDDDDDDDDDD    ,,CT--.ss.-RsAsR---RXXs,---------OOOO.-sRs---,,,,,-###.--,---..-T^^   ^ ^DDDDDDD   --DDDDDDDADDDDDDDDDDDDDDDD ---   OOADDDDDDDDDDDDDDDD @
@    ---D     ----DDDDDDDDDDDDDDDDDDDDDDD      F    FDDDDDDD ,,CT--.s#.-SSt,S-AA##A#,---A-R------OO-#R#-ss,,ss-,,,---,---D.--DA^   ^DDDDDDD    -,-DDDDDDDDDDDDDDDDDDDDDDD    OOOOODDDDAAADDDDDDDDD   @
@  -------      ----     ADDDDDDDDDDDDDDDDDDD  DDDDDDDDDDD   ,,CTT-..RR-FsssR--,,,,,,---------DDA-OO-,--SSSRSt-ss-,-RR--...-T^^  ^ ^DDDDDDD    -,DDDDDDD   FDDDDDDDDDDDDDDOOOODDDDDDDDDDDDAD  DDDDDDD@
@    -------   ------DDDDDDDDD   DD DDDDDDDDDDD   DDDDDDDDDD ,,CCTD---.R#,#R,-,sss,,S-S,SSSSS--R---OO,--s-ss----S--,.....---^^ ^^     ^^^     -,DDDDDDDDDDDDDDDD   OOOOOOOODDDDDDDDDDDDD DDDDDDDDD   @
@   -----DDDDDDD -----DDDDDDDDDDDDDDDD  FDDDDDDDDDDDDDDDD     ,,CCT----..,,,,,-StRSS,-s,s,sRss--FF--OOO-#,##-R-ss....-FF--T^^DDDDDDD ^^      -,-DDDDDDDDDDDDDD OOOOODDDDDDDDDDDDDDDDDDD  DDDDDDDDDDD @
@      ----  --------DDDDDDDDDDDDDDDDDDDDDDAADDDDDDDD   A     ,,CCTD--DD   R--RRsssR,-##,##,#F--------OO,.,,.,-##.----DDDT^^     ^  ^^DDDDDDD-,DDDDDDD     OOOOODDDDDDD    DDDDD    ADDDDDDDDDFFFDDDD@
@     ---------------DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD  D      ,,,CCTTTT--..---,##,###,--,,,--AA-----...OOOOOOOOOOOTTDDDCC^^^   ^^  ^^DDDDDDD ,-DDDDDDD   OOODDDDDDDDDDDDDDDDDDDDDDDAADDDDDDDDDDDDDD  @
@DDDDDDD --------DDDDDDDD    DDDDDDDDDDDDDDAADDDDDDDDDDDDDDDDDDA,,CCCC  --.DD.....AA,-,FF--,--FF..A..--A----TDDTTOCCCCC,,^^^^^^^^^F^DDDDDDD -.-      OOOOODDDDDD  DDDDDDDDDDDDDDDDAAADDDDDDDDDDDD    @
@      ----------DDDDDDDDDDDDDD F     ADDDDDAAADDDDDDDDDDDDDDD ,, ,,CCCTT-------D--.....R....A.-------TTTDDTTCCCCO,,,,,     ^^^^^^^DDDDDDD  -.-      ODDDDDDDDDDDDDDDDDDAADD    DDDDDDDDDDDDDDDDDDDD @
@DDDDDDD -----D-DDDDDDDDDDDDDDDDDDDDDDDDDDDAADDDDDDDDDDDDDDDDD ,,   ,,CCTTT TTDTTDD-D--...------DTTTDDDCCCCCC,,,,OOOADDDDDDDDDDDDDDDD      -.-    OOOODDDDDDDDDDDDD  DDAAADDDDDDDDD    DDDDDD  D     @
@DDDDDDD   ----DDDDDDDDDDDDDDDDAADDDDDDDDDDDDDAAA    FDDDDDDD  ,,,    ,CCCCCCCCCCTTDDT--FF-TTTTDTCCCCCC,,,,,,      OOODDDDDDDDDDDDDDDD    OOOOOOOOODDDDDDDD  DDDDDDDDDDDDDDDDAADDDDDDDDDDDDDDDDDDDD  @
@      ^^   ----DDDDDDDDDDDDDDDDDDDDDDDDDDDADDDDDDDDDDDDDDDDDDD ,,     ,A,,,,,,,,CCCCCTTTDDTCCCCC,,,,,,DDDDDDDDDDDDDDOODDDDDDD DDDDDDDDDOOO--DDDDDDDDDDDDDDDDDDDDDDDDDDDDADDDDDD DDDDD   DAADDDDDDDD @
@    ^^^^^DDDDDDDDDDDDDDDD  DDDDDDDDDDDD DDDDDDDDDDDDDDDDD      ,,,DDDDDDDDDDDDDD,,,,,CCCCCC,,,,,   ADDDDDDD     D    OOOODDDDDDD      OOO--DDDDDDDAAADDDDDDDDDD       DDDAADDDD   DDDDDDDDDDDD      @
@  ^^^^^^^^^DDDDDDDDDDAAAADDDDDDDDDDDAD DDDAAADDDDDDDDDDDDDD     ,,DDDDDDDDDDDDDDDD   ,,,,,,DDDDDDDDDDDDDDDDDDDDDDD      OOOOOOO     OOO---DDDDDDDDDDDDDDDD     ADDDDDDDDDDDDDD     DDDDDDDDDDDDD    @
@  ^^^^^^^^^DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD     ,,DDDDDDD      DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDOOOOOOO----DDDDDFFF     DDDDDDDDDDDDDDD DDDDDDDDDDDDDDDDDDDDDDDDDD    @
@ ^^^^^^^^^^^^^^^DDDDDDDDD   DDDDDDDDDDDDDDDDDDDD AA  FDDDDDDD   ,,,DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD   FDDDDDDDDDDDDDDDDDDDDDDD  ..------DDDDDDDDDDDDDDDDDDDDDDDDDDDD  DDD  DDDDDDDDDAAADDDDDDDD      @
@   ^^^^^^^^^^^^^^DDDDDDDDDDDDDDDD     DDDDDDDDDDD DDDDDDDDDDD    ,,,FDDDDDDDDDDDDDDDD  AA......DDDDDDDDDDDDDDDDDDDDDDD      ....-----DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDAAFFDDDDDD @
@   ^^^^^^^^^^^^^^^DDDDDDDDDDDDDDDDDDD   DDDDDDDDDDDD  DDDDDDDDDDDD,,,DDDDDDD   ...........    ............DDDDDDD....F.......-------,,,,DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD  DDDDDAADDD     @
@^^^^^^^^^^^^^^^^^DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD  ,,DDDDDDD .AADDDDDDDDDDDDDDDDDDDDDDD  .........--------AA----DDDDDDD,,,,,,,    ,,,,,,,,,DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDFFDDD  @
@    ^^^^^^^^^^^^^DDDDDDDDDDDDDDDDDDDDD  DDDDDDDD  DDDDDDDDDDDDDDD ,,      A  .DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDAAFFDDDDDDDDDDD ,,,,,,DDDDDDD,,,,,,,,,DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD @
@  ^^^^^^^^^^^^^^DDDDDDDDDDDDD   DDDDD  DD  DDDDDDDDDDDDDDDDDDDDD   ,,    AA...      ADDDDDDDDDDDDDDFDAAADDDDDDDDD    DDDDDDDDD    DDD  DDDDDDDDDDDDDDDDDDDDDDDDDDD,,,,,DDDDDDD ------    ---DDDDDDD @
@    ^^^^^^A^^^^^^^^DDDDDDD  DDDDDDDDDDDDDDDDDDDD   DDDDDDDDDDDDDDDDD,,     .DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDAADDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD   ,,,,,,,,-------   -----DDDDDDD@
@    ^^^^^^^^^^^^^^DDDDDDDDDDDDDDDDDDDDDDDDDAAADDDDDDDDDDDDDDDDDDDDD  ,    ..ADDDDDDDDDDDDDDFFDDDDDDDDDDDDDDDDDDDDDDDDDDAADADDDDDADDDDD  DDDD    DDDDDDDDDDDDDDDDDDDDDDDD     A----------------      @
@ ^^^^^^^^^^^^^^^^DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD DDDDDDDDDDDDDD    ,,  ..DDDDDDDDDDDDDDDDDDAADDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD    DDDAADDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD---------D--------DDDDDDD@
@   ^^^^^^^^^^^^^^^DDDDDDDDDDDDDDDDDDDDDDD  DDDDAAAD  DDDDDDDDDDDDD    , ..DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD    DDDDDDDADDDDDDDDDDDDFFFFDDDDDDDDDDDDDDDDDDDDDDDDD    -----------------DDDDDDD @
@ ^^^^^^^^^^^^^^^^DDDDDDDDDDDDDDDDDDAAAD  DDDDDDDDDDDDDDDDDDDDDDDD     ,,.DDDDDDDDDDDDDDDDDDD   FFFDDDDDD  DDDDAADDDDDDDDDDAAFFDDDDDDDDDDDDAAADDDDDDDDDDDDD  DDDDDDDDDDDDD  ---    ----   ----DDDDDDD@
@  ^^^^^^^^^^^^^DDDDDDDDDDDDDDDDDDDDDDDD     DDDDDDDDDDDDDDDDDDDDDDDDDD ,.DDDDDDDDDDDDFFDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD    DDDFFFDDDDDDDDDDDDDDDDDDDD   -      --     --DDDFFDD @
@  ^^^^^^^^^^^^^^DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD   DDDDDD .DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDAADDFFDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDAAADDDDDDDDDDDDDDDDDDDDDDDDDDAAADDD    @
@    ^^^^^^^^^^^^^^   ADDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD  .DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDAAAAADDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD    @
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@]]
