-- $Id: gondolin-destroyed.lua 3141 2017-10-17 00:29:08Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright © 2017 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbunnies.org

-- "Destroyed" Gondolin map

defineTile('^', 'MOUNTAIN_CHAIN', nil, nil, nil, { remember=true, lite=true })
defineTile('.', 'FLOOR', nil, nil, nil, { remember=true, lite=true })
defineTile('L', 'DEEP_LAVA', nil, nil, nil, { remember=true, lite=true })
defineTile('K', 'SHALLOW_LAVA', nil, nil, nil, { remember=true, lite=true })
defineTile('C', 'DARK_PIT', nil, nil, nil, { remember=true, lite=true })
defineTile('@', 'MUD', nil, nil, nil, { remember=true, lite=true })
defineTile('#', 'PERMA_WALL', nil, nil, nil, { remember=true, lite=true })
defineTile('D', 'DEAD_TREE', nil, nil, nil, { remember=true, lite=true })
defineTile('R', 'RUBBLE', nil, nil, nil, { remember=true, lite=true })
defineTile('w', 'TAINTED_WATER', nil, nil, nil, { remember=true, lite=true })
defineTile('"', 'SECTION_OF_THE_STRAIGHT_ROAD', nil, nil, nil, { remember=true, lite=true })
defineTile('$', 'SECTION_OF_THE_STRAIGHT_ROAD', nil, nil, nil, { remember=true, lite=true })

-- "Transparent" areas, passing through the previously generated tile from
-- PlasmaWilderness.
--defineTile(' ')

-- If we fail the Maeglin quest while we're in it, we need to remember
-- where the quest entrance was, since that's where we're going to enter
-- when we return.
defineTile('x', 'FLOOR', nil, nil, nil, { remember=true, lite=true }, { type='quest', subtype='invasion' })

startx=42
starty=6

-- '%' tiles, also being undefined, will also pass through PlasmaWilderness
-- tiles; we use them for the border instead of ' ' purely for cosmetic
-- reasons, as spaces would be hard to see on the borders.
return [[
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%####################################################################################################################################################################################################%
%####################################################################################################################################################################################################%
%####################################################################################################################################################################################################%
%#####################################^^^^^^^^^^^^R                                                                                                                                               ###%
%###################################^^^^^^^^^^^R                                                                                                                                                  ###%
%#################################^^^^^^^                                                                     R R              R                                                                   ##%
%################################^^^^^^^^R                                                               C C R CCR CC CC C CCRC CR         R                                                       ##%
%###############################^^^R^^^^^^^                                                         C RCRCR#R######R#R#####R#####CCR   CCR  R                                 R                    ##%
%##############################^^^^^^^^^^^^                                                  CRRR C# ######   DD D ####RDRD  D D ###R###CC C R                                ^^^^^                ##%
%#############################^^^^^^R^^^R                                                  C R####R##RD DDD      R.R##      R.DD DDD#RR#####C R                            R^^^^^^^ R              ##%
%############################^^^^^^^^^^                                                  # R##########D         R#########         .D##########R R                          ^^^^^^^^^^^^           ##%
%###########################^^RR^^                                                      R ############       ..R###########R      ..D############C R                        ^^^^^^^^^^^^^^R        ##%
%###########################                                                           C #############DR     .###ww#####ww###      .D#############CR                         ^^^^^^^^^^^^^         ##%
%##########################                                      RR          R          #############DD      .#wwww#R###wwRw#     R.RR############# R                          ^^^^^^^^^^^         ##%
%##########################              R               .         R        RR         C#R###########DR        .ww###R###ww         .DR############C  R   R                       ^^^^^^^ R R      ##%
%#########################            R                #####     RR R #### R  R        C######wwww###          ..w##  R##R         ..D####wwww#####CR ####### #                  R ^^^^            ##%
%#########################          R  #R#####       R ##R##         #######          C#R####D DDww#DR            #   .R#             DRRwD DD######C R## ##R#RR                                   ##%
%###R#################R#w#           ###  ###R         ###  R        #######           ######   DDw#R                                 D#wDD   D####R   ##R####                                     ##%
%###wR#w###R#R#####R#Rwww#           R####R###         #R##R         #######          R######D  R                                        RR..R######R                                              ##%
%####wR##w#w##R##wRwww#w##           #####R###         # ###        #########R         ######D R               .. DD    DD               ..RRD######CR        R                                    ##%
%####RwRwRwww##RwRwww#RR##           R######R#         R ##R      R##R####  RR R     RC#######Rw            ..DD D####### DD             ..ww#R##### C        #   R                                ##%
%#####w##ww#ww#wwwww#R####               . R            R            R#   R#          #######R##             D ##### R###### DD            ##########      R ## ## ###    R RR                     ##%
%#####www#wwwRwRwRwwRw####                        ..                         R       CR#######           .. D###### R# # #####           ..  ########R      #R#######R###R####                     ##%
%######RwwwwRwwwRwwR#ww###                                  R                         #####D DD         .. D###R.R#R# #R## .###D          ..DDDR#####CR     R   #### # #######R                    ##%
%#######RwwRwwRwwwR#w######          # ######         R R##   #####R                 C#  D              ..D##   ..##  RR    ..#       R      .. D DD#        R    RR#R#######R##                   ##%
%########R#wwwwRww##########         #R#R####R          ############                 R#D    R    .R#R      ## R ..R  R..    ..## D  R# #         ..D#C         R R ###R###  R##                    ##%
%#########R####################      # #######         ############ R                 #D   R    R####R   D##     R# R ..#  @ @ ##    .#R##R     R RD#              ## #R#R#R## @ @                 ##%
%### R####################           ####R# ##R        #####R#######                RC#D        # #R  R. D##            @@@ @ .##D   ..R## R     .D #RC            #### R     @@@@@@               ##%
%###   ####RRRC##w#LL#""##           #######R          ## R##R#R  ##                C###  R    ###R   . D ###  R        @w@@..###D D   .####       ###R               @ @ @@@@wwww@@@              ##%
%### R####R##RC# R#LL#""#           #                        .  R  R                 ###D      R##R    D###.###   .#####w@ @###.##      R###R     R### R            @@    @@wwwwwww@               ##%
%#### ###################                                    .    R                 C###       ## #R  D##   ..##.R##wRww#..##   ..# D   ## R      D###C               @@@@wwwwwwwww@               ##%
%                                                                                             R####   D#      .#..#ww#Rw#..#      .#D    R##         ..               @wwwwwwwwwwww@@              ##%
%.x                                                                                                             ..#w#w#w# R                                           @wwwwwwwwwwww@  @            ##%
%                                                                                             .##R#   D#      .#.R#ww#wR#..#      .#D   ####R        ..               @@wwwwwwwwwww@@ @          R ##%
%########### ########## #                .                   .           .          R###D   ..#R###R   ##   ..##..##www##..##   ..##    #R #     R R##C                @wwwwwwwwww@@@@           ^^##%
%###  #### K# C#  #LL# "#           R    .    R              .           .           ###       ##R#   DD###.###   .#####   R###.###D    R###   .  D#R#               @@@wwwwwww@@@@@@          R ^^##%
%###  ### K  CC ww# L# "##            ##### #          R ## #### #    # ####        CR##D            .. DD###               ..###DD    .###R   DD####RC                @@wwwww@@ @ @           ^^^^##%
%###  ####KK#CC#ww#L # "###          ## ######         ###R ###R# R#   #####         R#DD                D##                R .##D   ..R# #   D #####CR                 @@wwww@           R R^^^^^^##%
%####### ######################      #########         R####R#R### #   ## R#         CRD               ..D##     R#R  .RR      ##    .#R##R  .D#####  R             DD  @@@@@@@             ^^^^^^^##%
%###### #####R$R$#R#### ####         ### ###R# R       ## ########R#   # #            #    ww   ww      .DD## R R.##RR ##   RR## D   #R#      R######            DD DD   DD DD DD         ^^^^^^^^^##%
%#######$R$$R#R$RR$##### ##         R##R######         ##R# ### R###    R## R        CRR..ww# R #Rw       D####.#########R#R####D            ..######C         D DD DDD D D  DD DDD       ^^^^^^^^^##%
%#####$$R#$R$$#$#$##$#$###                R                                          C D..w#R .###w      . DD#################D D            .DR#####R       DD DDD########DDD DDDD         ^^^^^^^##%
%######R#$##$$$#$#$$R$####                                                           C#D .w###.R# R         D D### #########DD                D #R###R        DDD###DD D D### D   DD     R   ^^^^^^##%
%#####R$R$$$#$#R#$R$$R$$#                  R               R  RR                    RC##D.w##R # Rw         ..D D #######  D                    D ###        DDD##DD      D ##DDDDDD           ^^^^##%
%####$$$$#$$R#$$$$$R$$R###           ###### #          RR###   R###RR                RC#D.ww#####ww           R                     RR           DD#C         DD#DD     D  DD##  D DD      R   ^^^^##%
%####R$$#$$R#####$R$$$R###           ## ####R R        #R## ##### ##R                  R ..ww###wwR  ..D DR RDDDR  R R  .DD R R D DR           R. DR R               D       ##D  DDD          ^^^^##%
%###R$$###R########R#R$$$#           ###R#####R        ##  ####### #                  C     wwwRw   .DDR######R#RDRD  RDDD#R###R#R#DDD          RR R R         D#DD   D    DD##D             ^^^^^^##%
%##R$#################R###           # ## ## #         ###########R#                  CRDD         .DD###wwwwww####R . R#R##wwwwww### D         .DD#C R      DDD##DDD    D D##DD  D         ^^^^^^^##%
%######################R##           R####  #R         #############                   R#          .D##www   .wRw###DDD###www   .www#RDR        .D#R         DDDD   D  D D###DD  D        R ^^^^^^^##%
%##########################           R         #                R R                  CR#          .D#ww      ..ww#######ww      R.ww#D          D#R       DD D  DD# ## ## DDD DD             ^^^^^##%
%##########################                     R  R#                                  C#D               R      ..#######   R                 ..DD#R        DD  D DDD DDD DD  D                ^^^^##%
%###########################                   ##R  #R                                  R#D       ..D#ww   R R..ww#######wR  R   ..ww#D      .. DR# R          DDDD DD   D   D        R R    ^^^^^^##%
%###########################                  #########                                C ##DD      .D##www   .www#########www  R.www##D      . R##                DDD D DD  D             ^^^^^^^^^##%
%############################                  #####R#                                    R#D DD   DD  ##wwwwww## #### #####wwwwww###D     DD D##RC                                    ^^^^^^^^^^^^##%
%#############################               R  ###R                                       #### DD  DDD ##### #  ######R # ########DDDD RDRD ###RC                                 R ^^^^^^^^^^^^^^##%
%##############################                 ### RR                                    CR R#R#R##DDD RDR  DD##############D DRRD D D## #R#CCRR                                R^^^^^^^^^^^^^^^^^##%
%###############################               R   #                                           CC R  ##R# #R#####R###R#R#R#####R###R###RCRC CR                                R   ^^^^^^^^^^^^^^^^^##%
%################################           R  R  R #  R                                          CRCR   CCCRCC CRRCRCCC C R #C C CR RC C                                  R    ^^^^^^^^^^^^^^^^^^###%
%#################################              ####                                                          R R   R       # R                                              ^^^^^^^^^^^^^^^^^^^^^###%
%###################################          R #####                                                                                                                      R ^^^^^^^^^^^^^^^^^^^#####%
%#####################################      #### ########                                                                                                                 R ^^^^^^^^^^^^^^^^^^#######%
%####################################################################################################################################################################################################%
%####################################################################################################################################################################################################%
%####################################################################################################################################################################################################%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%]]
