-- $Id: lothlorien-fireproof.lua 3260 2018-03-03 20:17:33Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright © 2012-2018 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbunnies.org

id = 'lothlorien-fireproof'
name = 'An Old Mages Quest!'
danger_level = 20
desc = function(self, who)
  if self:isEnded() then
    return [[You retrieved a special essence for Valceronwe of Lothlorien's Wizards Spire, and have used all of the fireproofing reagent she offered you as a reward.]]
  elseif self:isCompleted('returned-essence') then
    local remaining = ''
    if self.credits < 12 then
      remaining = ('; you have %d remaining'):format(self.credits)
    end
    return [[You retrieved a special essence for Valceronwe of Lothlorien's Wizards Spire.  As a reward, she has offered you the use of 12 vials of fireproofing reagent to fireproof your equipment]] .. remaining .. [[.  Fireproofing a spellbook will require 4 vials, a staff will require 3, and a scroll will require 1.]]
  elseif self:isCompleted() then
    return [[Valceronwe of Lothlorien's Wizards Spire has asked you to retrieve a special essence for her.  You have found the essence; you should return it to her.]]
  else
    return [[Valceronwe of Lothlorien's Wizards Spire has asked you to retrieve a special essence from a cave just north of the spire.]]
  end
end

credits = 12

-- cf. util.quest_warn_on_exit()
warn_exit_msg = [[If you leave the cave without finding the essence, you will fail the quest.  Proceed anyway?]]

on_quest_pickup_floor = function(self, o)
  self:setStatus(self.COMPLETED)
  game.log("#YELLOW#You've found the essence.  Now take it back to the Wizards Spire.#LAST#")
end
