-- $Id: manwe.lua 3481 2018-10-27 17:44:25Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright © 2012-2017 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbunnies.org

-- -----------------------------------------------------------------------
-- WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING
-- -----------------------------------------------------------------------
-- This file was generated automatically by the 'gen_spells' Perl script.
-- DO NOT MODIFY THIS FILE DIRECTLY, as any changes will be lost the next
-- time the file is generated (with the possible exception of lines between
-- 'BEGIN VERBATIM' and 'END VERBATIM' markers, if supported by the script).
-- -----------------------------------------------------------------------
-- WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING
-- -----------------------------------------------------------------------

-- Spell talents generated from T2's s_manwe.lua

local Entity = require 'engine.Entity'

newTalentType {
  name = 'Manwë prayers',
  type = 'spell/manwe',
  description = 'Prayers to Manwë Súlimo',
}

newTalent {
  name = [[Manwë's Blessing]],
  short_name = 'MANWE_BLESSING',
  display_entity = Entity.new { image='talents/manwe_s_blessing.png' },
  type = 'spell/manwe',
  mode = 'activated',
  is_spell = true,
  skill = 'PRAYER',
  skill_level = 1,
  piety = spell.mana_cost,
  min_piety = 10,
  max_piety = 100,
  god = 'Manwë Súlimo',
  base_fail = 20,
  stat = 'WIS',
  random_book = 'SPIRITUALITY',
  points = 0,
  range = 18,
  direct_hit = true,
  action = function(self, t)
    local lev = spell.get_spell_level(self, t)
    local dur = spell.get_spell_level(self, t, 70) + 30 + rng.range(1, 40)
    self:setEffect(self.EFF_BLESSED, dur, {})
    self:removeEffect(self.EFF_AFRAID)
    self:setEffect(self.EFF_LIGHT, dur, {})
    if lev >= 10 then
      self:setEffect(self.EFF_HEROISM, dur, {})
    end
    if lev >= 20 then
      self:setEffect(self.EFF_SUPERHEROISM, dur, {})
    end
    if lev >= 30 then
      self:setEffect(self.EFF_HOLY_AURA, dur, {})
    end
    return true
  end,
  info = function(self, t)
    local base_dur = spell.get_spell_level(self, t, 70) + 30
    local sfx = spell.spell_skill_desc(self, t)
    local ret = [[Manwë's Blessing removes your fears, blesses you and surrounds you with holy light for %d+1d40 turns.  At level 10 it also grants heroism for the same duration.  At level 20 it also grants super heroism for the same duration.  At level 30 it also grants holy luck and life protection for the same duration.  Duration will increase%s]]
    return ret:format(base_dur, sfx)
  end,
}

newTalent {
  name = [[Wind Shield]],
  short_name = 'MANWE_WIND_SHIELD',
  display_entity = Entity.new { image='talents/wind_shield.png' },
  type = 'spell/manwe',
  mode = 'activated',
  is_spell = true,
  skill = 'PRAYER',
  skill_level = 10,
  piety = spell.mana_cost,
  min_piety = 100,
  max_piety = 500,
  god = 'Manwë Súlimo',
  base_fail = 30,
  stat = 'WIS',
  random_book = 'SPIRITUALITY',
  points = 0,
  range = 18,
  direct_hit = true,
  action = function(self, t)
    local lev = spell.get_spell_level(self, t)
    local dur = spell.get_spell_level(self, t, 50) + 10 + rng.range(1, 20)
    self:setEffect(self.EFF_PROTECT_EVIL, dur, {})
    if lev >= 10 then
      local p = { power = spell.get_spell_level(self, t, 30) }
      if lev >= 20 then
	local dd, ds = t.dmg_dice(self, t)
	p.on_melee_hit = {
	  type = DamageType.PHYSICAL,
	  dice = {dd,ds},
	  shield_name = 'Wind Shield',
	}
      end
      self:setEffect(self.EFF_SHIELD, dur, p)
    end
    return true
  end,
  info = function(self, t)
    local base_dur = spell.get_spell_level(self, t, 50) + 10
    local ac = spell.get_spell_level(self, t, 30)
    local dd, ds = t.dmg_dice(self, t)
    local pf = util.colorize_damtype(DamageType.PHYSICAL)
    local sfx = spell.spell_skill_desc(self, t)
    local ret = [[Surrounds you with a shield of wind that deflects blows from evil monsters for %d+1d20 turns.  At level 10 it increases your armour rating by %d for the same duration.  At level 20 it retaliates against monsters that melee you, doing %dd%d %s damage for the same duration.  Duration, armor bonus and damage will increase%s]]
    return ret:format(base_dur, ac, dd, ds, pf, sfx)
  end,
  -- BEGIN VERBATIM
  dmg_dice = function(self, t)
    local dd = 1 + spell.get_spell_level(self, t, 2)
    local ds = 1 + spell.get_spell_level(self, t, 6)
    return dd, ds
  end,
  -- END VERBATIM
}

newTalent {
  name = [[Manwë's Call]],
  short_name = 'MANWE_CALL',
  display_entity = Entity.new { image='talents/manwe_s_call.png' },
  type = 'spell/manwe',
  mode = 'activated',
  is_spell = true,
  skill = 'PRAYER',
  skill_level = 20,
  piety = spell.mana_cost,
  min_piety = 200,
  max_piety = 500,
  god = 'Manwë Súlimo',
  base_fail = 40,
  stat = 'WIS',
  random_book = 'SPIRITUALITY',
  points = 0,
  range = 18,
  direct_hit = true,
  action = function(self, t)
    local m_lev = 20 + spell.get_spell_level(self, t, 70, 0)
    local ret = spell.summon(self, self.x, self.y, 'GREAT_EAGLE', 1, m_lev)
    return ret and true or false
  end,
  info = function(self, t)
    local m_lev = 20 + spell.get_spell_level(self, t, 70, 0)
    local sfx = spell.spell_skill_desc(self, t)
    local ret = [[Summons a Great eagle to help you battle the forces of Morgoth.  The eagle will be leveled to level %d, increasing%s]]
    return ret:format(m_lev, sfx)
  end
}

newTalent {
  name = [[Avatar]],
  short_name = 'MANWE_AVATAR',
  display_entity = Entity.new { image='talents/avatar.png' },
  type = 'spell/manwe',
  mode = 'activated',
  is_spell = true,
  skill = 'PRAYER',
  skill_level = 35,
  piety = spell.mana_cost,
  min_piety = 1000,
  max_piety = 1000,
  god = 'Manwë Súlimo',
  base_fail = 80,
  stat = 'WIS',
  random_book = 'SPIRITUALITY',
  points = 0,
  range = 18,
  direct_hit = true,
  action = function(self, t)
    local ObjectData = require 'mod.class.interface.ObjectData'
    local mf = ObjectData:getMimicryForm('Maia')
    local dur = spell.get_spell_level(self, t, 20) + rng.range(1, 10)
    self:setEffect(self.EFF_MIMIC_FORM, dur, { mimic=mf, level=self.level })
    return true
  end,
  info = function(self, t)
    local ObjectData = require 'mod.class.interface.ObjectData'
    local mf = ObjectData:getMimicryForm('Maia')
    local base_dur = spell.get_spell_level(self, t, 20)
    local sfx = spell.spell_skill_desc(self, t)
    local ret = [[Transforms you into a full-grown Maia for %d+1d10 turns.  Duration will increase%s]]
    local desc = tstring {
      ret:format(base_dur, sfx),
      true, true, 'Effects at your current level:', true
    }
    desc:merge(mf.info(self, self.level))
    return desc:toString()
  end,
}
