-- $Id: melkor.lua 2903 2017-05-24 01:31:50Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright © 2012-2017 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbunnies.org

-- -----------------------------------------------------------------------
-- WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING
-- -----------------------------------------------------------------------
-- This file was generated automatically by the 'gen_spells' Perl script.
-- DO NOT MODIFY THIS FILE DIRECTLY, as any changes will be lost the next
-- time the file is generated (with the possible exception of lines between
-- 'BEGIN VERBATIM' and 'END VERBATIM' markers, if supported by the script).
-- -----------------------------------------------------------------------
-- WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING
-- -----------------------------------------------------------------------

-- Spell talents generated from T2's s_melkor.lua

local Entity = require 'engine.Entity'

newTalentType {
  name = 'Melkor prayers',
  type = 'spell/melkor',
  description = 'Prayers to Melkor Bauglir',
}

newTalent {
  name = [[Curse]],
  short_name = 'MELKOR_CURSE',
  display_entity = Entity.new { image='talents/curse.png' },
  type = 'spell/melkor',
  mode = 'activated',
  is_spell = true,
  skill = 'PRAYER',
  skill_level = 1,
  piety = spell.mana_cost,
  min_piety = 50,
  max_piety = 300,
  god = 'Melkor Bauglir',
  base_fail = 20,
  stat = 'WIS',
  random_book = 'SPIRITUALITY',
  requires_target = true,
  points = 0,
  range = 18,
  direct_hit = true,
  action = function(self, t)
    local tg = { type='hit', range=10, talent=t }
    local x, y = self:getTarget(tg)
    if not x or not y then return false end
    local a = game.level.map(x, y, Map.ACTOR)
    if not a then
      game.log('You must target a monster.')
      return false
    end
    if a == game.player then
      game.log("You... really shouldn't do that.")
      return false
    end
    self:callTalent(t.id, 'do_curse', a)
    return true
  end,
  info = function(self, t)
    local ac_dec = spell.get_spell_level(self, t, 50)
    local slow = spell.get_spell_level(self, t, 7)
    local sfx = spell.spell_skill_desc(self, t)
    local ret = [[Curses a monster, reducing the power of its melee attacks.  At level 15, also reduces the target's armor by %d.  At level 25, also slows the target by %d.  At level 35, also reduces the target's maximum life (but never enough to kill it.

At level 5, if you are praying and your piety is above 5000, there is a chance this spell will be auto-cast (at no piety cost) each time you hit a monster in melee; this chance decreases with the monster's level, and increases with your Wisdom and%s]]
    return ret:format(ac_dec, slow, sfx)
  end,
  -- BEGIN VERBATIM
  do_curse = function(self, t, tgt)
    local lev = spell.get_spell_level(self, t)
    if lev >= 35 then
      tgt.max_life = math.max(1, tgt.max_life - tgt.hd[2])
      tgt.life = math.min(tgt.life, tgt.max_life)
    end
    if level >= 25 then
      local slow = spell.get_spell_level(self, t, 7)
      tgt.speed = math.max(-30, tgt.speed - pow)
    end
    if level >= 15 then
      local ac_dec = spell.get_spell_level(self, t, 50)
      tgt.ac = math.max(-70, tgt.ac - ac_dec)
    end

    local pow = spell.get_spell_level(self, t, 2)
    for _, att in ipairs(tgt.attacks or {}) do
      if att.dam then pow = math.min(pow, att.dam[1], att.dam[2]) end
    end
    for _, att in ipairs(tgt.attacks or {}) do
      if att.dam then att.dam[1] = att.dam[1] - pow end
    end

    e.ai_state.sleep = 0
    e.ai_target.actor = self
    e.changed = true
    game.logSeen(tgt, '%s seems weaker.', tgt.name:capitalize())
  end,
  -- END VERBATIM
}

newTalent {
  name = [[Corpse Explosion]],
  short_name = 'MELKOR_CORPSE_EXPL',
  display_entity = Entity.new { image='talents/corpse_explosion.png' },
  type = 'spell/melkor',
  mode = 'activated',
  is_spell = true,
  skill = 'PRAYER',
  skill_level = 10,
  piety = spell.mana_cost,
  min_piety = 100,
  max_piety = 500,
  god = 'Melkor Bauglir',
  base_fail = 45,
  stat = 'WIS',
  random_book = 'SPIRITUALITY',
  points = 0,
  range = 18,
  direct_hit = true,
  action = function(self, t)
    local pct = 20 + spell.get_spell_level(self, t, 70)
    local r = 2 + spell.get_spell_level(self, t, 5)
    return spell.ball_spell(self, t, DamageType.CORPSE_EXPL, pct, r, self.x, self.y)
  end,
  info = function(self, t)
    local pct = 20 + spell.get_spell_level(self, t, 70)
    local r = 2 + spell.get_spell_level(self, t, 5)
    -- cf. src/spells1.c lines 3965-3976
    local er = math.floor(7*pct/100)
    local sf = util.colorize_damtype(DamageType.SHARDS)
    local sfx = spell.spell_skill_desc(self, t)
    local ret = [[Causes corpses in a radius of %d around the caster to explode, doing %d%% of the previous owner's hit points in %s damage in a radius of %d around each corpse.  Range and damage will increase%s]]
    return ret:format(r, pct, sf, er, sfx)
  end,
}

newTalent {
  name = [[Mind Steal]],
  short_name = 'MELKOR_MIND_STEAL',
  display_entity = Entity.new { image='talents/mind_steal.png' },
  type = 'spell/melkor',
  mode = 'activated',
  is_spell = true,
  skill = 'PRAYER',
  skill_level = 20,
  piety = spell.mana_cost,
  min_piety = 1000,
  max_piety = 3000,
  god = 'Melkor Bauglir',
  base_fail = 90,
  stat = 'WIS',
  random_book = 'SPIRITUALITY',
  requires_target = true,
  points = 0,
  range = 18,
  direct_hit = true,
  action = function(self, t)
				local ret, dir = get_aim_dir()
				if ret == FALSE then return end

				if target_who == -1 then
					msg_print("You must target a monster.")
				else
					local chance, m_ptr, r_ptr

					m_ptr = monster(target_who)
					r_ptr = race_info_idx(m_ptr.r_idx, m_ptr.ego)
					chance = get_level(MELKOR_MIND_STEAL)
					if (randint(m_ptr.level) < chance) and (band(r_ptr.flags1, RF1_UNIQUE) == 0) then
						player.control = target_who
						m_ptr.mflag = bor(m_ptr.mflag, MFLAG_CONTROL)

						local m_name = monster_desc(m_ptr, 0).." falls under your control."
						msg_print(strupper(strsub(m_name, 0, 1))..strsub(m_name, 2))
					else
						local m_name = monster_desc(m_ptr, 0).." resists."
						msg_print(strupper(strsub(m_name, 0, 1))..strsub(m_name, 2))
					end
					return TRUE
				end
	end,
  info = [[It allows your spirit to temporarily leave your own body, which will be vulnerable, to control one of your enemies body.]],
  info_aux = function(self, t)
			return "chance 1d(mlvl)<"..(get_level(MELKOR_MIND_STEAL))
	end,
}
