-- $Id: yavanna.lua 3481 2018-10-27 17:44:25Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright © 2012-2017 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbunnies.org

-- -----------------------------------------------------------------------
-- WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING
-- -----------------------------------------------------------------------
-- This file was generated automatically by the 'gen_spells' Perl script.
-- DO NOT MODIFY THIS FILE DIRECTLY, as any changes will be lost the next
-- time the file is generated (with the possible exception of lines between
-- 'BEGIN VERBATIM' and 'END VERBATIM' markers, if supported by the script).
-- -----------------------------------------------------------------------
-- WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING
-- -----------------------------------------------------------------------

-- Spell talents generated from T2's s_yavann.lua

local Entity = require 'engine.Entity'

newTalentType {
  name = 'Yavanna prayers',
  type = 'spell/yavanna',
  description = 'Prayers to Yavanna Kementári',
}

newTalent {
  name = [[Charm Animal]],
  short_name = 'YAVANNA_CHARM_ANIMAL',
  display_entity = Entity.new { image='talents/charm_animal.png' },
  type = 'spell/yavanna',
  mode = 'activated',
  is_spell = true,
  skill = 'PRAYER',
  skill_level = 1,
  piety = spell.mana_cost,
  min_piety = 10,
  max_piety = 100,
  god = 'Yavanna Kementári',
  base_fail = 30,
  stat = 'WIS',
  random_book = 'SPIRITUALITY',
  requires_target = true,
  points = 0,
  range = 18,
  direct_hit = true,
  action = function(self, t)
    local pow = 10 + spell.get_spell_level(self, t, 170)
    local r = spell.get_spell_level(self, t, 2)
    return spell.ball_spell(self, t, DamageType.CONTROL_ANIMAL, pow, r)
  end,
  info = function(self, t)
    local pow = 10 + spell.get_spell_level(self, t, 170)
    local r = spell.get_spell_level(self, t, 2)
    local sfx = spell.spell_skill_desc(self, t)
    local ret = [[Attempts to tame animals (power %d) in a radius-%d area around the selected target.  Power and radius will increase%s]]
    return ret:format(pow, r, sfx)
  end,
}

newTalent {
  name = [[Grow Grass]],
  short_name = 'YAVANNA_GROW_GRASS',
  display_entity = Entity.new { image='talents/grow_grass.png' },
  type = 'spell/yavanna',
  mode = 'activated',
  is_spell = true,
  skill = 'PRAYER',
  skill_level = 10,
  piety = spell.mana_cost,
  min_piety = 70,
  max_piety = 150,
  god = 'Yavanna Kementári',
  base_fail = 65,
  stat = 'WIS',
  random_book = 'SPIRITUALITY',
  points = 0,
  range = 18,
  direct_hit = true,
  action = function(self, t)
    local r = spell.get_spell_level(self, t, 4)
    spell.grow_terrain(self, 'GRASS', r, {'SUPPORT_GROWTH'})
    return true
  end,
  info = function(self, t)
    local r = spell.get_spell_level(self, t, 4)
    local sfx = spell.spell_skill_desc(self, t)
    local ret = [[Causes grass to grow in random nearby grids (radius %d) that are suitable.  [This may seem pointless, but as a follower of Yavanna, you can increase your regeneration rate by praying while standing on grass.]  Radius will increase%s]]
    return ret:format(r, sfx)
  end,
}

newTalent {
  name = [[Tree Roots]],
  short_name = 'YAVANNA_TREE_ROOTS',
  display_entity = Entity.new { image='talents/tree_roots.png' },
  type = 'spell/yavanna',
  mode = 'activated',
  is_spell = true,
  skill = 'PRAYER',
  skill_level = 15,
  piety = spell.mana_cost,
  min_piety = 50,
  max_piety = 1000,
  god = 'Yavanna Kementári',
  base_fail = 70,
  stat = 'WIS',
  random_book = 'SPIRITUALITY',
  points = 0,
  range = 18,
  direct_hit = true,
  action = function(self, t)
    local dur = 10 + spell.get_spell_level(self, t, 30)
    local ac = 10 + spell.get_spell_level(self, t, 60)
    local dam = 10 + spell.get_spell_level(self, t, 20)
    self:setEffect(self.EFF_TREE_ROOTS, dur, { ac=ac, dam=dam })
    return true
  end,
  info = function(self, t)
    local dur = 10 + spell.get_spell_level(self, t, 30)
    local ac = 10 + spell.get_spell_level(self, t, 60)
    local dam = 10 + spell.get_spell_level(self, t, 20)
    local sfx = spell.spell_skill_desc(self, t)
    local ret = [[Grows magical tree roots from your feet rooting them to the floor,  making you more stable (+%d AC) and able to make stronger attacks (+%d to-damage), but preventing you from moving or teleporting.  You will also recover from stun effects almost immediately.  AC and damage bonus will increase%s]]
    return ret:format(dur, ac, dam, sfx)
  end,
}

newTalent {
  name = [[Water Bite]],
  short_name = 'YAVANNA_WATER_BITE',
  display_entity = Entity.new { image='talents/water_bite.png' },
  type = 'spell/yavanna',
  mode = 'activated',
  is_spell = true,
  skill = 'PRAYER',
  skill_level = 20,
  piety = spell.mana_cost,
  min_piety = 150,
  max_piety = 300,
  god = 'Yavanna Kementári',
  base_fail = 90,
  stat = 'WIS',
  random_book = 'SPIRITUALITY',
  points = 0,
  range = 18,
  direct_hit = true,
  action = function(self, t)
    local lev = spell.get_spell_level(self, t)
    local dur = rng.range(1, 30) + 30 + spell.get_spell_level(self, t, 150)
    local dam = 10 + spell.get_spell_level(self, t, 50)
    local r = lev >= 25 and 1 or 0
    local p = { dt=DamageType.WATER, damage=dam, radius=r }
    self:setEffect(self.EFF_WEAPON_PROJECT, dur, p)
    return true
  end,
  info = function(self, t)
    local base_dur = 30 + spell.get_spell_level(self, t, 150)
    local dam = 10 + spell.get_spell_level(self, t, 50)
    local wf = util.colorize_damtype(DamageType.WATER)
    local sfx = spell.spell_skill_desc(self, t)
    local ret = [[Imbues your melee weapon with a natural stream of water.  Your weapon will deal %d additional %s damage per hit for %d+1d30 turns. At level 25, the damage will burst over a radius-1 area around the monster hit.  Damage and duration will increase%s]]
    return ret:format(dam, wf, base_dur, sfx)
  end,
}

newTalent {
  name = [[Uproot]],
  short_name = 'YAVANNA_UPROOT',
  display_entity = Entity.new { image='talents/uproot.png' },
  type = 'spell/yavanna',
  mode = 'activated',
  is_spell = true,
  skill = 'PRAYER',
  skill_level = 35,
  piety = spell.mana_cost,
  min_piety = 250,
  max_piety = 350,
  god = 'Yavanna Kementári',
  base_fail = 95,
  stat = 'WIS',
  random_book = 'SPIRITUALITY',
  points = 0,
  range = 18,
  direct_hit = true,
  action = function(self, t)
    local function is_tree(x, y)
      local g = game.level.map(x, y, Map.TERRAIN)
      return g and g.define_as == 'TREE'
    end
    local tx, ty = util.select_adjacent(self, is_tree, 'There are no trees nearby.', 'That is not a tree.')
    if not tx or not ty then return false end
    local m_lev = 30 + spell.get_spell_level(self, t, 70)
    game.level.map(tx, ty, Map.TERRAIN, game.zone.grid_list.GRASS)
    spell.summon(self, tx, ty, 'ENT', 1, m_lev)
    game.logPlayer(self, game.flash.GOOD, "The tree awakens!")
    return true
  end,
  info = function(self, t)
    local m_lev = 30 + spell.get_spell_level(self, t, 70)
    local sfx = spell.spell_skill_desc(self, t)
    local ret = [[Awakens an adjacent tree into a level-%d Ent to help you battle the forces of Morgoth.  Ent level will increase%s.]]
    return ret:format(m_lev, sfx)
  end,
}
