-- $Id: zone.lua 4279 2021-09-18 23:39:31Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright © 2012-2021 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbunnies.org

-- Zone file for Dol Guldur.

return {
  name = 'Dol Guldur',
  display_abbr = 'TDG',
  level_scheme = 'fixed',
  max_level = 14,
  level_range = { 57, 70 },
  width = 198,
  height = 66,

  generator = {
    map = {
      class = 'mod.class.generator.map.T2DungeonLevel',
      floor = { weighted = { FLOOR=80, TAINTED_WATER=20 } },
      fill = { 'WALL' },
      outer_wall = 'WALL',
      inner_wall = 'WALL',
      fill_step = 4,
      up = 'UP',
      down = 'DOWN',
      flags = {
	SMALL = true,
      },
    },
    actor = {
      class = 'mod.class.generator.actor.T2LevelFilteredActors',
      init_npc = 24,
      respawn_in = 160,
      filters = {
	{ prob=30, mode='or', syms={ 'p', 'P' } },
	{ prob=10, mode='or', flags={ 'ORC', 'TROLL' } },
	{ prob=20, mode='or', flags={ 'UNDEAD' } },
	{ prob=30, mode='or', flags={ 'DEMON', 'DRAGON' } },
	{ prob=10, mode='any' },
      },
      guardian = 'THE_NECROMANCER_OF_DOL_GULDUR',
      guardian_precondition = function()
	if game.player:isQuestStatus('necromancer', engine.Quest.PENDING) then return true end
	return false
      end,
    },
    object = {
      class = 'mod.class.generator.object.T2LevelFilteredObjects',
      weights = { treasure=20, combat=1, magic=70, tools=9, junk=0 },
    },
    trap = {
      class = 'mod.class.generator.trap.T2LevelFilteredTraps',
    },
  },
  alter_level_data = util.adjust_level,
  levels = {
    [1] = {
      generator = {
	map = {
	  up = 'UP_TO_WILDERNESS',
	  -- up_lev = 1
	},
      },
    },
  },
}
