-- $Id: zone.lua 4279 2021-09-18 23:39:31Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright © 2012-2021 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbunnies.org

-- Zone file for Erebor.

return {
  name = 'Erebor',
  display_abbr = 'Ere',
  level_scheme = 'fixed',
  max_level = 13,
  level_range = { 60, 72 },
  width = 198,
  height = 66,

  generator = {
    map = {
      class = 'mod.class.generator.map.T2DungeonLevel',
      floor = { 'DIRT' },
      fill = { weighted = { MOUNTAIN_CHAIN=90, DARK_PIT=10 } },
      outer_wall = 'WALL',
      inner_wall = 'MOUNTAIN_CHAIN',
      fill_step = 2,
      up = 'UP',
      down = 'DOWN',
      flags = {
	BIG = true,
	LAVA_RIVER = true,
	CAVERN = true,
	NO_RECALL = true,
	NO_STREAMERS = true,
	CAVE = true,
	DOUBLE = true,
      },
    },
    actor = {
      class = 'mod.class.generator.actor.T2LevelFilteredActors',
      init_npc = 20,
      respawn_in = 140,
      filters = {
	{ prob=10, mode='any' },
	{ prob=60, mode='and', syms={ 'D' }, flags={ 'DRAGON' } },
	{ prob=30, mode='and', syms={ 'd' }, flags={ 'DRAGON' } },
      },
      guardian = 'GLAURUNG_FATHER_OF_THE_DRAGONS',
    },
    object = {
      class = 'mod.class.generator.object.T2LevelFilteredObjects',
      weights = { treasure=40, combat=40, magic=40, tools=40, junk=-60 },
    },
    trap = {
      class = 'mod.class.generator.trap.T2LevelFilteredTraps',
    },
  },
  alter_level_data = util.adjust_level,
  levels = {
    [1] = {
      generator = {
	map = {
	  up = 'UP_TO_WILDERNESS',
	  -- up_lev = 1
	},
      },
    },
  },
}
