-- $Id: zone.lua 4091 2020-09-23 02:04:38Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright © 2017-2020 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbunnies.org

return {
  name = "Nirnaeth Arnoediad",
  level_scheme = 'fixed',
  max_level = 1,
  level_range = { 37, 37 },
  width = 32,
  height = 21,
  no_level_connectivity = true,
  no_recall_depth = true,

  generator = {
    map = {
      class = 'mod.class.generator.map.Static',
      map = 'quests/nirnaeth-arnoediad',
    },
    actor = {
      class = 'mod.class.generator.actor.T2LevelFilteredActors',
      -- Actors are already placed by the Static map.
      no_prepop = true,
    },
    object = {
      class = 'mod.class.generator.object.T2LevelFilteredObjects',
      weights = { treasure=20, combat=20, magic=20, tools=20, junk=20 },
      no_prepop = true,	-- Objects are already placed by the Static map.
    },
    trap = {
      class = 'mod.class.generator.trap.T2LevelFilteredTraps',
      -- Traps are already placed by the Static map.
      n_traps = { 0, 0 },
    },
  },

  post_process = function(level, zone)
    -- Slight Hack(TM):  Count the hostiles on the level for purposes of
    -- achievements and reward juggling.
    local q = game.player:hasQuest('nirnaeth-arnoediad')
    if q then
      q.orig_count = 0
      for _, e in pairs(game.level.entities) do
	if e.reactionToward and e:reactionToward(game.player) < 0 and not e.dead then
	  q.orig_count = q.orig_count + 1
	end
      end
    end
  end,
}
