-- $Id: zone.lua 4279 2021-09-18 23:39:31Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright © 2012-2021 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbunnies.org

-- Zone file for The Sandworm lair.

return {
  name = 'The Sandworm lair',
  display_abbr = 'SwL',
  level_scheme = 'fixed',
  max_level = 9,
  level_range = { 22, 30 },
  width = 198,
  height = 66,

  generator = {
    map = {
      class = 'mod.class.generator.map.T2DungeonLevel',
      floor = { weighted = { SAND=85, MUD=10, ASH=5 } },
      fill = { 'SANDWALL' },
      outer_wall = 'MUD',
      inner_wall = 'MUD',
      fill_step = 0,
      up = 'UP',
      down = 'DOWN',
      flags = {
	NO_DOORS = true,
	SAND_VEIN = true,
      },
    },
    actor = {
      class = 'mod.class.generator.actor.T2LevelFilteredActors',
      init_npc = 5,
      respawn_in = 200,
      filters = {
	{ prob=90, mode='or', syms={ 'w' } },
	{ prob=10, mode='or', flags={ 'MULTIPLY' } },
      },
      guardian = 'THE_SANDWORM_QUEEN',
    },
    object = {
      class = 'mod.class.generator.object.T2LevelFilteredObjects',
      weights = { treasure=15, combat=5, magic=60, tools=20, junk=0 },
    },
    trap = {
      class = 'mod.class.generator.trap.T2LevelFilteredTraps',
    },
  },
  alter_level_data = util.adjust_level,
  levels = {
    [1] = {
      generator = {
	map = {
	  up = 'UP_TO_WILDERNESS',
	  -- up_lev = 1
	},
      },
    },
  },
}
