-- $Id: grids.lua 3333 2018-04-20 00:32:38Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright © 2012-2018 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbunnies.org

load('/data/general/grids/all.lua')

newEntity {
  base = 'QUEST_ENTRANCE',
  define_as = 'ENTER_KHAZAD_DUM_HOUSE_QUEST',
  change_zone = 'quest-khazad-dum-evil',
  change_level = 1,
  ok_change_level = function(self, who)
    local Quest = require 'engine.Quest'
    local Dialog = require 'engine.Dialog'
    if who:isQuestStatus('khazad-dum-house', Quest.PENDING) then
      -- Must have left the quest and come back in.
      return true
    end
    -- Roughly duplicated from util.no_reenter_completed_quest().
    -- Shouldn't be necessary, but just in case...
    local q = who:hasQuest('khazad-dum-house')
    local title = 'Quest: ' .. (q and q.name or 'Evil!')
    if q and (q:isCompleted() or q:isEnded()) then
      Dialog:simpleLongPopup(title, q.no_reenter_msg, 600)
      return false
    end
    -- Warn on entry.
    local text = [[You sense powerful evil from deep inside the mine as you approach the entrance #YELLOW##{italic}#(estimated difficulty level 60)#{normal}##LAST#.  Do you want to go in?]]
    local function cb(ok)
      if ok then
	-- Grant quest on entry.
	who:grantQuest('khazad-dum-house')
	game:changeLevel(self.change_level, self.change_zone)
      end
    end
    Dialog:yesnoLongPopup(title, text, 600, cb)
    return false
  end,
}
