-- $Id: StoreOwner.lua 3052 2017-09-11 02:25:40Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright © 2012-2017 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbunnies.org

require 'engine.class'
local Entity = require 'engine.Entity'

module(..., package.seeall, class.inherit(Entity))

_M.owners_def = {}

function _M:loadOwners(f)
  self.owners_def = self:loadList(f)
end

function _M:init(t, no_default)
  Entity.init(self, t, no_default)
end

function _M:getRacePrice(who, prices)
  local race = who and who.descriptor and who.descriptor.race
  if not race then return prices[2] end
  if self.like_races and self.like_races[race] then return prices[3] end
  if self.hate_races and self.hate_races[race] then return prices[1] end
  return prices[2]
end

function _M:getRaceAdjust(who)
  return self:getRacePrice(who, self.adj_price)
end
