-- $Id: OpaqueDropdown.lua 3635 2019-07-15 04:08:23Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright © 2019 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbunnies.org

-- An extension of engine.ui.Dropdown that provides control over the
-- dropdown popup's alpha.  The t.alpha paramater can range from 0 to 1;
-- teh default is 0.7, as per the parent.
require 'engine.class'
local Dropdown = require 'engine.ui.Dropdown'

module(..., package.seeall, class.inherit(Dropdown))

function _M:init(t)
  Dropdown.init(self, t)
  self.alpha = t.alpha or 0.7
end

function _M:positioned(x, y, sx, sy)
  Dropdown.positioned(self, x, y, sx, sy)
  -- Patch up the alpha of the popup we just created.
  self.popup.frame.a = self.alpha
end
